#!/bin/sh

# // =========================================================
# // IBM DB2 Web Query Env Set
# // Version 1.3x
# //
# // Licensed Materials-Property of IBM.
# //
# // 5724-B34 DB2 Web Query for MultiPlatform (Unix)
# //
# // (C) Copyright IBM Corp. 1999, 2001
# // (C) Copyright Rocket Software, Inc. 1999, 2001
# //
# // US Government Users Restricted Rights-
# // Use, duplication or disclosure restricted
# // by GSA ADP schedule Contract with IBM Corp.
# //
# // DESCRIPTION:
# //      Script file used to configure Web Query.
# //
# // CONFIGURATION:
# //      Read the documentation to become familar with the
# //      parameters used to Configure Web Query.
# //
# //      Edit this script and set each of the parameters.
# // =========================================================

# // =========================================================
# // wqt_wasRoot
# // This is the directory where WebSphere Application server
# // has been installed.
# // =========================================================
wqt_wasRoot="/opt/WebSphere/AppServer"
export wqt_wasRoot

# // =========================================================
# // wqt_installRoot
# // This is the directory where Web Query is installed.
# // =========================================================
wqt_installRoot=/usr/lpp/CWQ
export wqt_installRoot

# // =========================================================
# // wqt_nodeName
# // The name of the WebSphere node to configure.
# // (Case sensitive)
# // =========================================================
wqt_nodeName=WASNODENAME
export wqt_nodeName

# // =========================================================
# // wqt_rootURI
# // This is the prefix of the URL to use to access DB2 Web
# // Query.
# // =========================================================
wqt_rootURI=/DB2Tools
export wqt_rootURI
