@echo off

REM // =========================================================
REM // IBM DB2 Web Query Install
REM // Version 1.3x
REM // 
REM // Licensed Materials-Property of IBM.
REM //
REM // 5724-B34 DB2 Web Query for MultiPlatform (NT/2000)
REM //
REM // (C) Copyright IBM Corp. 1999, 2001
REM // (C) Copyright Rocket Software, Inc. 1999, 2001
REM //
REM // US Government Users Restricted Rights-
REM // Use, duplication or disclosure restricted
REM // by GSA ADP schedule Contract with IBM Corp.
REM //
REM // DESCRIPTION:
REM //      Script file used to configure Web Query.
REM //
REM // CONFIGURATION:
REM //      Read the documentation to become familar with the
REM //      with the parameters used to Configure Web Query.
REM //      
REM // =========================================================


ECHO =========================================================
ECHO IBM DB2 Web Query Install

ECHO Reading settings ...
call wqenvset.bat


REM =========================================================
REM Configure WAS 
REM =========================================================

ECHO Configuring WebSphere

cd %wqt_wasRoot%\bin

call xmlConfig -adminNodeName %wqt_nodeName% -import %wqt_installRoot%\conf\multiplatform\win\was35x\was35_cfg.xml -substitute "wasRoot=%wqt_wasRoot%;nodeName=%wqt_nodeName%;installRoot=%wqt_installRoot%;rootURI=%wqt_rootURI%"

cd %wqt_installRoot%\conf\multiplatform\win\was35x


REM =========================================================
REM Clear settings
REM =========================================================

ECHO Clearing settings ...

call wqenvclear.bat

ECHO END
