<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspCatalogPropPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>
<jsp:useBean id="webquerytool_category" class="java.util.Vector" scope="session"/>

<jsp:useBean id="webquerytool_dest" class="java.lang.String" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.CatalogPropPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspCatalogPropPage jspInfo = new JspCatalogPropPage();
	jspInfo.setLoc( request.getLocale() );
	
	// if there's an object present, they came from sqltext
	//String outstring = new String();
	//if( webquerytool_ui.getCurrentObject().getObj().length() > 1)
	//	outstring = "sqltext";
%>


<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title> <%= jspInfo.getTitle() %> </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

<SCRIPT language="JavaScript">
<!--
	var formok = false;

	function saveagain()
	{
		if (<%= webquerytool_ui.getConfirmOverwrite() %>)
		{
			if( confirm( "<%= msgMgr.get( "fileExists", webquerytool_ui.getCurrentObject().getName() ) %>" ) )
			{
				document.forms[0].first.value = 1;
				go('save');
			}
		}
	}

	function movecreator()
	{
		for (var i=0; i<document.forms[0].aliases.length; i++) {
			if (document.forms[0].aliases[i].selected) {
				document.forms[0].newcreator.value = document.forms[0].aliases[i].text;
				break;
			}
		}
	}

	function movecategory()
	{
		for (var i=0; i<document.forms[0].newcat.length; i++) {
			if (document.forms[0].newcat[i].selected) {
				document.forms[0].category.value = document.forms[0].newcat[i].text;
				break;
			}
		}
		if (document.forms[0].category.value == "<%= msgMgr.get( "noCat" ) %>" )
			document.forms[0].category.value = "";
	}

	function addcategory()
	{
		var name = document.forms[0].createcat.value;

		if (name.length > 0 && name.length <32) {

			document.forms[0].newcat[document.forms[0].newcat.length] =
				new Option(name, name, false, true);

			document.forms[0].category.value = name;

		}

		else
			alert( "<%= msgMgr.get( "invalidCat" ) %>" );
	}

	function addcreator()
	{
		var name = document.forms[0].creator.value.toUpperCase();

		if (name.length > 0 && name.length < 32) {
			document.forms[0].aliases[document.forms[0].aliases.length] =
				new Option(name, name, false, true);
			document.forms[0].newcreator.value = name;
		}

		else
			alert( "<%= msgMgr.get( "invalidCat" ) %>" );
	}


	// variables that are needed outside of functions
	var creator = "";
	var formok = true;
//-->
</SCRIPT>

</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onLoad="saveagain()" onMouseOver="hidePopupMenus();">

<form method=post action="<%= webquerytool_cfg.getAppRoot() %>/CatalogPage" onSubmit="return formok;">

<input type=hidden name=op value=process>
<input type=hidden name=newcreator
	value="<%= webquerytool_ui.getCurrentObject().getCreator() %>">
<input type=hidden name=objecttype
	value="<%= webquerytool_ui.getCurrentObject().getType() %>">
<input type=hidden name=category
	value="<%= webquerytool_ui.getCurrentObject().getCategory() %>">
<input type=hidden name=gohere
	value="<%= webquerytool_dest %>">
<input type=hidden name=cmd>
<input type=hidden name=first value=0>
<input type=hidden name=origin value=<%= request.getParameter("origin") %>>
<input type=hidden name=page value=catalogprop>

<% try { %>
<%@ include file="pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

<table cellpadding=0 cellspacing=0 border=0 align=center width=100%>
<tr>
	<td align=left>
		<table border=1 cellpadding=5 cellspacing=0 align=center>
		<TR valign=top>
			<TD align=right bgcolor="#336699">
				<font size="-1" color="#FFFFFF" face="sans-serif">
				<b><%= jspInfo.get("CreatorHeader") %>:</b>
				</font>
			</TD>

			<TD bgcolor="#C0C0C0">
				<font size="-1" color="#000000" face="sans-serif">
				<%= webquerytool_ui.getCurrentObject().getCreatedBy() %>
				</font>
			</TD>
		</TR>

		<tr valign=top>
			<td align=right bgcolor="#336699">
				<font size="-1" color="#FFFFFF" face="sans-serif">
				<b><%= jspInfo.get("GroupHeader") %>:</b>
				</font>
			</td>

			<td bgcolor="#C0C0C0">
				<font size="-1" color="#000000" face="sans-serif">
<%	String creator = webquerytool_ui.getCurrentObject().getCreator(); %>
				<select name="aliases" onChange="JavaScript: movecreator()">

<%
	boolean found = false;
	for (int i=0; i<uc.getAliasList().size(); i++)
	{
		String sel = "";
		String id = (String) uc.getAliasList().elementAt( i );
		
		if( creator.equals( id ) )
		{
			sel = "selected";
			found = true;
		}
%>
					<option <%= sel %>>
						<%= uc.getAliasList().elementAt( i ) %>
					</option>
<%	} %>
<%	if( !found ) { %>
					<option selected>
						<%= creator %>
					</option>
<%	} %>
				</select>
				
				</font>
			</td>
		</tr>

		<TR valign=top>
			<td align=right bgcolor="#336699">
				<font size="-1" color="#FFFFFF" face="sans-serif">
				<b><%= jspInfo.get("NameHeader") %>:</b>
				</font>
			</td>

			<td bgcolor="#C0C0C0">
				<font size="-1" color="#000000" face="sans-serif">
				<input type=text name="newname" size=40
					value="<%= webquerytool_ui.getCurrentObject().getName() %>">
				</font>
			</td>
		</TR>

		<TR valign=top>
			<td align=right bgcolor="#336699">
				<font size="-1" color="#FFFFFF" face="sans-serif">
				<b><%= jspInfo.get("CatHeader") %>:</b>
				</font>
			</td>

			<td bgcolor="#C0C0C0">
				<font size="-1" color="#000000" face="sans-serif">
				<SELECT name=newcat onChange="movecategory()">
					<OPTION value=""> <%= msgMgr.get( "noCat" ) %> </OPTION>
<%	String catname = "";
	String seltxt = "";
	for( int i=0; i<webquerytool_category.size(); i++ )
	{
		catname = (String) webquerytool_category.elementAt(i);
		if( catname.equals(webquerytool_ui.getCurrentObject().getCategory()) )
			seltxt = "selected";
		else
			seltxt = "";
%>
					<OPTION value="<%= catname %>" <%= seltxt %>><%= catname %></OPTION>
<%
	}
%>
				</SELECT>

				&nbsp;
				&nbsp;

				<INPUT type="text" size=10 name=createcat>

				<input type=button name=groupaddbutton
					value="<%= jspInfo.get("CatAddButton") %>"
					style="font-color:000000" style="background:C0C0C0" style="font-size:12"
					onClick="addcategory()">
				</font>
			</td>
		</TR>

		<TR valign=top>
			<TD align=right bgcolor="#336699">
				<font size="-1" color="#FFFFFF" face="sans-serif">
				<b><%= jspInfo.get("TypeHeader") %>:</b>
				</font>
			</TD>

			<TD bgcolor="#C0C0C0">
				<font size="-1" color="#000000" face="sans-serif">
				<b> <%= msgMgr.get( "objType" +webquerytool_ui.getCurrentObject().getTypeName() ) %> </b>
				</font>
			</TD>
		</TR>

		<TR valign=top>
			<td align=right bgcolor="#336699">
				<font size="-1" color="#FFFFFF" face="sans-serif">
				<b><%= jspInfo.get("DescHeader") %>:</b>
				</font>
			</td>

			<td bgcolor="#C0C0C0">
				<font size="-1" color="#000000" face="sans-serif">
				<TEXTAREA name=description rows=5 cols=38 wrap><%= webquerytool_ui.getCurrentObject().getDescription() %></TEXTAREA>
				</font>
			</td>
		</TR>

		<TR valign=top>
			<td align=right bgcolor="#336699">
				<font size="-1" color="#FFFFFF" face="sans-serif">
				<b><%= jspInfo.get("PermHeader") %>:</b>
				</font>
			</td>

			<td bgcolor="#C0C0C0" align=center>
				<table border=0 align=center bgcolor=#FFFFFF cellspacing=1>
				<TR bgcolor=#C0C0C0>
					<TD align=right>
						<font size="-1" face="sans-serif">
						&nbsp;
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<b><%= jspInfo.get("PermRead") %></b>
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<b><%= jspInfo.get("PermWrite") %></b>
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<b><%= jspInfo.get("PermExecute") %></b>
						</font>
					</TD>
				</TR>

<%	String bpub = webquerytool_ui.getCurrentObject().getBinaryPub(); %>

				<TR bgcolor=#C0C0C0>
					<TD align=right>
						<font size="-1" face="sans-serif">
						<b><%= jspInfo.get("PermCreator") %></b>
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<INPUT TYPE=checkbox name=or
							<%= bpub.substring(6,7).equals("1")?"checked":"" %>>
						</font>
					</TD align=center>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<INPUT TYPE=checkbox name=ow
							<%= bpub.substring(7,8).equals("1")?"checked":"" %>>
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<INPUT TYPE=checkbox name=ox
							<%= bpub.substring(8,9).equals("1")?"checked":"" %>>
						</font>
					</TD>
				</TR>
				<TR bgcolor=#C0C0C0>
					<TD align=right>
						<font size="-1" face="sans-serif">
						<b><%= jspInfo.get("PermGroup") %></b>
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<INPUT TYPE=checkbox name=gr
							<%= bpub.substring(9,10).equals("1")?"checked":"" %>>
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<INPUT TYPE=checkbox name=gw
							<%= bpub.substring(10,11).equals("1")?"checked":"" %>>
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<INPUT TYPE=checkbox name=gx
							<%= bpub.substring(11,12).equals("1")?"checked":"" %>>
						</font>
					</TD>
				</TR>
				<TR bgcolor=#C0C0C0>
					<TD align=right>
						<font size="-1" face="sans-serif">
						<b><%= jspInfo.get("PermOther") %></b>
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<INPUT TYPE=checkbox name=ar
							<%= bpub.substring(12,13).equals("1")?"checked":"" %>>
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<INPUT TYPE=checkbox name=aw
							<%= bpub.substring(13,14).equals("1")?"checked":"" %>>
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<INPUT TYPE=checkbox name=ax
							<%= bpub.substring(14,15).equals("1")?"checked":"" %>>
						</font>
					</TD>
				</TR>
<% 	if( false && webquerytool_ui.getCurrentObject().getVersion() > 1 ) { %>
				<TR bgcolor=#C0C0C0>
					<TD align=right>
						<font size="-1" face="sans-serif">
						<b><%= jspInfo.get("PermHttp") %></b>
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<INPUT TYPE=checkbox name=hr
							<%= bpub.substring(3,4).equals("1")?"checked":"" %>>
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						&nbsp;
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<INPUT TYPE=checkbox name=hx
							<%= bpub.substring(5,6).equals("1")?"checked":"" %>>
						</font>
					</TD>
				</TR>
<%	} %>
<% 	if( webquerytool_ui.getCurrentObject().getVersion() > 1 ) { %>
				<TR bgcolor=#C0C0C0>
					<TD align=right>
						<font size="-1" face="sans-serif">
						<b><%= jspInfo.get("PermSoap") %></b>
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<INPUT TYPE=checkbox name=sr
							<%= bpub.substring(0,1).equals("1")?"checked":"" %>>
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						&nbsp;
						</font>
					</TD>
					<TD align=center>
						<font size="-1" face="sans-serif">
						<INPUT TYPE=checkbox name=sx
							<%= bpub.substring(2,3).equals("1")?"checked":"" %>>
						</font>
					</TD>
				</TR>
<% 	} %>
				</TABLE>
			</td>
		</TR>
		</table>
	</td>
</tr>
</table>

</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
	//-->
</script>

</body>

</html>
