<%@ page language="java"  %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspConnectPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspConnectPage jspInfo = new JspConnectPage();
	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title> <%= jspInfo.getTitle() %> </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

<SCRIPT language="JavaScript">
<!--
	function typeSelect( existing )
	{
		document.forms[0].type[0].checked = existing;
		document.forms[0].type[1].checked = !existing;
	}
//-->
</SCRIPT>

</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" atext="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/Connect">

<input type=hidden name=op value=process>
<input type=hidden name=page value=connect>
<% 	if( request.getParameterValues("returnTo") != null ) { %>
<input type=hidden name=returnTo value="<%= request.getParameterValues("returnTo")[0] %>">
<%	} %>

<% try { %>
<%@ include file="pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

<table border=0 width=100% align=center>
<tr valign=top bgcolor="#C0C0C0">
	<td>
		<table border=0 rules=none cellspacing=0 cellpadding=4 width=100%>
		<tr bgcolor="#6699CC">
			<td colspan=2>
				<font face=sans-serif color="#FFFFFF" size=2><b>
					<INPUT style="background : #6699CC; color : black"
						type=radio name=type value="existing" checked>
						<%= jspInfo.get("CurrentHeader") %>
				</b></font>
			</td>
		</tr>

		<tr bgcolor="#C0C0C0">
			<td align=center colspan=2>
				<font face=sans-serif color="#FFFFFF" size=2><b>
					<select name=conlist
						onFocus="typeSelect(true)" size=10>
<%	Enumeration e = webquerytool_user.enumerateConnections();
	String conName = "";
	while( e.hasMoreElements() )
	{
		conName = (String) e.nextElement();
		if( uc.getName().equals(conName) )
		{
%>
						<option selected><%= conName %></option>
<%		} else { %>
						<option><%= conName %></option>
<%		} %>
<%	} %>
					</select>
				</b></font>
			</td>
		</tr>
		</table>
	</td>

	<td>
		<table border=0 rules=none cellspacing=0 cellpadding=4 width=100%>
		<tr bgcolor="#6699CC">
			<td colspan=2>
				<font face=sans-serif color="#FFFFFF" size=2>
				<b>
				<INPUT style="background : #6699CC; color : black"
					type=radio name=type value="new">
					<%= jspInfo.get("NewHeader") %>
				</b></font>
			</td>
		</tr>

		<tr bgcolor="#C0C0C0">
			<td align="right">
				<font face=sans-serif size=2>
				<%= jspInfo.get("NewUser") %>
				</font>
			</td>

			<td>
				<input type=text name=userid
					onFocus="typeSelect(false)" size=12 maxlength=18 value="<%= uc.getId() %>">
			</td>
		</tr>

		<tr bgcolor="#C0C0C0">
			<td align="right">
				<font face=sans-serif size=2>
				<%= jspInfo.get("NewPass") %>
				</font>
			</td>

			<td>
				<input type=password name=password
					onFocus="typeSelect(false)" size=12 maxlength=18 value="<%= uc.getPassword() %>">
			</td>
		</tr>

		<tr bgcolor="#C0C0C0">
			<td align=right>
				<font face=sans-serif size=2>
				<%= jspInfo.get("NewDbType") %>
				</font>
			</td>

			<td align=left>
				<font size=2 face=sans-serif size=2>
				<SELECT
					onFocus="typeSelect(false)" name=databasetype>
<%	for( int i=0; i<webquerytool_cfg.getJdbcInfo().size(); i++ )
	{
		Properties p = (Properties) webquerytool_cfg.getJdbcInfo().elementAt(i);
%>
				<OPTION value="<%= p.get("name") %>"> <%= p.get("name") %> </OPTION>
<% 	} %>
				</SELECT>
				</FONT>
			</td>
		</tr>

		<tr bgcolor="#C0C0C0">
			<td align="right">
				<font face=sans-serif size=2>
				<%= jspInfo.get("NewDbLoc") %>
				</font>
			</td>

			<td>
				<input type=text name=databaselocation
					onFocus="typeSelect(false)" size=12 maxlength=18 value="<%= uc.getDbName() %>">
			</td>
		</tr>
		</table>
	</td>
</tr>
</table>

</TD></TR></TABLE>

</form>


<SCRIPT language="javascript">
<!--

document.forms[0].userid.focus();

//-->
</SCRIPT>

</body>

</html>
