<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.errorJSP",
		request.getLocale()
	);
	
    MsgMgr loginMsgMgr = new MsgMgr(
    	"com.ibm.db2.cwq.nls.LoginPageJSP",
    	request.getLocale()
    );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<title> Error Page </title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">
</head>

<body bgcolor="#FFFFFF" text="#000000"
	link="#000000" vlink="#000000" alink="#000000"
	onLoad="checkFrame();">

<TABLE width=560 height=100% border=0 align=center cellpadding=0 cellspacing=0>
<TR valign=bottom>
	<TD align=left>
		<br>
		<br>
		<br>

		<nobr>
		<FONT size=+1 face=sans-serif>
		<%= loginMsgMgr.get( "mainTitle" ) %>
		</FONT>
		<FONT size=-1 face=sans-serif>
		<b>
		(v <%= webquerytool_cfg.getVersion() %>)
		</b>
		</FONT>
		<nobr>
	</TD>

	<TD align=right>
		<IMG src="ibmlogo.gif" hspace=0 vspace=0 border=0>
	</TD>
</TR>

<TR valign=top>
	<TD align=center colspan=2>
		<hr width=100%>
	</TD>
</TR>

<TR valign=middle>
	<TD align=center>
		<IMG src="db2nd.gif" hspace=0 vspace=0 border=0>
	</TD>

	<TD align=center>

		<font color="#FF0000" size=+1 face="arial,sans-serif">
			<%= msgMgr.get( "sessionError1" ) %>
			<br>
			<br>
			<%= msgMgr.get( "sessionError2" ) %>
			<br>
			or
			<br>
			<%= msgMgr.get( "sessionError3" ) %>
		</font>

	</TD>
</TR>

</TABLE>

</body>

</html>
