<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.*" %>
<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspLoginPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>

<%
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

    MsgMgr msgMgr = new MsgMgr(
    	"com.ibm.db2.cwq.nls.LoginPageJSP",
    	request.getLocale()
    );

	MsgMgr comMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.Message",
		request.getLocale()
	);

    UserConnection uc = webquerytool_user.getConnection("TEMP");

    if( uc == null )
    	uc = new UserConnection( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<title> 
		<%= msgMgr.get( "title", request.getServerName() ) %> 
	</title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query (c) 1999-2002, All Rights Reserved">

<SCRIPT language="JavaScript">
<!--
	function checkFrame()
	{
		if( parent.frames.length != 0 )
			top.location='<%= webquerytool_cfg.getAppRoot() %>';
	}
//-->
</SCRIPT>

<LINK REL="SHORTCUT ICON" HREF="<%= webquerytool_cfg.getWebRoot(request) %>favicon.ico">

</head>

<body onLoad="checkFrame()" bgcolor="#FFFFFF"
	LEFTMARGIN="0" TOPMARGIN="0"
	text="#000000" link="#000000" vlink="#000000">


<form method=post action="<%= webquerytool_cfg.getAppRoot() %>">

<input type=hidden name=op value=process>
<input type=hidden name=page value=loginpage>

<TABLE border=0 align=center cellpadding=5 cellspacing=0 width=100%>
<TR valign=bottom bgcolor="#003366">
	<TD colspan=2 align=right>
		<FONT size=+1 face=sans-serif color="#FFFFFF">
		<a href="<%= webquerytool_cfg.getAppRoot() %>/Configure"><IMG src="ibmlogow.gif"
			alt="<%= msgMgr.get( "ibmLogoAltTag" ) %>" hspace=0 vspace=0 border=0></a>
		&nbsp;
		</FONT>
	</TD>
</TR>

<TR valign=bottom bgcolor="#336699">
	<TD colspan=2 align=left>
		<FONT size=+1 face=sans-serif color="#FFFFFF">
		&nbsp;
		<%= msgMgr.get( "mainTitle" ) %>
		</FONT>
	</TD>
</TR>

<TR valign=bottom bgcolor="#FFFFFF">
	<TD colspan=2 align=left>
		<FONT size=+1 face=sans-serif color="#FFFFFF">
		&nbsp;
		</FONT>
	</TD>
</TR>
</TABLE>

<TABLE width=90% align=center border=0><TR><TD>

<TABLE border=0 align=center cellpadding=5 cellspacing=0>
<TR valign=middle align=center>
	<TD width=50%>
		<IMG src="db2nd.gif" hspace=0 vspace=0 border=0>
	</TD>
	<TD width=50%>

		<table border=0 rules=none cellspacing=0 cellpadding=4>
		<tr>
			<td colspan=2>
				<font face=sans-serif size=2>
				<b>
				<%= msgMgr.get( "loginLabel" ) %>
				</b></font>
			</td>
		</tr>

		<tr>
			<td align="right">
				<font face=sans-serif size=2>
				<%= msgMgr.get( "userIdLabel" ) %>
				</font>
			</td>

			<td>
				<input type=text name=userid size=12 maxlength=18 value="<%= uc.getId() %>">
			</td>
		</tr>

		<tr>
			<td align="right">
				<font face=sans-serif size=2>
				<%= msgMgr.get( "passwordLabel" ) %>
				</font>
			</td>

			<td>
				<input type=password name=password size=12 maxlength=18 value="<%= uc.getPassword() %>">
			</td>
		</tr>

		<tr>
			<td align=right>
				<font face=sans-serif size=2>
				<%= msgMgr.get( "connectionTypeLabel" ) %>
				</font>
			</td>

			<td align=left>
				<font size=2 face=sans-serif size=2>
				<SELECT name=databasetype>
<%	for( int i=0; i<webquerytool_cfg.getJdbcInfo().size(); i++ )
	{
		Properties p = (Properties) webquerytool_cfg.getJdbcInfo().elementAt(i);
		String sel = new String();
		if( ((String)p.get("name")).equals( ((String)uc.getDbType().get("name")) ) )
			sel = "selected";
%>
				<OPTION value="<%= p.get("name") %>"
					<%= sel %> >
					<%= p.get("name") %>
				</OPTION>
<% 	} %>
				</SELECT>
				</FONT>
			</td>
		</tr>

		<tr>
			<td align="right">
				<font face=sans-serif size=2>
				<%= msgMgr.get( "databaseLabel" ) %>
				</font>
			</td>

			<td>
				<input type=text name=databaselocation size=20 maxlength=20 value="<%= uc.getDbName() %>">
			</td>
		</tr>

		<tr>
			<td align=right>
				<font face=sans-serif size=2>
				<%= msgMgr.get( "rememberLabel" ) %>
				</font>
			</td>
			<td align=left>
				<font face=sans-serif size=2>
				<input type=checkbox
					name=savelogin
					value=yes
<%	if( webquerytool_user.isRememberLogin() ) { %>
					checked
<%	} %>>
				</font>
			</td>
		</tr>

		<tr>
			<td align=left>
			</td>
			<td align=left>
				<font face=sans-serif size=2>
				<input type=submit
					style="font-color:000000" style="background:C0C0C0" style="font-size:12"
					value="<%= msgMgr.get( "loginButton" ) %>">
				</font>
			</td>
		</tr>
		</table>

	</TD>
</TR>

<%	if( webquerytool_user.getMsg().size() > 0 ) { %>
	<TR valign=bottom bgcolor="#FFFFFF">
		<TD colspan=2 align=left>
			<FONT size=+1 face=sans-serif color="#FFFFFF">
			<br>
			</FONT>
		</TD>
	</TR>

	<TR valign="top">
		<TD colspan=2>
			<FONT face="sans-serif" size="-1" color="#000000">
			<ul>
	<%	Properties m = new Properties();
		for( int i=0; i<webquerytool_user.getMsg().size(); i++ )
		{
			m = (Properties) webquerytool_user.getMsg().elementAt(i);
	%>
			<li> <%= m.get("msg") %>
	<% 	} %>
			</ul>
			</FONT>
		</TD>
	</TR>

<%	} %>

	<TR valign=bottom bgcolor="#FFFFFF">
		<TD colspan=2 align=left>
			<FONT size=+1 face=sans-serif color="#FFFFFF">
			<br>
			</FONT>
		</TD>
	</TR>


	<TR valign="top">
		<TD width=50%>
			<font size="-2" face="sans-serif">
		<%	Enumeration e = webquerytool_cfg.getLicenses().keys();
			String key = null;
			Properties aLic = null;

			while( e.hasMoreElements() )
			{
				key = (String) e.nextElement();
				aLic = (Properties) webquerytool_cfg.getLicenses().get( key );
		%>
			(<%= aLic.get("ProductID") %>) <%= aLic.get("ProductName") %>
		<%		if( aLic.get("ProductAnnotation") != null ) { %>
				<%= aLic.get("ProductAnnotation") %>
		<%		} %>
			<br><br>
		<%	} %>

			<%= comMsgMgr.get( "CWQ9807I" ) %>: 
			 <b><%= webquerytool_cfg.getMajorVersion() %> </b> <br>
			</font>
		</TD>

		<TD width=50%>
			<font size="-2" face="sans-serif">

			<%= comMsgMgr.get( "CWQ9801I" ) %> <br>
			<%= comMsgMgr.get( "CWQ9802I" ) %>

			<br>
			<br>

			<%= comMsgMgr.get( "CWQ9803I" ) %> <br>
			<%= comMsgMgr.get( "CWQ9804I" ) %>

			</font>
		</TD>
	</TR>
	</TABLE>

</TD></TR></TABLE>

</form>

<SCRIPT language="javascript">
<!--
	document.forms[0].userid.focus();
//-->
</SCRIPT>

</body>

</html>
