<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspTablesPage" %>
<%@ page import="com.ibm.db2.cwq.catalog.ListItem" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>
<jsp:useBean id="webquerytool_catalog" class="java.util.Vector"scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.TablesPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	MsgMgr menuMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.MenuPageJSP",
		request.getLocale() 
	);
		
	String tabledata = menuMsgMgr.get( "CWQ6024" );
		
	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

    JspTablesPage jspInfo = new JspTablesPage();
    jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title> <%= msgMgr.get( "CWQJspTablesPage_Title" ) %> </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>"></base>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" atext="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/TablesPage">

<input type=hidden name=op value=process>
<input type="hidden" name="cmd" value="">
<input type="hidden" name="page" value="tablespage">

<% try { %>
<%@ include file="pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<table border=0 cellpadding=0 cellspacing=0 align=center width=100%>
<tr valign=top>
	<td align=center>
		<font size=-1 face="sans-serif">
		<SELECT name=objId size=15>

<% 	ListItem li = new ListItem();
	String item = new String();
	String lookfor = "/" +tabledata +"/" +menuMsgMgr.get( "CWQ6040" ) +"/";
	int pos = 0;

	for( int i=0; i<webquerytool_ui.getTree().size(); i++ )
	{
		if( i == 0 )
		{
%>
			<OPTION value=<%= li.getId() %> selected>
				[<%= msgMgr.get( "newTable" ) %>]
			</OPTION>
<% 		}

		li = (ListItem) webquerytool_ui.getTree().elementAt(i);
		if( li.getPath().indexOf( uc.getName() ) != -1 )
		{

			if( li.getDbType().length() > 0
				&& li.getPath().indexOf( "/"+uc.getName()+"/" ) != -1 )
			{
				item = li.getObjName();
%>
			<OPTION value="<%= li.getId() %>"> <%= item %> </OPTION>
<%			}
		}
	} %>
		</SELECT>
		</font>
	</td>
</tr>
</table>

</form>

<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body>

</html>
