<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspTablesPage" %>
<%@ page import="com.ibm.db2.cwq.catalog.ListItem" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>
<jsp:useBean id="webquerytool_catalog" class="java.util.Vector"scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

    JspTablesPage jspInfo = new JspTablesPage();
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title> Tables Page </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>"></base>

	<META name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000" 
	link="#FFFFFF" atext="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/TablesPage"> 

<input type=hidden name=op value=process>
<input type="hidden" name="cmd" value="">
<input type="hidden" name="page" value="tablespage">

<%@ include file="pageheader.inc" %>

<table border=0 cellpadding=0 cellspacing=0 align=center width=100%>
<tr valign=top>
	<td align=center>
		<font size=-1 face="sans-serif">
		<SELECT name=objId size=15>

<% 	ListItem li = new ListItem();
	String item = new String();
	int pos = 0;

	for( int i=0; i<webquerytool_ui.getTree().size(); i++ )
	{ 
		li = (ListItem) webquerytool_ui.getTree().elementAt(i);
		if( li.getPath().indexOf( uc.getName() ) != -1 )
		{
			if( li.getLevel() == 1 )
			{
%>
			<OPTION value=<%= li.getId() %> selected>
				[NEW TABLE]
			</OPTION>
<% 			}

			else if( li.getPath().indexOf("/Table Data/TABLE/") != -1 )
			{
				item = li.getPath().substring(
					li.getPath().indexOf("/Table Data/TABLE/")+18,
					li.getPath().length()
				);
				
				if( (pos = item.indexOf("/")) != -1 )
				{
					item = item.substring(0,pos) 
						+"." 
						+item.substring(pos+1,item.length());
%>
			<OPTION value="<%= li.getId() %>">
				<%= item %>
			</OPTION>
<%				}
			}
		}
	} %>
		</SELECT>
		</font>
	</td>
</tr>
</table>

</form>

<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body>

</html>
