<%@	page language="java"  %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@	page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.*" %>
<%@ page import="com.ibm.db2.cwq.compare.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.compare.Pair" %>
<%@ page import="com.ibm.db2.cwq.compare.SourceObj" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="compare_ui" class="com.ibm.db2.cwq.compare.Settings" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.CompareOptionsPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);


    // -----------------------------------------
    // Header
    String pageName = "compare/Options.jsp";

    String headerTitle = msgMgr.get( "title" );

    boolean headerShowMsg = true;
    boolean headerChangeCon = true;
    boolean headerQuickHelp = true;

    // ---------------------------------------
    // Left Menu
    String[] headerLeft =
    	{
			msgMgr.get( "leftButtonSetup" ), "javascript:go('session');",
			msgMgr.get( "leftButtonProperties" ), "javascript:go('properties');",
			msgMgr.get( "leftButtonOptions" ), "javascript:go('options');",
			msgMgr.get( "leftButtonReport" ), "javascript:go('report')"
    	};

    // ---------------------------------------
    // Right Menu
    String headerRightTitle = msgMgr.get( "headerRightTitle" );

    String[] headerRight =
    	{
			msgMgr.get( "rightButtonUpdate" ), "javascript:go('propsave')",
			msgMgr.get( "rightButtonDefault" ), "javascript:go('propsavedef')"
		};

    // ---------------------------------------
    // Quick Help
	String headerHelpText = msgMgr.get( "headerHelpText" );


	// ------------------------------------------------------
	// Session List
	// ------------------------------------------------------

	Pair p = (Pair) compare_ui.getPairs().elementAt(
		compare_ui.getSelectedPair()
	);

	String checked = new String();

	Enumeration pe = null;
	String pkey = new String();
	int pi=0;
	int chop=0;
	int colcounter=0;

%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<title> Properties </title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/Compare">

<input type=hidden name="op" value="process">
<input type=hidden name="page" value="options">
<input type=hidden name="cmd" value="">

<% try { %>
<%@ include file="../header.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>


<TABLE width=90% align="center"><TR><TD>


<TABLE width=100% border=0 align=center cellspacing=2 cellpadding=2>

<TR bgcolor="#6699CC" valign=top>
	<TD colspan=2>
		<font color="#FFFFFF" face="arial,sans-serif" size=-1> <b>
		<%= msgMgr.get( "objectsToCompare" ) %>:
		</b> </font>
	</TD>
</TR>

<TR bgcolor="#C0C0C0" valign=top>
	<TD colspan=2 align=center>
		<font face="arial,sans-serif" size=-1>
		<SELECT size=1 name=sessionList onChange="go('propselect');">
<%	Pair sesPair = new Pair();
	for( int sesi=0; sesi<compare_ui.getPairs().size(); sesi++ )
	{
		sesPair = (Pair) compare_ui.getPairs().elementAt(sesi);
		checked = "";
		if( sesi == compare_ui.getSelectedPair() )
			checked = "selected";
		%>
			<OPTION value=<%= sesi %> <%= checked %>>
				(<%= sesPair.getSource().getTypeName() %>)
				<%= sesPair.getSource().getConName() %>.<%= sesPair.getSource().getName() %>

				::
				(<%= sesPair.getTarget().getTypeName() %>)
				<%= sesPair.getTarget().getConName() %>.<%= sesPair.getTarget().getName() %>
			</OPTION>
<%	} %>
			<OPTION value=-1>----------------------------------------</OPTION>
		</SELECT>
		<br>
		<br>
		</font>
	</TD>
</TR>

<TR bgcolor="#FFFFFF" valign=top>
	<TD colspan=2>
		&nbsp;
	</TD>
</TR>

<%  // ------------------------------------------------------
	// Structure and Data Options
	// ------------------------------------------------------ %>

<TR bgcolor="#6699CC" valign=top>
	<TD width=50%>
		<font color="#FFFFFF" face="arial,sans-serif" size=-1> <b>
		<%= msgMgr.get( "structure" ) %>:
		</b> </font>
	</TD>
	<TD width=50%>
		<font color="#FFFFFF" face="arial,sans-serif" size=-1> <b>
		<%= msgMgr.get( "data" ) %>:
		</b> </font>
	</TD>
</TR>


<TR bgcolor="#C0C0C0" valign=top>

<%	// ----------------------------------------------------
	// STRUCTURE OPTIONS
	// ---------------------------------------------------- %>

	<TD width=50%>
		<TABLE width=100% border=0 cellspacing=0 cellpadding=0>
<%
		pe = p.getStructure().propertyNames();
		chop = 7;
		pi=0;
		colcounter=0;
		while( pe.hasMoreElements() )
		{
			pi++;
			pkey = (String) pe.nextElement();
			checked = "";
			if( ((String)p.getStructure().get(pkey)).equals("1") )
				checked = "checked";

			if( colcounter == 0 ) {
%>
		<TR>
<% 			} %>
			<TD width=50%>
				<nobr>
				<font face=sans-serif size=-1>
				<INPUT type="checkbox"
					name="<%= pkey.substring(0,1) %><%= pi %>" value="<%= pkey %>"
					<%= checked %> >
				<%= msgMgr.get( "struct" +pkey.substring(chop,pkey.length()) ) %>
				</font>
				</nobr>
			</TD>
<% 			if( ++colcounter == 2 )
			{
				colcounter = 0;
%>
		</TR>
<% 			}
		}

		if( colcounter > 2 ) { %>
		</TR>
<%		} %>

		</TABLE>

<% 		if( pkey.length()>0 ) { %>
		<INPUT type=hidden
			name="<%= pkey.substring(0,chop-1) %>count"
			value=<%= pi %>>
<% 		} %>
	</TD>


<%	// ----------------------------------------------------
	// DATA OPTIONS
	// ---------------------------------------------------- %>

	<TD width=50%>
		<TABLE width=100% border=0 cellspacing=0 cellpadding=0>
<%
		pe = p.getData().propertyNames();
		chop = 5;
		pi=0;
		colcounter=0;
		while( pe.hasMoreElements() )
		{
			pi++;
			pkey = (String) pe.nextElement();
			checked = "";
			if( ((String)p.getData().get(pkey)).equals("1") )
				checked = "checked";

			if( colcounter == 0 ) {
%>
		<TR>
<% 			} %>
			<TD width=50%>
				<nobr><font face=sans-serif size=-1>
				<INPUT type="checkbox"
					name="<%= pkey.substring(0,1) %><%= pi %>" value="<%= pkey %>"
					<%= checked %> >
				<%= msgMgr.get( "data" +pkey.substring(chop,pkey.length()) ) %>
				</font></nobr>
			</TD>
<% 			if( ++colcounter == 2 ) {
				colcounter = 0;
%>
		</TR>
<% 			}
		}

		if( colcounter > 2 ) { %>
		</TR>
<%		} %>
		</TABLE>

<% 		if( pkey.length()>0 ) { %>
		<INPUT type=hidden
			name="<%= pkey.substring(0,chop-1) %>count"
			value=<%= pi %>>
<% 		} %>
		<br>
	</TD>
</TR>

<TR bgcolor="#6699CC" valign=top>
	<TD width=50%>
		<font color="#FFFFFF" face="arial,sans-serif" size=-1> <b>
		<%= msgMgr.get( "permissions" ) %>:
		</b> </font>
	</TD>
	<TD width=50%>
		<font color="#FFFFFF" face="arial,sans-serif" size=-1> <b>
		<%= msgMgr.get( "index" ) %>:
		</b> </font>
	</TD>
</TR>

<TR bgcolor="#C0C0C0" valign=top>

<%
	// ----------------------------------------------------
	// PERMISSION OPTIONS
	// ----------------------------------------------------

%>
	<TD width=50%>
		<TABLE width=100% border=0 cellspacing=0 cellpadding=0>
<%
		pe = p.getPermissions().propertyNames();
		chop = 5;
		colcounter=0;
		pi=0;
		while( pe.hasMoreElements() )
		{
			pi++;
			pkey = (String) pe.nextElement();
			checked = "";
			if( ((String)p.getPermissions().get(pkey)).equals("1") )
				checked = "checked";

			if( colcounter == 0 ) {
%>
		<TR>
<% 			} %>
			<TD width=50%>
				<nobr><font face=sans-serif size=-1>
				<INPUT type="checkbox"
					name="<%= pkey.substring(0,1) %><%= pi %>" value="<%= pkey %>"
					<%= checked %> >
				<%= msgMgr.get( "perm" +pkey.substring(chop,pkey.length()) ) %>
				</font></nobr>
			</TD>
<% 			if( ++colcounter == 2 ) {
				colcounter = 0;
%>
		</TR>
<% 			}
		}

		if( pi==0 ) {
%>
			<TR>
				<TD width=100%>
					<%= msgMgr.get( "noPermission" ) %>
				</TD>
<%		}

		if( colcounter > 2 ) { %>
		</TR>
<%		} %>
		</TABLE>

<% 		if( pkey.length()>0 ) {
%>
		<INPUT type=hidden
			name="<%= pkey.substring(0,chop-1) %>count"
			value=<%= pi %>>
<% 		} %>
		<br>
	</TD>

<%	// ----------------------------------------------------
	// LIST OPTIONS
	// ---------------------------------------------------- %>

	<TD width=50%>
		<TABLE width=100% border=0 cellspacing=0 cellpadding=0>
<%
		pe = p.getIndex().propertyNames();
		chop = 6;
		colcounter=0;
		pi=0;
		while( pe.hasMoreElements() )
		{
			pi++;
			pkey = (String) pe.nextElement();
			checked = "";
			if( ((String)p.getIndex().get(pkey)).equals("1") )
				checked = "checked";

			if( colcounter == 0 ) {
%>
		<TR>
<% 			} %>
			<TD width=50%>
				<nobr>
				<font face=sans-serif size=-1>
				<INPUT type="checkbox"
					name="<%= pkey.substring(0,1) %><%= pi %>" value="<%= pkey %>"
					<%= checked %> >
				<%= msgMgr.get( "index" +pkey.substring(chop,pkey.length()) ) %>
				</font>
				</nobr>
			</TD>
<% 			if( ++colcounter == 2 ) {
				colcounter = 0;
%>
		</TR>
<% 			}
		}

		if( pi==0 ) {
%>
			<TR>
				<TD width=100%>
					<font face=sans-serif size=-1>
					<%= msgMgr.get( "noIndex" ) %>
					</font>
				</TD>
			</TR>
<%		}

		if( colcounter > 2 ) { %>
		</TR>
<%		} %>
		</TABLE>

<% 		if( pkey.length()>0 ) { %>
		<INPUT type=hidden
			name="<%= pkey.substring(0,chop-1) %>count"
			value=<%= pi %>>
<% 		} %>
		<br>
	</TD>
</TR>

</TABLE>

</TD></TR></TABLE>

</form>

</body>
</html>
