<%@	page language="java"  %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.compare.Pair" %>
<%@ page import="com.ibm.db2.cwq.compare.SourceObj" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="compare_ui" class="com.ibm.db2.cwq.compare.Settings" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.CompareOutputPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);


    // -----------------------------------------
    // Header
    String pageName = "compare/Report.jsp";

    String headerTitle = msgMgr.get( "title" );

    boolean headerShowMsg = true;
    boolean headerChangeCon = false;
    boolean headerQuickHelp = false;

    // ---------------------------------------
    // Left Menu
    String[] headerLeft =
    	{
			msgMgr.get( "leftButtonClose" ), "window.close();",
			msgMgr.get( "leftButtonPrint" ), "window.print();"
    	};

    // ---------------------------------------
    // Right Menu
    String headerRightTitle = "";

    String[] headerRight = new String[0];

    // ---------------------------------------
    // Quick Help
	String headerHelpText = "";
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<HEAD>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<TITLE>msgMgr.get( "title" )</TITLE>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</HEAD>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF">

<% try { %>
<%@ include file="../header.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

<%	Pair p = null;

	if( compare_ui.getSelectedPair() == -1 )
	{
		for( int i=0; i<compare_ui.getPairs().size(); i++ )
		{
			p = (Pair)
				compare_ui.getPairs().elementAt(i);

			if( p.isReportHTML() )
			{
%>
<%= p.generateReportHTML( request ) %>
<br>
<br>
<% 			} else { %>
<PRE>
<%= p.generateReport( request ) %>


</PRE>
<%			}
 		}
	}
	else
	{
		p = (Pair) compare_ui.getPairs().elementAt(
			compare_ui.getSelectedPair()
		);

		if( p.isReportHTML() )
		{
%>
<%= p.generateReportHTML( request ) %>
<br>
<br>
<% 		} else { %>
<PRE>
<%= p.generateReport( request ) %>


</PRE>
<%		}
	} %>


</TD></TR></TABLE>

</BODY>

</HTML>
