<%@	page language="java"  %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@	page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.*" %>
<%@ page import="com.ibm.db2.cwq.compare.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.compare.Pair" %>
<%@ page import="com.ibm.db2.cwq.compare.SourceObj" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="compare_ui" class="com.ibm.db2.cwq.compare.Settings" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.ComparePropertiesPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);


    // -----------------------------------------
    // Header
    String pageName = "compare/Properties.jsp";

    String headerTitle = msgMgr.get( "title" );

    boolean headerShowMsg = true;
    boolean headerChangeCon = true;
    boolean headerQuickHelp = true;

    // ---------------------------------------
    // Left Menu
    String[] headerLeft =
    	{
			msgMgr.get( "leftButtonSetup" ), "javascript:go('session');",
			msgMgr.get( "leftButtonProperties" ), "javascript:go('properties');",
			msgMgr.get( "leftButtonOptions" ), "javascript:go('options');",
			msgMgr.get( "leftButtonReport" ), "javascript:go('report')"
    	};

    // ---------------------------------------
    // Right Menu
    String headerRightTitle = msgMgr.get( "rightTitle" );

    String[] headerRight =
    	{
			msgMgr.get( "rightButtonUpdate" ), "javascript:go('propsave')",
			msgMgr.get( "rightButtonDefault" ), "javascript:go('propsavedef')"
		};

    // ---------------------------------------
    // Quick Help
	String headerHelpText = msgMgr.get( "quickHelp" );

    // ---------------------------------------
	// OPTIONS
	Pair p =
		new Pair();
	p = (Pair)
		compare_ui.getPairs().elementAt( compare_ui.getSelectedPair() );
	String checked = new String();

	Enumeration pe = null;
	String pkey = new String();
	int pi = 0;

%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<title> <%= msgMgr.get( "title" ) %> </title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/Compare">

<input type=hidden name="op" value="process">
<input type=hidden name="page" value="properties">
<input type=hidden name="cmd" value="">

<% try { %>
<%@ include file="../header.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>


<TABLE width=90% align=center><TR><TD>


<TABLE border=0 cellspacing=0 cellpadding=3 align=center width=100%>
<TR bgcolor="#6699CC">
	<TD colspan=5 align=left>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b><%= msgMgr.get( "objectToCompare" ) %>:</b>
		</font>
	</TD>
</TR>
<TR>
	<TD colspan=5 align=center bgcolor="#C0C0C0">
		<font face="arial,sans-serif" size=-1>
		<SELECT size=1 name=sessionList onChange="go('propselect');">
<%	Pair sesPair = new Pair();

	for( int sesi=0; sesi<compare_ui.getPairs().size(); sesi++ )
	{
		sesPair = (Pair)
			compare_ui.getPairs().elementAt(sesi);
		checked = "";
		if( sesi == compare_ui.getSelectedPair() )
			checked = "selected";

		%>
			<OPTION value=<%= sesi %> <%= checked %>>
				(<%= sesPair.getSource().getTypeName() %>)
				<%= sesPair.getSource().getConName() %>.<%= sesPair.getSource().getName() %>
				::
				(<%= sesPair.getTarget().getTypeName() %>)
				<%= sesPair.getTarget().getConName() %>.<%= sesPair.getTarget().getName() %>
			</OPTION>
<%	} %>
			<OPTION value=-1>----------------------------------------</OPTION>
		</SELECT>
		</font>

		<br>
		<br>
	</TD>
</TR>
</TABLE>

<br>

<TABLE border=0 cellspacing=1 cellpadding=4 align=center width=100% bgcolor="#FFFFFF">
<TR>
	<TD colspan=5 bgcolor="#6699CC" align="left">
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b><%= msgMgr.get( "propertiesHeader" ) %>:</b>
		</font>
	</TD>
</TR>

<TR bgcolor="#C0C0C0">
	<TD align=center colspan=2 bgcolor=#006600>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b><%= msgMgr.get( "sourceHeader" ) %></b>
		(<%= p.getSource().getTypeName() %>)
		<br>
		<%= p.getSource().getConName() %> <%= p.getSource().getName() %>
		</font>
	</TD>

	<TD align=center bgcolor=#C0C0C0 valign=middle>
		<font face="arial,sans-serif" size=-1>
		<INPUT type=button name=swap
			value="<- <%= msgMgr.get( "buttonSwap" ) %> ->"
			style="font-color:000000" style="background:C0C0C0" style="font-size:12"
			onClick="go('propswap')">
		</font>
	</TD>

	<TD align=center colspan=2 bgcolor=#660000>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b><%= msgMgr.get( "targetHeader" ) %></b>
		(<%= p.getTarget().getTypeName() %>)
		<br>
		<%= p.getTarget().getConName() %> <%= p.getTarget().getName() %>
		</font>
	</TD>
</TR>

<TR valign=top>
	<TD colspan=2 bgcolor=#006600>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">

		<INPUT type=radio name=srcRowSelect value=all
			style="background : #006600; color : black"
			<%= p.isSourceAllRows()?"checked":"" %>> <%= msgMgr.get( "rowsAll" ) %>
		<br>

		<nobr>
		<INPUT type=radio name=srcRowSelect value=rows
			style="background : #006600; color : black"
			<%= p.isSourceAllRows()?"":"checked" %>> <%= msgMgr.get( "rows" ) %>
		<INPUT type=text size=3 name=srcRowStart
			value="<%= p.getSourceStart() %>">
		<%= msgMgr.get( "rowsTo" ) %>
		<INPUT type=text size=3 name=srcRowEnd
			value="<%= p.getSourceEnd() %>">
		</nobr>


		</font>
	</TD>

	<TD align=left valign=middle bgcolor=#C0C0C0>
		<font face="arial,sans-serif" size=-1 color="#000000">
		<b><%= msgMgr.get( "rowLimit" ) %>:</b>
		<br>
		<INPUT type=text name=rowLimit size=3 value="<%= p.getRowLimit() %>">
		</font>
	</TD>

	<TD colspan=2 bgcolor=#660000>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">

		<INPUT type=radio name=tarRowSelect value=all
			style="background : #660000; color : black"
			<%= p.isTargetAllRows()?"checked":"" %>> <%= msgMgr.get( "rowsAll" ) %>
		<br>

		<nobr>
		<INPUT type=radio name=tarRowSelect value=rows
			style="background : #660000; color : black"
			<%= p.isTargetAllRows()?"":"checked" %>> <%= msgMgr.get( "rows" ) %>
		<INPUT type=text size=3 name=tarRowStart
			value="<%= p.getTargetStart() %>">
		<%= msgMgr.get( "rowsTo" ) %>
		<INPUT type=text size=3 name=tarRowEnd
			value="<%= p.getTargetEnd() %>">
		</nobr>


		</font>
	</TD>
</TR>

<TR valign=top bgcolor="#C0C0C0">
	<td width=30% valign=bottom bgcolor=#006600>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b><%= msgMgr.get( "columnHeader" ) %></b>
		</font>
	</td>

	<td valign=bottom bgcolor=#006600>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b><%= msgMgr.get( "matchHeader" ) %></b>
		</font>
	</td>

	<td align=center valign=middle bgcolor="#C0C0C0">
		<font face="arial,sans-serif" size=-1 color="#000000">
		<b><%= msgMgr.get( "columnMatch" ) %>:</b>
		<br>
		<SELECT name="order" size=1 onChange="go('propsave');">
			<OPTION value="<%= p.BY_ORDER %>"
				<%= p.getOrder()==p.BY_ORDER?"selected":"" %> ><%= msgMgr.get( "columnMatchOrder" ) %></OPTION>
			<OPTION value="<%= p.BY_NAME %>"
				<%= p.getOrder()==p.BY_NAME?"selected":"" %> ><%= msgMgr.get( "columnMatchName" ) %></OPTION>
			<OPTION value="<%= p.BY_NAMEDATA %>"
				<%= p.getOrder()==p.BY_NAMEDATA?"selected":"" %> ><%= msgMgr.get( "columnMatchNameData" ) %></OPTION>
			<OPTION value="<%= p.BY_MANUAL %>"
				<%= p.getOrder()==p.BY_MANUAL?"selected":"" %> ><%= msgMgr.get( "columnMatchManual" ) %></OPTION>
		</SELECT>
		</font>
	</td>

	<td width=30% valign=bottom bgcolor=#660000>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b><%= msgMgr.get( "columnHeader" ) %></b>
		</font>
	</td>

	<td valign=bottom bgcolor=#660000>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b><%= msgMgr.get( "matchHeader" ) %></b>
		</font>
	</td>
</TR>


<%	SourceObj s = p.getSource();
	boolean scol = false;

	SourceObj t = p.getTarget();
	boolean tcol = false;

	for( int c=0; c<s.getWqml().getColumnCount() || c<t.getWqml().getColumnCount(); c++ )
	{
		scol = false;
		if( c < s.getWqml().getColumnCount() )
			scol = true;
		tcol = false;
		if( c < t.getWqml().getColumnCount() )
			tcol = true;
%>
<TR valign=top bgcolor="#C0C0C0">
	<td>
<%		if( scol ) { %>
		<font face="arial,sans-serif" size=-1>
		<%= ((Properties) s.getWqml().getColumnDef(c)).get("name") %>
		</font>
		<br>
		<font face="arial,sans-serif" size=-2 color="#0000FF">
		(<%= ((Properties) s.getWqml().getColumnDef(c)).get("type") %>)
		</font>
<%		} else { %>
		&nbsp;
<%		} %>
	</td>
	<td>
		<font face="arial,sans-serif" size=-1>
<%		if( scol ) { %>
		<INPUT type=text size=10 name="srcMatch<%= c %>"
<%			if( ((Properties)s.getWqml().getColumnDef(c)).get("match") != null ) { %>
			value="<%= ((Properties)s.getWqml().getColumnDef(c)).get("match") %>" >
<%			} else { %>
			value="" >
<%			} %>
<%		} else { %>
		&nbsp;
<%		} %>
		</font>
	</td>

	<td align=center>
<%		if( scol ) { %>
		<font face="arial,sans-serif" size=-1 color="#FFFF00">
<%			if( p.getOrder() == p.BY_MANUAL ) { %>
		<SELECT name=swapmatch<%= c %>>
			<OPTION value="-1">[<%= msgMgr.get( "manualOmit" ) %>]</OPTION>
<%				for( int j=0; j<t.getWqml().getColumnCount(); j++ )
				{
					if( ((Properties)t.getWqml().getColumnDef(j)).get("name")
						.equals(
						((Properties)s.getWqml().getColumnDef(c)).get("compareto")
						)
						)
						checked = "selected";
					else
						checked = "";
%>
			<OPTION value="<%= j %>" <%= checked %>>
				<%= ((Properties)t.getWqml().getColumnDef(j)).get("name") %>
			</OPTION>
<%				} %>
<%			} else { %>
			<OPTION>
			<B>
			<%= ((Properties)s.getWqml().getColumnDef(c)).get("compareto") %>
			</B>
			</OPTION>
<%		 	} %>

		</SELECT>
<%		} else { %>
		&nbsp;
<%		} %>
		</font>

	</td>

	<td>
<%		if( tcol ) { %>
		<font face="arial,sans-serif" size=-1>
		<%= ((Properties) t.getWqml().getColumnDef(c)).get("name") %>
		</font>
		<br>
		<font face="arial,sans-serif" size=-2 color="#0000FF">
		(<%= ((Properties) t.getWqml().getColumnDef(c)).get("type") %>)
		</font>
<%		} else { %>
		&nbsp;
<%		} %>
	</td>

	<td>
		<font face="arial,sans-serif" size=-1>
<%		if( tcol ) { %>
		<INPUT type=text size=10 name="tarMatch<%= c %>"
<%			if( ((Properties)t.getWqml().getColumnDef(c)).get("match") != null ) { %>
			value="<%= ((Properties)t.getWqml().getColumnDef(c)).get("match") %>" >
<%			} else { %>
			value="" >
<%			} %>
<%		} else { %>
		&nbsp;
<%		} %>
		</font>
<% 	} %>
	</TD>
</TR>
</TABLE>


</TD></TR></TABLE>

</FORM>

</body>

</html>
