<%@	page language="java"  %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.compare.Pair" %>
<%@ page import="com.ibm.db2.cwq.compare.SourceObj" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="compare_ui" class="com.ibm.db2.cwq.compare.Settings" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.CompareReportPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);


    // -----------------------------------------
    // Header
    String pageName = "compare/Report.jsp";

    String headerTitle = msgMgr.get( "title" );

    boolean headerShowMsg = true;
    boolean headerChangeCon = true;
    boolean headerQuickHelp = true;

    // ---------------------------------------
    // Left Menu
    String[] headerLeft =
    	{
			msgMgr.get( "leftButtonSetup" ), "javascript:go('session');",
			msgMgr.get( "leftButtonProperties" ), "javascript:go('properties');",
			msgMgr.get( "leftButtonOptions" ), "javascript:go('options');",
			msgMgr.get( "leftButtonReport" ), "javascript:go('report')"
    	};

    // ---------------------------------------
    // Right Menu
    String headerRightTitle = "";

    String[] headerRight =
    	{
  			msgMgr.get( "rightButtonGenerate" ), "javascript:go('reportoutput')"
		};

    // ---------------------------------------
    // Quick Help
	String headerHelpText = msgMgr.get( "headerHelpText" );

	// OPTIONS
	String checked = new String();
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<HEAD>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<TITLE> <%= msgMgr.get( "title" ) %> </TITLE>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</HEAD>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/Compare">

<input type=hidden name="op" value="process">
<input type=hidden name="page" value="report">
<input type=hidden name="cmd" value="reportrefresh">

<% try { %>
<%@ include file="../header.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>


<TABLE width=90% align=center><TR><TD>


<TABLE border=0 cellspacing=1 cellpadding=3 align=center width=100%>
<TR valign=top>
	<td bgcolor="#6699CC" colspan=2>
		<font face=sans-serif color="#FFFFFF" size=-1>
		<b><%= msgMgr.get( "objectToCompare" ) %>:</b>
		</font>
	</TD>
</TR>

<TR valign=top bgcolor="#C0C0C0">
	<TD colspan=2 align=center>
		<font face="arial,sans-serif" size=-1>
		<SELECT size=1 name=sessionList onChange="go('reportrefresh');">
<%
	Pair sesPair = null;
	Pair pair = null;

	for( int sesi=0; sesi<compare_ui.getPairs().size(); sesi++ )
	{
		sesPair = (Pair) compare_ui.getPairs().elementAt(sesi);
		checked = "";
		if( sesi == compare_ui.getSelectedPair() )
		{
			pair = (Pair) compare_ui.getPairs().elementAt(sesi);
			checked = "selected";
		}
		%>
			<OPTION value=<%= sesi %> <%= checked %>>
				(<%= sesPair.getSource().getTypeName() %>)
				<%= sesPair.getSource().getConName() %>.<%= sesPair.getSource().getName() %>
				::
				(<%= sesPair.getTarget().getTypeName() %>)
				<%= sesPair.getTarget().getConName() %>.<%= sesPair.getTarget().getName() %>
			</OPTION>
<%	} %>
			<OPTION value=-1
				<%= compare_ui.getSelectedPair()==-1?"selected":"" %>>
				-[<%= msgMgr.get( "all" ) %>]----------------------------------
			</OPTION>
		</SELECT>

		<br>
		<br>
		</font>
	</TD>
</TR>

<TR>
	<td colspan=2 bgcolor=#FFFFFF>
		&nbsp;
	</td>
</TR>

<TR>
	<td bgcolor="#6699CC">
		<font face=sans-serif color="#FFFFFF" size=-1>
		<b><%= msgMgr.get( "outputFormat" ) %></b>
		</font>
	</TD>

	<td bgcolor="#6699CC">
		<font face=sans-serif color="#FFFFFF" size=-1>
		<b><%= msgMgr.get( "includeSections" ) %></b>
		</font>
	</TD>
</TR>

<TR valign=top bgcolor="#C0C0C0">
	<TD>
		<font face="arial,sans-serif" size=-1>
			<INPUT type="radio" name="reportFormat" value="html" checked> 
				<%= msgMgr.get( "html" ) %>
			<BR>
			<INPUT type="radio" name="reportFormat" value="text"> 
				<%= msgMgr.get( "text" ) %>
			<BR>
			<BR>
			<%= msgMgr.get( "forward" ) %>:
			<br>
			<INPUT type="text" name="email" size=25>

			<br>
			<br>
		</font>
	</TD>

	<TD bgcolor="#C0C0C0">
		<font face="arial,sans-serif" size=-1>
		<INPUT type=checkbox
			name=includeSummary
			<%= pair==null||pair.includeSummary?"CHECKED":"" %> > 
			<%= msgMgr.get( "summary" ) %>
		<br>

		<INPUT type=checkbox
			name=includePermissions
			<%= pair==null||pair.includePermissions?"CHECKED":"" %> > 
			<%= msgMgr.get( "permissions" ) %>
		<br>

		<INPUT type=checkbox
			name=includeStructure
			<%= pair==null||pair.includeStructure?"CHECKED":"" %> > 
			<%= msgMgr.get( "structure" ) %>
		<br>

		<INPUT type=checkbox
			name=includeData
			<%= pair==null||pair.includeData?"CHECKED":"" %> > 
			<%= msgMgr.get( "data" ) %>
		<br>

		<INPUT type=checkbox
			name=includeIndex
			<%= pair==null||pair.includeIndex?"CHECKED":"" %> > 
			<%= msgMgr.get( "index" ) %>
		<br>
		</font>
	</TD>
</TR>

</TABLE>


</TD></TR></TABLE>


<%	if( request.getParameterValues("openwin") != null ) { %>

<SCRIPT language="JavaScript">
<!--
	var w = 600;
	var h = 500
	var x = 100;
	var y = 100;

	if( document.layers )
	{
		// netscape
		x = parent.window.screenX + 10;
		y = parent.window.screenY + 10;

		h = parent.window.innerHeight - 50;
		w = parent.window.innerWidth - 50;
	}
	else
	{
		// ie
		x = parent.window.screenLeft + 10;
		y = parent.window.screenTop + 10;

		h = parent.window.document.body.offsetHeight - 50;
		w = parent.window.document.body.offsetWidth - 50;
	}

	var ow = window.open(
		"<%= webquerytool_cfg.getWebRoot(request) %>compare/Output.jsp",
		"output",
		"dependent,resizable,scrollbars"
			+",width="+w+",height="+h
			+",screenY="+y+",screenX="+x
			+",top="+y+",left="+x
	);

	ow.focus();
//-->
</SCRIPT>

<%	} %>

</form>

</BODY>

</HTML>
