<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspDB2TableEditorPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="webquerytool_catalog" class="java.util.Vector"scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.db2formsJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);


	JspDB2TableEditorPage jspInfo = new JspDB2TableEditorPage();

	jspInfo.setForm(false);
	if( request.getParameterValues("form") != null )
		jspInfo.setForm(true);

	jspInfo.setLoc( request.getLocale() );
	
 	// ------------------------------------------------------------
	// change the formtype depending on user input.
	// ------------------------------------------------------------

	String formtype = webquerytool_cfg.getDb2FormsMode();

	if( request.getParameterValues("formtype") != null )
		formtype = request.getParameter("formtype");
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title>DB2 Table Editor</title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form action=db2forms.jsp method=post>

<input type=hidden name=formtype>

<% try { %>
<%@ include file="pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<SCRIPT language="JavaScript">
<!--

var winW = -40;
var winH = -120;

if( document.layers )
{
	//alert('ns');
	winW += window.innerWidth;
	winH += window.innerHeight;
}
else
{
	//alert('ie');
	winW += document.body.offsetWidth;
	winH += document.body.offsetHeight;
}

var archive ="<%= webquerytool_cfg.getDb2FormsArchive() %>";
var codebase = "<%= webquerytool_cfg.getDb2FormsUrl() %>";
var code = "DB2FormsApplet.class";
var align = "center";

var teAppletTag = "<applet "
	+"codebase='" +codebase +"' "
	+"code='" +code +"' "
	+"archive='" +archive +"' "
	+"align='" +align +"' "
	+"height='" +winH +"' " +"width='" +winW +"' "
	+">";

//-->
</SCRIPT>

<TABLE width=90% align=center><TR><TD>

<table cellpadding=0 cellspacing=0 border=0 align=center width=100%>
<tr>
	<td>

<%	if( !webquerytool_cfg.getDb2FormsUrl().equals("")
		&& !webquerytool_cfg.getDb2FormsPort().equals("") ) 
	{ 
%>

		<applet width="640" height="480"
			codebase="<%= webquerytool_cfg.getDb2FormsUrl() %>"
			code="DB2FormsApplet.class"
			archive="<%= webquerytool_cfg.getDb2FormsArchive() %>"
%>>		>

<%		if( uc.getProduct().toLowerCase().indexOf("informix") == -1 ) { %>
			<param name=hostname value='<%= request.getServerName() %>'>
			<param name=port value='<%= webquerytool_cfg.getDb2FormsPort() %>'>
			<param name=rdbname value='<%= uc.getDbName() %>'>
<%		} else { %>
			<param name=JdbcUrl value='<%= uc.getJdbcUrl() %>'>
<%		} %>

			<param name=userid value='<%= uc.getId() %>'>
			<param name=password value='<%= uc.getPassword() %>'>
			<param name=formtype value='<%= formtype %>'>
			<param name=showformin value='BROWSER'>
			<param name=bgColor VALUE='FFFFFF'>

<%		if( request.getParameterValues("form") != null ) { %>
			<param name=formowner value='<%= webquerytool_ui.getTableCreator() %>'>
			<param name=formname value='<%= webquerytool_ui.getTableName() %>'>
<%		} else { %>
			<param name=tableowner value='<%= webquerytool_ui.getTableCreator() %>'>
			<param name=tablename value='<%= webquerytool_ui.getTableName() %>'>
<%		} %>
			<A HREF="http://www.rocketsoftware.com/db2forms"><%= msgMgr.get( "javaError" ) %></A>
		</applet>
<%	} else { %>
		<br>
		<br>
		<br>
		<br>
		<font face=sans-serif size=-1><b>

		<%= msgMgr.get( "setupError" ) %> 
		
		<br>
		<br>
		db2TableEditorUrl = <%= webquerytool_cfg.getDb2FormsUrl() %>
		db2TableEditorPort = <%= webquerytool_cfg.getDb2FormsPort() %>
		db2TableEditorMode = <%= webquerytool_cfg.getDb2FormsMode() %>
		</b></font>
<%	} %>

	</td>
</tr>

</table>

</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body>

</html>
