<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspErrorPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.errorJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspErrorPage jspInfo = new JspErrorPage();
	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->
<HTML>

<head>
	<title><%= msgMgr.get( "errorTitle" ) %></title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" atext="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<% try { %>
<%@ include file="pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<table cellspacing=1 cellpadding=2 border=1 align=center width="100%">
<tr bgcolor=#6699CC>
	<td colspan=2 valign=top align=center>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b><%= msgMgr.get( "errorHeader" ) %>:</b>
		</font>
	</td>
</tr>

<tr bgcolor=#C0C0C0>
	<td valign=top align=right bgcolor="#6699CC">
		<%= msgMgr.get( "errorCode" ) %>:
	</td>

	<td valign=top align=left>
		<font color="#FFFFFF" face=sans-serif size=-1>
		</font>
	</td>
</tr>

<tr bgcolor=#C0C0C0>
	<td valign=top align=right>
		<%= msgMgr.get( "errorStackTrace" ) %>:
	</td>

	<td valign=top align=left>
		<font color="#FFFFFF" face=sans-serif size=-1>
		</font>
	</td>
</tr>
</table>


<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body>
</html>
