<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspChartWizPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="cwqChartMd" class="com.rocketsoftware.svg.charts.MetaData.MetaData" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.ChartWizPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspChartWizPage jspInfo = new JspChartWizPage();
	jspInfo.setPage( "export/chartAxis.jsp" );
	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title> <%= jspInfo.getTitle() %> </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT language="JavaScript">
	<!--
		function goChart( page )
		{
			document.forms[0].cmd.value = page;

			document.forms[0].target = "_TOP";
			document.forms[0].submit();
		}

		function goCancel( page )
		{
			document.forms[0].cmd.value = page;

			document.forms[0].target = "";
			document.forms[0].submit();
		}

		function goChartPage( page )
		{
			document.forms[0].nextpage.value = page;
			document.forms[0].cmd.value = "switchpage";

			document.forms[0].target = "";
			document.forms[0].submit();
		}

		function goRefreshChart()
		{
			document.forms[0].cmd.value = "refresh";

			document.forms[0].target = "";
			document.forms[0].submit();
		}
	//-->
	</SCRIPT>

</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/ChartWorkbench">

<input type=hidden name="page" value="chartAxis">
<input type=hidden name="nextpage">
<input type=hidden name="op" value="process">
<input type=hidden name="cmd" value="">

<% try { %>
<%@ include file="../pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

	<%	// -------------------------------------------
		// XSL Options
		// ------------------------------------------- %>

	<table border=0 cellpadding=2 cellspacing=1 align=center bgcolor="#FFFFFF" width=100%>
	<tr bgcolor="#6699CC">
		<td>
			<font size=-1 color="#FFFFFF" face="sans-serif"> <b>
			<%= msgMgr.get( "preview" ) %>
			</b> </font>
		</td>

		<td>
			<font size=-1 color="#FFFFFF" face="sans-serif"> <b>
			<%= msgMgr.get( "axis" ) %>
			</b> </font>
		</td>
	</tr>

	<tr bgcolor="#C0C0C0">
		<td valign=middle align=center>
			<font size=-1 color="#FFFFFF" face="sans-serif">

			<EMBED SRC="<%=webquerytool_cfg.getAppRoot()%>/ChartWorkbench?cmd=genchart" NAME="CWQSVGEmbed"
				WIDTH="160" HEIGHT="120" TYPE="image/svg+xml"
				PLUGINSPAGE="http://www.adobe.com/svg/viewer/install/">
			
			<br> <br>
			
			<input type=button
				onClick="goRefreshChart();"
				style="font-size:12" style="font-color:000000" style="background:C0C0C0"
				value="<%= msgMgr.get( "updateButton" ) %>">
			
			<br> <br>
				
			<%= msgMgr.get( "previewRequires" ) %>
			</font>
		</td>

		<td>
		<%	// -------------------------------------------
			// x axis
			// ------------------------------------------- %>
			<TABLE bgcolor="#FFFFFF" width=100% cellspacing="0" cellpadding="0" border="0">
			<TR bgcolor="#C0C0C0">
				<TD align="left" colspan=2>
					<font size=-1 color="#000000" face="sans-serif"> <b>
					<%= msgMgr.get( "xaxis" ) %>
					</b> </font>
				</TD>
			</TR>
			<TR bgcolor="#C0C0C0" valign=top>
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "label" ) %>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
		     		<input type="text" name="xAxisLabel" value="<%= cwqChartMd.Xaxis.GetLabel() %>">
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0" valign=top>
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<input type="checkbox" name="xAxisDisplay" <%= cwqChartMd.Xaxis.IsEnabled() ? "checked" : "" %>>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "displayAxis" ) %>
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0" valign=top>
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<input type="checkbox" name="xAxisGridlines" <%= cwqChartMd.Xaxis.IsGridEnabled() ? "checked" : "" %>>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "displayGridlines" ) %>
					<br> 
					<%= msgMgr.get( "every" ) %>
					<input type="text" name="xAxisGridEvery" value="<%= cwqChartMd.Xaxis.GetGridLines() %>" size=2>
					<%= msgMgr.get( "everyUnit" ) %>
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0" valign=top>
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "min" ) %>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
		     		<input type="text" name="xAxisMinimum" value="<%= cwqChartMd.Xaxis.GetLow() %>" size=5>
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0" valign=top>
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "max" ) %>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
		     		<input type="text" name="xAxisMaximum" value="<%= cwqChartMd.Xaxis.GetHigh() %>" size=5>
					</font>
				</TD>
			</TR>
			</TABLE>

			<br>
			
		<%	// -------------------------------------------
			// Y axis
			// ------------------------------------------- %>
			<TABLE bgcolor="#FFFFFF" width=100% cellspacing="0" cellpadding="0" border="0">
			<TR bgcolor="#C0C0C0">
				<TD align="left" colspan=2>
					<font size=-1 color="#000000" face="sans-serif"> <b>
					<%= msgMgr.get( "yaxis" ) %>
					</b> </font>
				</TD>
			</TR>
			<TR bgcolor="#C0C0C0" valign=top>
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "label" ) %>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
		     		<input type="text" name="yAxisLabel" value="<%= cwqChartMd.Yaxis.GetLabel() %>">
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0" valign=top>
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<input type="checkbox" name="yAxisDisplay" <%= cwqChartMd.Yaxis.IsEnabled() ? "checked" : "" %>>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "displayAxis" ) %>
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0" valign=top>
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<input type="checkbox" name="yAxisGridlines" <%= cwqChartMd.Yaxis.IsGridEnabled() ? "checked" : "" %>>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "displayGridlines" ) %>
					<br>
					<%= msgMgr.get( "every" ) %>
					<input type="text" name="yAxisGridEvery" value="<%= cwqChartMd.Yaxis.GetGridLines() %>" size=2> 
					<%= msgMgr.get( "everyUnit" ) %>
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0" valign=top>
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "min" ) %>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
		     		<input type="text" name="yAxisMinimum" value="<%= cwqChartMd.Yaxis.GetLow() %>" size=5>
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0" valign=top>
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "max" ) %>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
		     		<input type="text" name="yAxisMaximum" value="<%= cwqChartMd.Yaxis.GetHigh() %>" size=5>
					</font>
				</TD>
			</TR>
			</TABLE>
		</td>
	</tr>
	</table>

</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body>

</html>
