<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspChartWizPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>
<jsp:useBean id="cwqChartMd" class="com.rocketsoftware.svg.charts.MetaData.MetaData" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.ChartWizPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspChartWizPage jspInfo = new JspChartWizPage();
	jspInfo.setPage( "export/chartAxis.jsp" );
	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title> <%= jspInfo.getTitle() %> </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF">

	<SCRIPT language="JavaScript">
	<!-- 
		var winW = -80;
		var winH = -120;
		if( document.all )
		{
			winW += document.body.offsetWidth;
			winH += document.body.offsetHeight;
		}
		else if( document.layers || document.getElementById )
		{
			winW += window.innerWidth;
			winH += window.innerHeight;
		}

		wTag = 
			"<EMBED SRC=\"<%=webquerytool_cfg.getAppRoot()%>/SelectOutput?cmd=openchart\" NAME=\"CWQSVGEmbed\" "
			+"WIDTH=" +winW +" HEIGHT=" +winH +" "
			+"TYPE=\"image/svg+xml\" "
			+"PLUGINSPAGE=\"http://www.adobe.com/svg/viewer/install/\">";

		window.document.write( wTag );
	//-->
	</SCRIPT>

</body>

</html>
