<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.io.BufferedReader" %>
<%@ page import="java.io.InputStreamReader" %>
<%@ page import="java.io.FileInputStream" %>
<%@ page import="java.io.FileReader" %>
<%@ page import="java.io.File" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.util.WQUtil" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.ImportPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc =	webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);



    // -----------------------------------------
    // Header
    String pageName = "import/ImportFixed.jsp";

    String headerTitle = msgMgr.get( "fixedTitle" );

    boolean headerShowMsg = true;
    boolean headerChangeCon = true;
    boolean headerQuickHelp = true;

    // ---------------------------------------
    // Left Menu
    String[] headerLeft =
    	{
    		msgMgr.get( "fixedSelectButton" ), "go('next')",
    		msgMgr.get( "fixedPrevButton" ), "go('prev')"
    	};

    // ---------------------------------------
    // Right Menu
    String headerRightTitle = "";

    String[] headerRight = new String[0];

    // ---------------------------------------
    // Quick Help
	String headerHelpText = msgMgr.get( "fixedQuickHelp" );

%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<TITLE> <%= msgMgr.get( "fixedTitle" ) %> </TITLE>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</HEAD>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/Import">

<input type=hidden name=op value=process>
<input type=hidden name=page value=fix>
<input type=hidden name=cmd value="">

<%@ include file="../header.inc" %>

<TABLE width=90% align=center><TR><TD>

	<TABLE border=0 cellpadding=0 cellspacing=0 align=center width=100%>
	<TR>
		<TD valign=top>
			<font face=sans-serif size=-1>

			<input type=checkbox name=trim checked> 
			<%= msgMgr.get( "fixedTrim" ) %>

			<br>

			<input type=checkbox name=header
				value="<%=webquerytool_ui.getHeader()%>" checked>
				<%= msgMgr.get( "fixedColHeader" ) %>

			<br>
			<br>

			<%= msgMgr.get( "fixedDirections" ) %>



			<br>
			<br>
			</font>
		</TD>
	</TR>
	</TABLE>

<%
	// ----------------------------------------------
	// get the import.tmp file name
	String fname = com.ibm.db2.cwq.util.WQUtil.getResultsPath(
		webquerytool_cfg.getInstallRoot(), uc, "import.tmp"
	);
	fname = fname.substring(0, fname.length()-5);


	// open to read and display
	BufferedReader br = new BufferedReader(
		new InputStreamReader(
			new FileInputStream( fname ), "UTF-8"
		)
	);

	// total rows to display
	int rows = 0;
	// max length of rows
	int length = 0;
	// column position vector;
	Vector pos = new Vector();

	String line = br.readLine();
	boolean lookForBreak = true;
	while( line != null )
	{
		if( rows == 0 )
		{
			// first row of data so comput default positions.
			lookForBreak = true;
			for( int i=0; i<line.length()-1; i++ )
			{
				boolean isbreak = Character.isWhitespace(line.charAt(i));

				if( lookForBreak )
				{
					if( isbreak )
						lookForBreak = false;
				}
				else
				{
					if( !isbreak )
					{
						pos.addElement(new Integer(i));
						lookForBreak = true;
					}
				}
			}
		}

		if( line.length() > length )
			length = line.length();

		line = br.readLine();

		rows++;
	}

	br.close();
%>

	<TABLE border=1 cellspacing=0 cellpadding=0 bgcolor="#C0C0C0">
	<TR align=center bgcolor="#6699CC">
		<TD>
			<b><tt><%= msgMgr.get( "fixedRow" ) %></tt></b>
		</TD>

<%
	// ----------------------------------------------
	// display checkboxes

	String colPosChecked = new String();
	for (int b=1; b<=length; b++)
	{
		colPosChecked = "";
		if( pos.contains(new Integer(b-1)) )
				colPosChecked = "checked";
		if( b == 1 )
		{
%>
		<TD>
			&nbsp; &nbsp;
		</TD>
<%		} else { %>
		<TD>
			<INPUT type="checkbox" name="FixWidth<%= b %>" <%= colPosChecked %> >
		</TD>
<%		} %>
<%	} %>
	</TR>


<%
	// ----------------------------------------------
	// display first five rows

	br = new BufferedReader(
		new InputStreamReader(
			new FileInputStream( fname ), "UTF-8"
		)
	);

	String curRow = new String();
	for (int row=0; row<rows && row<6; row++)
	{
%>
	<TR align=center>
		<TD bgcolor="#6699CC">
			<b><tt><%= row+1 %></tt></b>
		</TD>
<%
		curRow = br.readLine();
		for (int s=0; s<curRow.length(); s++)
		{
			if( Character.isWhitespace( curRow.charAt(s) ) )
			{
%>
		<TD>
			<tt>&nbsp;</tt>
		</TD>
<% 			} else {  %>
		<TD>
			<font size=-2 color="#000000">
			<%= curRow.charAt(s) %>
			</font>
		</TD>
<% 			}
		} %>
	</tr>
<%	} %>

	</TABLE>

<%	br.close(); %>


</TD></TR></TABLE>

<input type=hidden name=rowlen value="<%= length %>">

</form>

<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body>

</html>