<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspMsgPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.MsgPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspMsgPage jspInfo = new JspMsgPage();
 	jspInfo.setNoParent( request.getParameterValues("noparent") == null );
 	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>"></base>

	<title> <%= jspInfo.getTitle() %> </title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<title> Message Page </title>

	<script language="JavaScript" src="webquery.js">
	</script>
</head>

<% 	if( request.getParameterValues("noparent") != null ) { %>
<body margin=0 bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	leftmargin="0" marginwidth="0" topmargin="0" marginheight="0"
	onMouseOver="hidePopupMenus();">
<% 	} else { %>
<body margin=0 bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	leftmargin="0" marginwidth="0" topmargin="0" marginheight="0">
<% 	} %>
<form>

<% try { %>
<%@ include file="pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

<TABLE width=100% border=0 cellspacing=1 cellpadding=2
	align=center cellpadding=0 cellspacing=0 bgcolor="#C0C0C0">
<TR align=left valign=top bgcolor="#6699CC">
	<TD>
		<font face="sans-serif" size=-1 color="#FFFFFF">
		<b>
		<%= jspInfo.get("TypeHeader") %>
		</b>
		</font>
	</TD>

	<TD width=55>
		<font face="sans-serif" size=-1 color="#FFFFFF">
		<b>
		<%= jspInfo.get("IdHeader") %>
		</b>
		</font>
	</TD>

	<TD>
		<font face="sans-serif" size=-1 color="#FFFFFF">
		<b>
		<%= jspInfo.get("MessageHeader") %>
		</b>
		</font>
	</TD>
</TR>

<%
	Properties m = new Properties();
	String mTypeColor = "";
	String mType = "";
	String mTypeMsg = "";
	String mIcon = "";
	for( int i=0; i<webquerytool_user.getMsg().size(); i++ )
	{
		m = (Properties) ((Properties) webquerytool_user.getMsg().elementAt( i )).clone();

		if( m.get( "type" ) != null && ((String)m.get("type")).equals("1") )
		{
			mTypeColor = "FF0000";
			mType = "ERROR";
			mTypeMsg = jspInfo.get("TypeError");
			mIcon = "msg_error.gif"; //"msg_nb_error.gif";
		}
		else if( ((String)m.get("type")).equals("2") )
		{
			mTypeColor = "00AA00";
			mType = "INFO";
			mTypeMsg = jspInfo.get("TypeInfo");
			mIcon = "msg_info.gif"; //"msg_nb_info.gif";
		}
		else
		{
			m.remove( "type" );
			m.remove( "id" );
		}
%>
<TR valign=top bgcolor="#FFFFFF">
	<TD align=left>
			<nobr>
		<font face="sans-serif" size=-1 color="<%= mTypeColor %>">
			<img src="<%= mIcon %>"
				align=top border=0 hspace=0 vspace=0 alt="<%= mTypeMsg %>">
			<%= mTypeMsg %>
		</font>
			</nobr>
	</TD>

	<TD align=left width=30>
		<font size=-1 face=courier>
<% 		if( m.get("id") != null ) { %>
			<%= m.get("id") %>
<% 		} else { %>
			&nbsp;
<% 		} %>
		</font>
	</TD>

	<TD>
		<font face="sans-serif" size=-1>
			<%= m.get("msg") %>
		</font>
	</TD>
</TR>

<%	} %>

</TABLE>

</TD></TR></TABLE>


<script language="JavaScript">
<!--
<% 	if( request.getParameterValues("noparent") != null ) { %>
	// ====================================
	// refresh if necessary
	if( <%= webquerytool_ui.getReloadMenu() %> )
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
<%	} else { %>
	var doc = opener.top.frames[1].document.location.href;
	var docloc = doc.indexOf("/compare/");
	var el = opener.top.frames[1].document.images.errorlight;

	//alert(typeof( el ));
	if( typeof( el ) != "undefined" )
	{
		// ====================================
		// stop the light from flashing
		if( el.src.indexOf("error.gif") != -1 )
		{
			// red light ... so set steady red
			if( docloc == -1 )
				el.src = "msg_nb_error.gif";
			else
				el.src = "../msg_nb_error.gif";
		}
		else if( el.src.indexOf("info.gif") != -1 )
		{
			// green light ... so set steady green
			if( docloc == -1 )
				el.src = "msg_nb_info.gif";
			else
				el.src = "../msg_nb_info.gif";
		}
	}
<%	} %>
//-->
</script>

</form>

</body>

</html>
