<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="java.io.BufferedReader" %>
<%@ page import="java.io.FileReader" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspSetupXPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.SetupPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspSetupXPage jspInfo = new JspSetupXPage();
	jspInfo.setPage("Catalog");
	jspInfo.setLoc( request.getLocale() );

	// =====================================================
	// determine db product for catalog setup

	StringBuffer ddl = new StringBuffer(2000);
	String line = null;
	String platform = null;

	if( uc.getProduct().equals("DB2/NT")
		|| uc.getProduct().equals("DB2/WIN") 				// QMF
		|| uc.getProduct().equals("DB2/6000")
		|| uc.getProduct().equals("DB2/6000 PE") 			// QMF
		|| uc.getProduct().equals("DB2/LINUX")
		|| uc.getProduct().equals("DB2/LINUX390")
		|| uc.getProduct().equals("DB2/HPUX") 				// from docs
		|| uc.getProduct().equals("DB2/SNI") 				// QMF
		|| uc.getProduct().equals("DB2/SUN") 				// from docs
		|| uc.getProduct().equals("DB2/2") 					// from docs
		|| uc.getProduct().equals("OS2") 					// from docs
		|| uc.getProduct().equals("DB2/PTX") 				// from docs
		|| uc.getProduct().equals("DB2/SCO")  				// from docs
		|| uc.getProduct().equals("DataJoiner")
		|| uc.getProduct().indexOf( "INFORMIX" ) != -1
		)
		platform = "multiplatform";

	else if( uc.getProduct().equals("DB2 UDB for AS/400")
		|| uc.getProduct().equals("AS")
		|| uc.getProduct().equals("DB2/400") )
		platform = "iseries";

	else if( uc.getProduct().startsWith("DSN")				// on 390
		|| uc.getProduct().equals("DB2") 					// via NT db2 connect
		|| uc.getProduct().equals("DB2/390") 				// from docs
		|| uc.getProduct().equals("DB2/MVS") )
		platform = "zos";

	else
	{
		platform = "";
		ddl.append( "// " +msgMgr.get( "catNoSupport", uc.getProduct() ) );
	}

	if( platform.length() > 0 )
	{
		String fname = webquerytool_cfg.getInstallRoot()
			+System.getProperty("file.separator") +"conf"
			+System.getProperty("file.separator") +platform
			+System.getProperty("file.separator");
		if( uc.getProduct().indexOf( "INFORMIX" ) != -1 )
			fname += "catalog_ids.ddl";
		else
			fname += "catalog.ddl";

		BufferedReader br = new BufferedReader( new FileReader( fname ) );

		while( (line = br.readLine()) != null )
			ddl.append( line + "\n" );

		br.close();
	}
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<title> <%= msgMgr.get( "catTitle" ) %> </title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT language="JavaScript">
	<!--
	function switchPage( nextPage )
	{
		document.forms[0].page.value = nextPage;
		document.forms[0].submit();
	}
	//-->
	</SCRIPT>

</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<FORM action="<%=webquerytool_cfg.getAppRoot()%>/Setup" method="post">
<INPUT type=hidden name=op value=process>
<INPUT type=hidden name=cmd value="">
<INPUT type=hidden name=page value="setupcatalog">

<% try { %>
<%@ include file="../pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE align=center width=90%><TR><TD>

<table border=0 cellpadding=2 cellspacing=1 align=center width=100%>
<TR bgcolor="#6699CC">
	<TD>
		<font color="#FFFFFF" face="arial,sans-serif" size=-1>
		<b><%= msgMgr.get( "catDDL" ) %>:</b>
		</font>
	</TD>
</TR>

<TR bgcolor="#99CCFF">
	<TD>
		<font color="#FFFFFF" face="arial,sans-serif" size=-1>

		<input type=button
			onClick="go('catremove')"
			value="<%= msgMgr.get( "catRemoveButton" ) %>"
			style="font-color:000000" style="background:C0C0C0" style="font-size:12">

		<input type=button
			onClick="go('catcreate')"
			value="<%= msgMgr.get( "catCreateButton" ) %>"
			style="font-color:000000" style="background:C0C0C0" style="font-size:12">
		</font>
	</TD>
</TR>

<TR bgcolor="#C0C0C0">
	<TD align=center>
		<font color="#000000" face="arial,sans-serif" size=-1>
		<TEXTAREA name=catalogText rows=20 cols=60>
<%= ddl %>
		</TEXTAREA>
		</font>
	</TD>
</TR>
</table>

</TD></TR></TABLE>

</FORM>

</body>
</html>
