<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspSetupXPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="setup_admin_cons" class="java.util.Vector"	scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.SetupPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspSetupXPage jspInfo = new JspSetupXPage();
	jspInfo.setPage("Connection");
	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<title> <%= msgMgr.get( "conTitle" ) %> </title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">


	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT language="JavaScript">
	<!--
		function switchPage( nextPage )
	{
		document.forms[0].page.value = nextPage;
		document.forms[0].submit();
	}

	function refreshConn()
	{
		go('refresh');
	}

	function confirmKill()
	{
		var goahead = true;
		if( !window.confirm( "<%= msgMgr.get( "conConfirmKill" ) %>" ) )
			goahead = false;

		if( goahead )
			go('conkill')
	}
//-->
</SCRIPT>

</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<FORM action="<%=webquerytool_cfg.getAppRoot()%>/Setup" method="post">
<INPUT type=hidden name=op value=process>
<INPUT type=hidden name=cmd value="">
<INPUT type=hidden name=page value="setupconn">

<% try { %>
<%@ include file="../pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE align=center width=90%><TR><TD>

<table border=0 cellpadding=2 cellspacing=1 width=100%>
<TR bgcolor="#6699CC">
	<TD>
		<font color="#FFFFFF" face="arial,sans-serif" size=-1>
		<b><%= msgMgr.get( "conAdminHeader" ) %>:</b>
		</font>
	</TD>
</TR>

<TR bgcolor="#99CCFF">
	<TD>
		<font color="#000000" face="arial,sans-serif" size=-1>

		<input type=button
			onClick="confirmKill()"
			value="<%= msgMgr.get( "conDisconnectButton" ) %>"
			style="font-color:000000"
			style="background:C0C0C0"
			style="font-size:12">

		<input type=button
			onClick="refreshConn()"
			value="<%= msgMgr.get( "conRefreshButton" ) %>"
			style="font-color:000000"
			style="background:C0C0C0"
			style="font-size:12">
		</font>
	</TD>
</TR>

<TR bgcolor="#C0C0C0" align=center>
	<TD>
		<font color="#FFFFFF" face="arial,sans-serif" size=-1>
		<SELECT name=adminList size=5>
<% 		if( setup_admin_cons.size() == 0 ) { %>
			<OPTION value=-1>
			<%= msgMgr.get( "conNoConnections" ) %>
			</OPTION>
<%		}
else
{
	for( int i=0; i< setup_admin_cons.size(); i++ ) { %>
			<OPTION value=<%= setup_admin_cons.elementAt(i) %>>
				<%= setup_admin_cons.elementAt(i) %>
			</OPTION>
<%			}
} %>
		</SELECT>
		</font>
	</TD>
</TR>
</table>

</TD></TR></TABLE>

</FORM>

</body>
</html>
