<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="java.io.File" %>
<%@ page import="java.io.BufferedReader" %>
<%@ page import="java.io.FileReader" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspSetupXPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="setup_logs_list" class="java.util.Vector" scope="session"/>
<jsp:useBean id="setup_logs_entry" class="java.lang.Integer" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.SetupPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspSetupXPage jspInfo = new JspSetupXPage();
	jspInfo.setPage("Logs");
	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<title> <%= msgMgr.get( "logsTitle" ) %> </title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">


	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT language="JavaScript">
	<!--
		function switchPage( nextPage )
		{
			document.forms[0].page.value = nextPage;
			document.forms[0].submit();
		}
	//-->
	</SCRIPT>

</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<FORM action="<%=webquerytool_cfg.getAppRoot()%>/Setup" method="post">

<INPUT type=hidden name=op value=process>
<INPUT type=hidden name=cmd value="">
<INPUT type=hidden name=page value="setuplogs">
<INPUT type=hidden name=logentry value="">
<INPUT type=hidden name=logentry value="">

<% try { %>
<%@ include file="../pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE align=center width=90%><TR><TD>


<table border=0 cellpadding=2 cellspacing=1 align=center width=100%>
<TR valign=top bgcolor="#6699CC">
	<TD>
		<font size=-1 face=sans-serif color=#FFFFFF>
		<%= msgMgr.get( "logsHeader" ) %>:
		</font>
	</TD>
</TR>

<TR valign=top bgcolor="#99CCFF">
	<TD>
		<font size=-1 face=sans-serif color=#000000>
		<input type=button
			onClick="document.forms[0].logentry.value=document.forms[0].logfile.selectedIndex; go('delete');"
			value="<%= msgMgr.get( "logsDeleteButton" ) %>"
			style="font-color:000000" style="background:C0C0C0" style="font-size:12">

		<input type=button
			onClick="document.forms[0].logentry.value=document.forms[0].logfile.selectedIndex; go('deleteall');"
			value="<%= msgMgr.get( "logsDeleteAllButton" ) %>"
			style="font-color:000000" style="background:C0C0C0" style="font-size:12">

		<input type=button
			onClick="go('refresh');"
			value="<%= msgMgr.get( "logsRefreshButton" ) %>"
			style="font-color:000000" style="background:C0C0C0" style="font-size:12">
		</font>
	</TD>
</TR>

<TR valign=top bgcolor="#C0C0C0">
	<TD align=left>
		<font size=-1 face=sans-serif color=#000000>
		<b><%= msgMgr.get( "logsFile" ) %>:</b>

		<select name=logfile size=1
			onchange="document.forms[0].logentry.value=document.forms[0].logfile.selectedIndex; document.forms[0].submit();">
<%	for( int i=0; i<setup_logs_list.size(); i++ )
	{
		String sel = new String();
		if( setup_logs_entry.intValue() == i )
			sel = "selected";
%>
			<OPTION value="<%= i %>" <%= sel %>>
				<%= setup_logs_list.elementAt(i) %>
			</OPTION>
<%	} %>
		</select>

		</font>
	</TD>
</TR>

<TR valign=top bgcolor="#C0C0C0">
	<TD align=center>
		<font size=-1 face=sans-serif color=#FFFFFF>
			<TEXTAREA wrap=off rows=25 cols=60><% 	if( request.getParameterValues("logentry") == null ) { %>
<%= msgMgr.get( "logsSelectToView" ) %>
<% 	} else {

		BufferedReader bfr = new BufferedReader(
			new FileReader(
				new File(
					webquerytool_cfg.getInstallRoot()
					+File.separator
					+"logs"
					+File.separator
					+setup_logs_list.elementAt(
						setup_logs_entry.intValue()
					)
				)
			)
		);

		String line = null;
		while( (line = bfr.readLine()) != null ) {
%><%= line %>
<%
		}

		bfr.close();

 	} %>
			</TEXTAREA>
		</font>
	</TD>
</TR>
</table>

</TD></TR></TABLE>

</FORM>


</body>
</html>
