<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Properties" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspSQLAssistPage" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.util.WQUtil" %>
<%@ page import="com.ibm.db2.cwq.catalog.ListItem" %>
<%@ page import="com.rocketsoftware.datautil.TableView" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="cwqSqlAssist" class="com.ibm.db2.cwq.sql.SQLAssist" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.SQLAssistPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspSQLAssistPage jspInfo = new JspSQLAssistPage();
	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title><%= jspInfo.getTitle() %></title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT LANGUAGE="JavaScript1.2">
	<!--
		var key = 0;
		var keyShift = false;
		var keyAlt = false;
		var keyCtrl = false;
		var keyCount = 0;
		var findme = "";

		var lookup = new Array(
<%
	Enumeration e = cwqSqlAssist.getTables().keys();
	while( e.hasMoreElements() )
	{
		String k = (String) e.nextElement();
		Vector coldef = (Vector) cwqSqlAssist.getTables().get( k );
		for( int i=0; i<coldef.size(); i++ )
		{
			Properties cd = (Properties) coldef.elementAt(i);
%>
			"<%= cd.get("name") %> ",
<%		} %>
<%	} %>

			"( exp ) ",

			"ASCII( strExp ) ",
			"CHR( numExp ) ",
			"CONCAT( strExp , strExp ) ",
			"DIFFERENCE( strExp , strExp ) ",
			"INSERT( strExp , numExp , numExp , strExp ) ",
			"LCASE( strExp ) ",
			"LEFT( strExp , numExp ) ",
			"LOCATE( strExp , strExp , numExp ) ",
			"LTRIM( strExp ) ",
			"POSSTR( strExp , strExp ) ",
			"REPEAT( strExp , numExp ) ",
			"REPLACE( strExp , strExp , strExp ) ",
			"RIGHT( strExp , numExp ) ",
			"RTRIM( strExp ) ",
			"SOUNDEX( strExp ) ",
			"SPACE( numExp ) ",
			"SUBSTR( strExp , numExp , numExp ) ",
			"TRANSLATE( strExp , strExp , strExp , strExp ) ",
			"UCASE( strExp ) ",

			"AVG( numExp ) ",
			"CORRELATION( numExp , numExp ) ",
			"COUNT( exp ) ",
			"COUNT_BIG( exp ) ",
			"COVARIANCE( numExp , numExp ) ",
			"GROUPING( exp ) ",
			"MAX( exp ) ",
			"MIN( exp ) ",
			"REGR_AVGX( numExp , numExp ) ",
			"REGR_AVGY( numExp , numExp ) ",
			"REGR_COUNT( numExp , numExp ) ",
			"REGR_INTERCEPT( numExp , numExp ) ",
			"REGR_R2( numExp , numExp ) ",
			"REGR_SLOPE( numExp , numExp ) ",
			"REGR_SXX( numExp , numExp ) ",
			"REGR_SXY( numExp , numExp ) ",
			"STDDEV( numExp ) ",
			"SUM( numExp ) ",
			"VARIANCE( numExp ) ",

			"BIGINT( exp ) ",
			"BLOB( exp , numExp ) ",
			"CHAR( exp ) ",
			"CLOB( exp , numExp ) ",
			"DATE( exp ) ",
			"DBCLOB( exp , numExp ) ",
			"DECIMAL( exp , numExp , numExp ) ",
			"DOUBLE( exp ) ",
			"FLOAT( exp ) ",
			"GRAPHIC( exp , numExp ) ",
			"int( exp ) ",
			"LONG_VARCHAR( strExp ) ",
			"LONG_VARGRAPHIC( graphicExp ) ",
			"REAL( numExp ) ",
			"SMALLINT( exp ) ",
			"TIME( exp ) ",
			"TIMESTAMP( datetimeExp , datetimeExp ) ",
			"TIMESTAMP_ISO( datetimeExp ) ",
			"VARCHAR( exp ) ",
			"VARGRAPHIC( strExp ) ",

			"DAY( datetimeExp ) ",
			"DAYNAME( datetimeExp ) ",
			"DAYOFWEEK( datetimeExp ) ",
			"DAYOFWEEK_ISO( datetimeExp ) ",
			"DAYOFYEAR( datetimeExp ) ",
			"DAYS( datetimeExp ) ",
			"HOUR( datetimeExp ) ",
			"JULIAN_DAY( datetimeExp ) ",
			"MICROSECOND( datetimeExp ) ",
			"MIDNIGHT_SECONDS( datetimeExp ) ",
			"MINUTE( datetimeExp ) ",
			"MONTH( datetimeExp ) ",
			"MONTHNAME( datetimeExp ) ",
			"QUARTER( datetimeExp ) ",
			"SECOND( datetimeExp ) ",
			"TIMESTAMPDIFF( numExp , exp ) ",
			"WEEK( datetimeExp ) ",
			"WEEK_ISO( datetimeExp ) ",
			"YEAR( datetimeExp ) ",

			"ABS( numExp ) ",
			"ACOS( numExp ) ",
			"ASIN( numExp ) ",
			"ATAN( numExp ) ",
			"ATAN2( numExp , numExp ) ",
			"CEIL( numExp ) ",
			"COS( numExp ) ",
			"COT( numExp ) ",
			"DEGREES( numExp ) ",
			"EXP( numExp ) ",
			"FLOOR( numExp ) ",
			"LN( numExp ) ",
			"LOG( numExp ) ",
			"LOG10( numExp ) ",
			"MOD( numExp , numExp ) ",
			"POWER( numExp , numExp ) ",
			"RADIANS( numExp ) ",
			"RAND( innumExp ) ",
			"ROUND( numExp , numExp ) ",
			"SIGN( numExp ) ",
			"SIN( numExp ) ",
			"SQRT( numExp ) ",
			"TAN( numExp ) ",
			"TRUNCATE( numExp , numExp ) ",

			"CURRENT DATE ",
			"CURRENT TIME ",
			"CURRENT TIMESTAMP ",
			"CURRENT SQLID ",
			"USER ",

			"COALESCE( exp , exp ) ",
			"DECRYPT_BIN( strExp , strExp ) ",
			"ENCRYPT( strExp , strExp , strExp ) ",
			"EVENT_MON_STATE( strExp ) ",
			"GENERATE_UNIQUE() ",
			"GETHINT( strExp ) ",
			"HEX( exp ) ",
			"LENGTH( exp ) ",
			"NODENUMBER( exp ) ",
			"NULLIF( exp , exp ) ",
			"PARTITION( exp ) ",
			"VALUE( exp , exp ) ",
			"TABLE_SCHEMA( strExp , strExp ) ",
			"TABLE_NAME( strExp , strExp ) ",
			"RAISE_ERROR( strExp , strExp ) "
		);

		function processKey( thisOne )
		{
			keyShift = false;
			keyAlt = false;
			keyCtrl = false;

			if( window.Event )
			{
				// netscape key handler
				// alert('nav')

				key = thisOne.which;

				if( thisOne.modifiers & Event.SHIFT_MASK )
					keyShift = true;

				if( thisOne.modifiers & Event.ALT_MASK )
					keyAlt = true;

				if( thisOne.modifiers & Event.CONTROL_MASK )
					keyCtrl = true;
			}
			else
			{
				// ie key handler
				// alert('ie')

				key = window.event.keyCode;

				if( window.event.shiftKey )
					keyShift = true;

				if( window.event.altKey )
					keyAlt = true;

				if( window.event.ctrlKey )
					keyCtrl = true;
			}


			var updateSearch = false;

			// --------------------------------------
			// check the keys
			if( key == 37 || key == 38 || key == 39 || key == 40 )
			{
			}

			else if( key == 32 && !keyShift )
			{
			}

			else if( key == 32 && keyShift )
			{
				// assistant flag
				if( document.forms[0].search.length == 1 )
				{
					var curtext = document.forms[0].exp.value;

					//alert(
					//	"findme["+findme+"]\n"
					//	+"curtext["+curtext+"]\n"
					//	+"\n"
					//	+"["+curtext.substring( 0, curtext.indexOf( findme ) )+"]\n"
					//	+"\t"+ document.forms[0].search.options[0].text+"\n"
					//	+"["+ curtext.substring( curtext.indexOf( findme ) +1 +findme.length, curtext.length )+"]\n"
					//);

					curtext =
						curtext.substring( 0, curtext.indexOf( findme ) )
						+ document.forms[0].search.options[0].text
						+ curtext.substring( curtext.indexOf( findme ) +findme.length, curtext.length );

					document.forms[0].exp.value = curtext;
				}

				findme = "";
			}

			else if( key == 8 )
			{
				// backspace
				if( findme.length > 0 )
					findme = findme.substring( 0, findme.length-1 );

				updateSearch = true;
			}

			else if( key >= 32 && key <= 126 )
			{
				updateSearch = true;

				var thischar = String.fromCharCode( key );

				if( ( key >= 33 && key <= 64 )
					|| ( key >= 58 && key <= 63 )
					|| ( key >= 91 && key <= 96 )
					|| ( key >= 123 && key <= 126 ) )
					findme = "";

				else if( !keyShift )
					findme += thischar.toLowerCase();

				else
					findme += String.fromCharCode( key );
			}


			if( updateSearch )
			{
				// --------------------------------------
				// reset search listing
				document.forms[0].search.length = 0;

				for( i=0; i<lookup.length; i++ )
				{
					var p = lookup[i].indexOf( "(" );
					var s = lookup[i].toLowerCase().indexOf( findme.toLowerCase() );

					// exp with parameters
					//if( s != -1
					//	&& ( (p != -1 && s < p) || p == -1 ) )
					if( s == 0 )
					{
						var o = new Option( lookup[i], lookup[i] );
						document.forms[0].search.options[
							document.forms[0].search.options.length
						] = o;
					}
				}

			}

			//updateDisplay();

			return false;
		}

		if(  navigator.appName == 'Netscape' ) {
			//window.captureEvents(Event.KEYDOWN);
			window.onKeyDown = processKey;
		}

		function updateDisplay()
		{
			//document.forms[0].cnt.value = ""+keyCount;
			document.forms[0].findme.value = findme;
			document.forms[0].kp.value = key;
			document.forms[0].ks.value = "Shift: "+keyShift;
			document.forms[0].ka.value = "Alt: "+keyAlt;
			document.forms[0].kc.value = "Ctrl: "+keyCtrl;
		}


		function selectExp( c )
		{
			var s = document.forms[0].search;
			var curtext = document.forms[0].exp.value;

			//alert(
			//	"findme["+findme+"]\n\n"
			//	+"curtext["+findme+"]\n\n"
			//	+"["+curtext.substring( 0, curtext.indexOf( findme ) )+"]\n"
			//	+"\t"+ s.options[ s.selectedIndex ].text +"\n"
			//	+"["+ curtext.substring( curtext.indexOf( findme ) +findme.length, curtext.length )+"]\n"
			//);

			curtext =
				curtext.substring( 0, curtext.indexOf( findme ) )
				+ s.options[ s.selectedIndex ].text;
				+ curtext.substring( curtext.indexOf( findme ) +findme.length, curtext.length );

			document.forms[0].exp.value = curtext;

			findme = "";

			//processKey();
		}

		function buildExp( c )
		{
			updateDisplay();
			keyCount++;
		}

	//-->
	</SCRIPT>

	<SCRIPT language="JavaScript">
	<!--
		function change(field)
		{
			for (var node = 0; node < field.attributes.length; node++)
			{
				if (field.attributes[node].nodeName == 'class')
				{
					if (field.defaultValue == field.value)
					{
						if (field.attributes[node].nodeValue != 'bgwhite')
						{
							field.attributes[node].nodeValue = 'bgwhite';
							changed--;
						}
					}
					else
					{
						if (field.attributes[node].nodeValue != 'bgyellow')
						{
							field.attributes[node].nodeValue = 'bgyellow';
							changed++;
						}
					}
					field.form.reset.disabled = ! changed;
					break;
				}
			}
		}

		function switchOwner()
		{
			o = document.forms[0].ownerList.options[ document.forms[0].ownerList.selectedIndex ].value;

			document.forms[0].curOwner.value = o;
			document.forms[0].curName.value = "";
			document.forms[0].cmd.value = "switch";

			document.forms[0].submit();
		}

		function switchName()
		{
			o = document.forms[0].ownerList.options[ document.forms[0].ownerList.selectedIndex ].value;
			n = document.forms[0].nameList.options[ document.forms[0].nameList.selectedIndex ].value;

			document.forms[0].curOwner.value = o;
			document.forms[0].curName.value = n;
			document.forms[0].cmd.value = "switch";

			document.forms[0].submit();
		}

		function addTable()
		{
			o = document.forms[0].ownerList.options[ document.forms[0].ownerList.selectedIndex ].value;
			n = document.forms[0].nameList.options[ document.forms[0].nameList.selectedIndex ].value;

			document.forms[0].curOwner.value = o;
			document.forms[0].curName.value = n;
			document.forms[0].cmd.value = "tbladd";

			document.forms[0].submit();
		}

		function removeTable( tblName )
		{
			document.forms[0].cmd.value = "tblremove";
			document.forms[0].seltable.value = tblName;

			document.forms[0].submit();
		}

		function joinTable( op )
		{
			document.forms[0].cmd.value = "join";
			document.forms[0].joincmd.value = op;

			document.forms[0].submit();
		}

		function selectFields( s )
		{
			var i = 0;
			var c = eval("document.forms[0]."+s.value+"_"+i);

			while( typeof(c) != 'undefined' )
			{
				c.selectedIndex = s.selectedIndex;
				i++;
				c = eval("document.forms[0]."+s.value+"_"+i);
			}
		}

		var none = new Image(); none.src = "sql/col_none.gif";
		var asc = new Image(); asc.src = "sql/col_asc.gif";
		var des = new Image(); des.src = "sql/col_des.gif";
		var group = new Image(); group.src = "sql/col_group.gif";

		function colOptions( col )
		{
			o = eval( "document.forms[0].colopt"+col );
			oi = eval( "document.images[ 'coloptimg"+col+"' ]" );

			if( o.value == "none" )
			{
				o.value = "asc";
				oi.alt = "Order Ascending";
			}
			else if( o.value == "asc" )
			{
				o.value = "des";
				oi.alt = "Order Descending";
			}
			else if( o.value == "des" )
			{
				o.value = "group";
				oi.alt = "GroupBy";
			}
			else if( o.value == "group" )
			{
				o.value = "none";
				oi.alt = "No Order/Group";
			}

			oi.src = eval(o.value + ".src");
		}

		function switchPage( page )
		{
			document.forms[0].wizpage.value = page;
			document.forms[0].cmd.value = "pageswitch";

			document.forms[0].submit();
		}
	//-->
	</SCRIPT>
</head>

<body bgcolor="#FFFFFF"
	text="#000000" link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onKeyDown="processKey();"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/SQLText">

<input type="hidden" name="op" value="process">
<input type="hidden" name="cmd" value="">
<input type="hidden" name="page" value="sqlassist">

<input type="hidden" name="wizpage">
<input type="hidden" name="curOwner">
<input type="hidden" name="curName">
<input type="hidden" name="joincmd">
<input type="hidden" name="seltable">

<% try { %>
<%@ include file="../pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center border=0><TR><TD>

	<%	// =========================================================
		// Workspace
		// ========================================================= %>

	<table cellspacing=0 cellpadding=2 border=0 align=center width=100%>
	<TR valign=top bgcolor=#6699CC>
		<TD align=left>
			<font face=sans-serif size=-1 color=#FFFFFF>
			<b>
			<select name=querytype onChange="go('queryswitch');" size=1>
				<option value=<%= cwqSqlAssist.QUERY_SELECT %>
					<%= cwqSqlAssist.getQueryType() == cwqSqlAssist.QUERY_SELECT ? "selected" : "" %>>
					<%= msgMgr.get( "querySelect" ) %> 
				</option>
				<option value=<%= cwqSqlAssist.QUERY_DELETE %>
					<%= cwqSqlAssist.getQueryType() == cwqSqlAssist.QUERY_DELETE ? "selected" : "" %>>
					<%= msgMgr.get( "queryDelete" ) %> 
				</option>
				<option value=<%= cwqSqlAssist.QUERY_UPDATE %>
					<%= cwqSqlAssist.getQueryType() == cwqSqlAssist.QUERY_UPDATE ? "selected" : "" %>>
					<%= msgMgr.get( "queryUpdate" ) %> 
				</option>
			</select>
			<%= msgMgr.get( "queryWorkspace" ) %>
			</b>
			</font>
		</TD>

		<TD align=right>
			<font face=sans-serif size=-1 color=#FFFFFF>
			&nbsp;
			</font>
		</TD>
	</TR>

	<TR valign=top bgcolor=#C0C0C0>
		<TD align=left>
			<font face=sans-serif size=-1>

			<input type=button
				value="<%= msgMgr.get( "tableButton" ) %>" 
				style="font-color:000000" style="background:C0C0C0" style="font-size:12"
				onClick="switchPage('tbl');">

	<%	if( cwqSqlAssist.getQueryType() == cwqSqlAssist.QUERY_SELECT ) { %>
			<input type=button
				value="<%= msgMgr.get( "columnsButton" ) %>" 
				style="font-color:000000" style="background:C0C0C0" style="font-size:12"
				onClick="switchPage('col');">
			<input type=button
				value="<%= msgMgr.get( "conditionButton" ) %>" 
				style="font-color:000000" style="background:C0C0C0" style="font-size:12"
				onClick="switchPage('row');">
			<input type=button
				value="<%= msgMgr.get( "joinButton" ) %>" 
				style="font-color:000000" style="background:C0C0C0" style="font-size:12"
				onClick="switchPage('join');">

			<INPUT type="checkbox" name="selectdistinct" <%= cwqSqlAssist.getSelectDistinct() ? "checked" : "" %>>
			<%= msgMgr.get( "distinct" ) %>
	<%	} else if( cwqSqlAssist.getQueryType() == cwqSqlAssist.QUERY_UPDATE ) { %>
			<input type=button 
				value="<%= msgMgr.get( "updateButton" ) %>" 
				style="font-color:000000" style="background:C0C0C0" style="font-size:12"
				onClick="switchPage('set');">
			<input type=button 
				value="<%= msgMgr.get( "conditionButton" ) %>" 
				style="font-color:000000" style="background:C0C0C0" style="font-size:12"
				onClick="switchPage('row');">
	<%	} else if( cwqSqlAssist.getQueryType() == cwqSqlAssist.QUERY_DELETE ) { %>
			<input type=button
				value="<%= msgMgr.get( "conditionButton" ) %>" 
				style="font-color:000000" style="background:C0C0C0" style="font-size:12"
				onClick="switchPage('row');">
	<%	} %>
			</font>
		</TD>

		<TD align=right>
			<font face=sans-serif size=-1>

			<input type=button 
				value="<%= msgMgr.get( "resetButton" ) %>" 
				style="font-color:000000" style="background:C0C0C0" style="font-size:12"
				onClick="go('resetassist');">

			</font>
		</TD>
	</TR>

	<TR valign=top bgcolor=#C0C0C0>
		<TD align=left colspan=2>
			<TABLE cellspacing=4 border=0>
			<TR valign="top">
<%		e = cwqSqlAssist.getTables().keys();
		while( e.hasMoreElements() )
		{
			String k = (String) e.nextElement();
			Vector coldef = (Vector) cwqSqlAssist.getTables().get( k );
%>
				<TD>
					<TABLE cellspacing="0" cellpadding="0" border=1><TR><TD>
					<TABLE cellspacing="0" cellpadding="0" border=0>
					<TR bgcolor=#336699>
						<TD>
							<font face=sans-serif size=-1 color=#FFFFFF>
							<nobr>
			<%	if( cwqSqlAssist.getWizpage().equals("join") ) { %>
							<input type=checkbox name="join_<%= k %>"
								<%= cwqSqlAssist.isRootJoin(k) ? "checked" : "" %>
								onClick="<%= cwqSqlAssist.isRootJoin(k) ? "this.checked=true;" : "" %>">
			<%	} %>
							<b>
							<%= k %>
							</b>
							</nobr>
							</font>
						</TD>
						<TD align=right>
							<font face=sans-serif size=-1 color=#FFFFFF>
							<a href="javascript:removeTable('<%= k %>');"><img src=close.gif alt="<%= msgMgr.get( "removeFromQuery" ) %>" border=0 hspace=0 vspace=0></a>
							</font>
						</TD>
					</TR>
			<%	if( !cwqSqlAssist.getWizpage().equals("tbl") ) { %>
					<TR bgcolor=#FFFFFF>
						<TD colspan=2 align=right>
						<font face=sans-serif size=-1 color=#FFFFFF>
							<select name=tbl_<%= k %> size=6 multiple="yes">
								<option value="">
									(<%= msgMgr.get( "none" ) %>)
								</option>
				<%	for( int i=0; i<coldef.size(); i++ )
					{
						String colName = (String) ((Properties) coldef.elementAt(i)).get("name");
				%>
								<option value="<%= colName %>">
					<%	while( colName.length() < k.length()+100 )
							colName += "&nbsp;";
					%>
									<%= colName %>
								</option>
				<%	} %>
							</select>
						</font>
						</TD>
					</TR>
			<%	} %>
					</TABLE>
					</TD></TR></TABLE>

				</TD>
	<%	} %>
			<%	if( cwqSqlAssist.getTables().size() > 0 ) { %>
				<TD bgcolor="#F0F0F0">
					<font face=sans-serif size=-1 color=#FFFFFF>
				<%	if( cwqSqlAssist.getWizpage().equals("join") ) { %>
					<a href="javascript:go('<%= cwqSqlAssist.JOIN_LEFT %>');"><img 
						src=sql/join_left.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( cwqSqlAssist.JOIN_LEFT ) %>"></a>
					<br>
					<a href="javascript:go('<%= cwqSqlAssist.JOIN_INNER %>');"><img 
						src=sql/join_inner.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( cwqSqlAssist.JOIN_INNER ) %>"></a>
					<br>
					<a href="javascript:go('<%= cwqSqlAssist.JOIN_RIGHT %>');"><img 
						src=sql/join_right.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( cwqSqlAssist.JOIN_RIGHT ) %>"></a>
					<br>
					<a href="javascript:go('<%= cwqSqlAssist.JOIN_OUTER %>');"><img 
						src=sql/join_outer.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( cwqSqlAssist.JOIN_OUTER ) %>"></a>
					<br>
				<%	} else if( !cwqSqlAssist.getWizpage().equals("tbl") ) { %>
					<a href="javascript:go('coladd');"><img src="sql/add.gif" border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "addColFromTable" ) %>"></a>
				<%	} else { %>
					&nbsp;
				<%	} %>
					</font>
				</TD>
			<%	} %>
			</TR>
			</TABLE>
		</TD>
	</TR>
	</TABLE>

	<br>


<%	if( cwqSqlAssist.getWizpage().equals("tbl") ) { %>
	<%	// =========================================================
		// Table Selection
		// ========================================================= %>

	<table cellspacing=0 cellpadding=2 border=0 align=center width=100%>
	<TR valign=top bgcolor=#6699CC>
		<TD align=left>
			<font face=sans-serif size=-1 color=#FFFFFF>
			<b>
			<%= msgMgr.get( "tableSelection" ) %>
			</b>
			</font>
		</TD>

		<TD align=right>
			<font face=sans-serif size=-1 color=#FFFFFF>
			<input type=button name=add
				value="<%= msgMgr.get( "addButton" ) %>"
				style="font-color:000000" style="background:C0C0C0" style="font-size:12"
				onClick="addTable();">
			</font>
		</TD>
	</TR>

	<TR valign=top bgcolor="#C0C0C0">
		<TD colspan=2>
			<TABLE width=100% align=center>
			<TR valign=top>
				<TD align="right" width=50%>
					<font face=sans-serif size=-1 color=#000000>
					<b>
					<%= msgMgr.get( "creator" ) %>
					</b>
					<br>
					<select onChange="switchOwner();" name="ownerList" size="10">
					<% 	for( int i=0; i<cwqSqlAssist.getOwnerList().size(); i++ )
						{
							String sel = "";
							String a = (String) cwqSqlAssist.getOwnerList().elementAt(i);
							if( a.equals( cwqSqlAssist.getOwner() ) )
								sel = "selected";
					%>
						<OPTION value="<%= a %>" <%= sel %>>
							<%= a %>
						</OPTION>
					<% 	} %>
					</select>
					</font>
				</TD>
				<TD align="left" width=50%>
					<font face=sans-serif size=-1 color=#000000>
					<b>
					<%= msgMgr.get( "table" ) %>
					</b>
					<br>
					<select name="nameList" size="10" multiple="yes">
					<% 	for( int i=0; i<cwqSqlAssist.getNameList().size(); i++ )
						{
							String sel = "";
							String a = (String) cwqSqlAssist.getNameList().elementAt(i);
							if( a.equals( cwqSqlAssist.getName() ) )
								sel = "selected";
					%>
						<OPTION value="<%= a %>" <%= sel %>>
							<%= a %>
						</OPTION>
					<% 	} %>
					</select>
					</font>
				</TD>
			</TR>
			</TABLE>
		</TD>
	</TR>
	</TABLE>


	<br>

<%	} %>



<%	if( cwqSqlAssist.getWizpage().equals("col") ) { %>
	<%	// =========================================================
		// Select Columns
		// ========================================================= %>

	<table cellspacing=0 cellpadding=2 border=0 align=center width=100%>
	<TR valign=top bgcolor=#6699CC>
		<TD align=left>
			<font face=sans-serif size=-1 color=#FFFFFF>
			<b>
			<%= msgMgr.get( "columns" ) %>
			</b>
			</font>
		</TD>

		<TD align=right>
			<font face=sans-serif size=-1 color=#FFFFFF>
			&nbsp;
			</font>
		</TD>
	</TR>
	<TR bgcolor="#C0C0C0">
		<TD align=left colspan=2>
			<font face=sans-serif size=-1 color=#000000>
			<a href="javascript:go('coltop');"><img src=sql/move_top.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "moveToTop" ) %>"></a>
			<a href="javascript:go('colup');"><img src=sql/move_up.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "colUp" ) %>" ></a>
			<a href="javascript:go('coldown');"><img src=sql/move_down.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "colDown" ) %>"></a>
			<a href="javascript:go('colbottom');"><img src=sql/move_bottom.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "moveToBottom" ) %>"></a>

			&nbsp;

			<a href="javascript:go('coladdcust');"><img src=sql/add.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "addCustCol" ) %>"></a>
			<a href="javascript:go('colremove');"><img src=sql/remove.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "removeCol" ) %>"></a>

			<br>
			<TABLE cellspacing="1" cellpadding="0" border="0" bgcolor="#FFFFFF" width="100%">
			<TR bgcolor="#336699">
				<TD>
					<font face=sans-serif size=-1 color=#FFFFFF>
					<b>
					<%= msgMgr.get( "select" ) %>
					</b>
					</font>
				</TD>
				<TD>
					<font face=sans-serif size=-1 color=#FFFFFF>
					<b>
					<%= msgMgr.get( "column" ) %>
					</b>
					</font>
				</TD>
				<TD>
					<font face=sans-serif size=-1 color=#FFFFFF>
					<b>
					<%= msgMgr.get( "as" ) %>
					</b>
					</font>
				</TD>
				<TD>
					<font face=sans-serif size=-1 color=#FFFFFF>
					<b>
					<%= msgMgr.get( "action" ) %>
					</b>
					</font>
				</TD>
			</TR>

			<%	for( int i=0; i<cwqSqlAssist.getSelectCols().size(); i++ )
				{
					Properties c = cwqSqlAssist.getSelectCol(i);
			%>
			<TR bgcolor="#C0C0C0">
				<TD align="center">
					<font face=sans-serif size=-1 color=#000000>
					<INPUT type=checkbox
						style="background : #C0C0C0; color : black"
						name="colselect" value=<%= i %>>
					</font>
				</TD>

				<TD>
					<font face=sans-serif size=-1 color=#000000>
				<%	if( ((String)c.get("type")).equals("t") ) { %>
					<%= c.get("table") %>.<b><%= c.get("col") %></b>
				<%	} else { %>
					<INPUT type=text name=colcustom<%= i %> value="<%= c.get("col") %>" size="25">
				<%	} %>
					</font>
				</TD>

				<TD>
					<font face=sans-serif size=-1 color=#000000>
					<INPUT type="text" name="colas<%= i %>" value="<%= c.get("as") %>" size=12>
					</font>
				</TD>

				<TD>
					<font face=sans-serif size=-1 color=#000000>

					<SELECT name="colopt<%= i %>">
						<OPTION value="none" <%= ((String)c.get("opt")).equals("none") ? "selected" : "" %>>
							<%= msgMgr.get( "sortNone" ) %>
						</OPTION>
						<OPTION value="asc" <%= ((String)c.get("opt")).equals("asc") ? "selected" : "" %>>
							<%= msgMgr.get( "sortAsc" ) %>
						</OPTION>
						<OPTION value="des" <%= ((String)c.get("opt")).equals("des") ? "selected" : "" %>>
							<%= msgMgr.get( "sortDes" ) %>
						</OPTION>
					<% if( ((String)c.get("type")).equals("c") ) { %>
						<OPTION value="group" <%= ((String)c.get("opt")).equals("group") ? "selected" : "" %>>
							<%= msgMgr.get( "groupBy" ) %>
						</OPTION>
					<%	} %>
					</SELECT>

					</font>
				</TD>
			</TR>
			<%	} %>
			</TABLE>
			</font>
		</TD>
	</TR>
	</TABLE>


	<br>

<%	} %>


<%	if( cwqSqlAssist.getWizpage().equals("row") ) { %>

	<%	// =========================================================
		// Row Conditions
		// ========================================================= %>

	<table cellspacing=0 cellpadding=2 border=0 align=center width=100%>
	<TR valign=top bgcolor=#6699CC>
		<TD align=left>
			<font face=sans-serif size=-1 color=#FFFFFF>
			<b>
			<%= msgMgr.get( "rowConditions" ) %>
			</b>
			</font>
		</TD>
		<TD align=right>
			<font face=sans-serif size=-1 color=#FFFFFF>
			&nbsp;
			</font>
		</TD>
	</TR>
	<TR bgcolor="#C0C0C0">
		<TD align=left colspan=2>
			<font face=sans-serif size=-1 color=#000000>
			<a href="javascript:go('rowtop');"><img src=sql/move_top.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "moveCondTop" ) %>"></a>
			<a href="javascript:go('rowup');"><img src=sql/move_up.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "moveCondUp" ) %>"></a>
			<a href="javascript:go('rowdown');"><img src=sql/move_down.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "moveCondDown" ) %>"></a>
			<a href="javascript:go('rowbottom');"><img src=sql/move_bottom.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "moveCondBot" ) %>"></a>

			&nbsp;

			<a href="javascript:go('rowaddcust');"><img src=sql/add.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "addCond" ) %>"></a>
			<a href="javascript:go('rowremove');"><img src=sql/remove.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "removeCond" ) %>"></a>
			<a href="javascript:go('rowduplicate');"><img src=sql/duplicate.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "dupCond" ) %>"></a>

			&nbsp;

			<a href="javascript:go('rowand');"><img src=sql/row_and.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "andCond" ) %>"></a>
			<a href="javascript:go('rowor');"><img src=sql/row_or.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "orCond" ) %>"></a>

			<br>

			<TABLE cellspacing="0" cellpadding="0" border="0" bgcolor="#FFFFFF" width="100%">
			<TR>
				<TD bgcolor="#C0C0C0" align="center" valign="top" width="4">
					<font face=sans-serif size=-1 color=#C0C0C0>
					<%= msgMgr.get( "select" ) %>
					</font>
				</TD>
				<TD bgcolor="#C0C0C0" align="center" valign="top" width="4">
					<font face=sans-serif size=-1 color=#C0C0C0>
					<%= msgMgr.get( "condition" ) %>
					</font>
				</TD>
			</TR>

			<%	int condcount = 0;
				for( int i=0; i<cwqSqlAssist.getRowconditions().size(); i++ )
				{
					Vector or = cwqSqlAssist.getRowcondition(i);
			%>
			<TR>
				<TD bgcolor="#C0C0C0" align="center" valign="top" width="4">
					<font face=sans-serif size=-1 color=#C0C0C0>
						<INPUT type=checkbox
							style="background : #C0C0C0; color : black"
							name="rowselect" value=<%= i %>>
					</font>
				</TD>
				<TD valign="top" bgcolor="#C0C0C0">
					<font face=sans-serif size=-1 color=#000000>
				<%	if( or.size() > 0 ) { %>
						<b>(</b>
					<%	for( int j=0; j<or.size(); j++ )
						{
							Properties c = (Properties) or.elementAt(j);
					%>
						<INPUT type=checkbox
							style="background : #C0C0C0; color : black"
							name="rowcondid" value=<%= c.get("id") %>>

						<%	if( ((String)c.get("type")).equals("t") )
							{ %>
						<font size=-1><%= c.get("table") %>.</font><b><%= c.get("col") %></b>
						<%	} %>

						<INPUT type=text name="rowcond<%= condcount %>" value="<%= c.get("cond") %>" size=7>
						<INPUT type=hidden name="rowcond<%= condcount %>id" value="<%= c.get("id") %>">

						<%	if( j != or.size()-1 ) { %>
							<font color="#000000">
							<b><%= msgMgr.get( "or" ) %></b> <br> &nbsp;
							</font>
						<%	} %>
					<%		condcount++; %>
					<%	} %>
						<b>)</b>
				<%	} %>
					</font>
				</TD>
			</TR>
				<%	if( i != cwqSqlAssist.getRowconditions().size()-1 ) { %>
			<TR valign="bottom">
				<TD bgcolor="#C0C0C0">
					<font face="sans-serif" size="-1" color="#000000">
					&nbsp;
					<hr size="1">
					</font>
				</TD>
				<TD bgcolor="#C0C0C0">
					<font face="sans-serif" size="-1" color="#000000">
					<b><%= msgMgr.get( "and" ) %></b>
					<hr>
					</font>
				</TD>
			</TR>
				<%	} %>
			<%	} %>
			</TABLE>
			</font>
		</TD>
	</TR>
	</TABLE>


	<br>

<%	} %>


<%	if( cwqSqlAssist.getWizpage().equals("set") ) { %>

	<%	// =========================================================
		// Update Column Set
		// ========================================================= %>

	<table cellspacing=0 cellpadding=2 border=0 align=center width=100%>
	<TR valign=top bgcolor=#6699CC>
		<TD align=left>
			<font face=sans-serif size=-1 color=#FFFFFF>
			<b>
			<%= msgMgr.get( "updateColumn" ) %>:
			</b>
			</font>
		</TD>
		<TD align=right>
			<font face=sans-serif size=-1 color=#FFFFFF>
			&nbsp;
			</font>
		</TD>
	</TR>
	<TR bgcolor="#C0C0C0">
		<TD align=left colspan=2>
			<font face=sans-serif size=-1 color=#000000>
			<a href="javascript:go('setremove');"><img src=sql/remove.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "removeColumnUpdate" ) %>"></a>

			<br>

			<TABLE bgcolor=FFFFFF cellspacing="1" cellpadding="1" border="0">
			<TR bgcolor="#C0C0C0">
				<TD>
					<font face=sans-serif size=-1 color=#000000>
					<%= msgMgr.get( "select" ) %>
					</font>
				</TD>
				<TD>
					<font face=sans-serif size=-1 color=#000000>
					<%= msgMgr.get( "updateValue" ) %>
					</font>
				</TD>
			</TR>
			<%	for( int i=0; i<cwqSqlAssist.getSets().size(); i++ )
				{
					Properties c = cwqSqlAssist.getSet(i);
			%>
			<TR valign="bottom" bgcolor="#C0C0C0">
				<TD>
					<font face=sans-serif size=-1 color=#000000>
					<INPUT type=checkbox
						style="background : #C0C0C0; color : black"
						name="setselect" value=<%= i %>>
					</font>
				</TD>
				<TD>
					<font face=sans-serif size=-1 color=#000000>
					<b><%= c.get("col") %></b>
					=
					<INPUT type=text name=setcond<%= i %> value="<%= c.get("set") %>">
					</font>
				</TD>
			</TR>
			<%	} %>
			</TABLE>
			</font>
		</TD>
	</TR>
	</TABLE>


	<br>
<%	} %>


<%	if( cwqSqlAssist.getWizpage().equals("join") ) { %>

	<%	// =========================================================
		// Join conditions
		// ========================================================= %>

	<table cellspacing=0 cellpadding=2 border=0 align=center width=100%>
	<TR valign=top bgcolor=#6699CC>
		<TD align=left>
			<font face=sans-serif size=-1 color=#FFFFFF>
			<b>
			<%= msgMgr.get( "join" ) %>
			</b>
			</font>
		</TD>
		<TD align=right>
			<font face=sans-serif size=-1 color=#000000>
			&nbsp;
			</font>
		</TD>
	</TR>
	<TR bgcolor="#C0C0C0">
		<TD align=left colspan=2>
			<font face=sans-serif size=-1 color=#000000>
			<a href="javascript:go('joinremove');"><img src=sql/remove.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "removeJoin" ) %>"></a>

			&nbsp;

		<%	if( cwqSqlAssist.getJoins().size() == 1 ) { %>
			<a href="javascript:go('joinswap');"><img src=sql/join_swap.gif border=0 hspace=0 vspace=0 alt="<%= msgMgr.get( "swapJoin" ) %>"></a>
		<%	} %>
			<br>

			<TABLE width="100%" cellpadding="0" cellspacing="1" bgcolor="#FFFFFF">
			<TR valign="top" align="center" bgcolor="#336699">
				<TD>
					<font face=sans-serif size=-1 color=#FFFFFF>
					<b>
					<%= msgMgr.get( "joinSelect" ) %>
					</b>
					</font>
				</TD>
				<TD>
					<font face=sans-serif size=-1 color=#FFFFFF>
					<b>
					<%= msgMgr.get( "joinLeft" ) %>
					</b>
					</font>
				</TD>
				<TD>
					<font face=sans-serif size=-1 color=#FFFFFF>
					<b>
					<%= msgMgr.get( "join" ) %>
					</b>
					</font>
				</TD>
				<TD>
					<font face=sans-serif size=-1 color=#FFFFFF>
					<b>
					<%= msgMgr.get( "joinRight" ) %>
					</b>
					</font>
				</TD>
				<TD align="left">
					<font face=sans-serif size=-1 color=#FFFFFF>
					<b>
					<%= msgMgr.get( "joinCondition" ) %>
					</b>
					</font>
				</TD>
			<TR>

			<%	String lt = new String();
				String rt = new String();
				for( int i=0; i<cwqSqlAssist.getJoins().size(); i++ )
				{
					Properties j = cwqSqlAssist.getJoin(i);
			 %>
			<TR bgcolor="#C0C0C0">
				<TD align="center">
					<font face=sans-serif size=-1 color=#000000>
					<INPUT type=checkbox name="joinselect" value="<%= i %>">
					</font>
				</TD>
				<TD>
					<font face=sans-serif size=-1 color=#000000>
				<%	if( lt.equals((String) j.get("leftTbl")) ) { %>
					&nbsp;
				<%	} else {
						lt = (String) j.get("leftTbl");
				%>
					<%= j.get("leftTbl") %>
				<%	} %>
					</font>
				</TD>
				<TD>
					<font face=sans-serif size=-1 color=#000000>
				<%	if( !rt.equals((String) j.get("rightTbl")) ) { %>
					<b><%= msgMgr.get( (String) j.get("type") ) %></b>
					</font>
				<%	} %>
				</TD>
				<TD>
					<font face=sans-serif size=-1 color=#000000>
				<%	if( rt.equals((String) j.get("rightTbl")) ) { %>
					&nbsp;
				<%	} else {
						rt = (String) j.get("rightTbl");
				%>
					<%= j.get("rightTbl") %>
				<%	} %>
					</font>
				</TD>
				<TD align="left">
					<font face=sans-serif size=-1 color=#000000>
					<%= j.get("leftCol") %>
					<select name="joinop<%= i %>" size="1">
						<OPTION value="=" <%= ((String)j.get("op")).equals("=") ? "selected" : "" %>>
							=
						</OPTION>
						<OPTION value="<>" <%= ((String)j.get("op")).equals("<>") ? "selected" : "" %>>
							<>
						</OPTION>
						<OPTION value="<" <%= ((String)j.get("op")).equals("<") ? "selected" : "" %>>
							&lt;
						</OPTION>
						<OPTION value=">" <%= ((String)j.get("op")).equals(">") ? "selected" : "" %>>
							&gt;
						</OPTION>
						<OPTION value="<=" <%= ((String)j.get("op")).equals("<=") ? "selected" : "" %>>
							&lt;=
						</OPTION>
						<OPTION value=">=" <%= ((String)j.get("op")).equals(">=") ? "selected" : "" %>>
							&gt;=
						</OPTION>
					</select>
					<%= j.get("rightCol") %>
				<%	if( j.get("cond") != null ) { %>
					<select name="joincond<%= i %>" size="1">
						<OPTION value="AND" <%= ((String)j.get("cond")).equals("AND") ? "selected" : "" %>>
							AND
						</OPTION>
						<OPTION value="OR" <%= ((String)j.get("cond")).equals("OR") ? "selected" : "" %>>
							OR
						</OPTION>
					</select>
				<%	} %>
					</font>
				</TD>
			<TR>
			<%	} %>
			</TABLE>
			</font>
		</TD>
	</TR>
	</TABLE>


	<br>
<%	} %>




<% 	// =====================
	// Expression Builder
	// ===================== %>

<%	if( cwqSqlAssist.getWizpage().equals("col") || cwqSqlAssist.getWizpage().equals("row") ) { %>

	<TABLE cellspacing=0 cellpadding=2 border=0 align=center width=100%>
	<TR valign=top bgcolor=#6699CC>
		<TD align=left>
			<font face=sans-serif size=-1 color=#FFFFFF>
			<b>
			<%= msgMgr.get( "expressionAssist" ) %>:
			</b>
			</font>
		</TD>

		<TD align=right>
			<font face=sans-serif size=-1 color=#FFFFFF>
			&nbsp;
			</font>
		</TD>
	</TR>

	<TR valign=top bgcolor=#C0C0C0>
		<TD align=left colspan=2>
			<font face=sans-serif size=-1>
			<textarea rows=2 cols=50 name=exp></textarea>.

			<br>

			<select size=5 name=search onChange="selectExp()">
				<option value="">---------------------------------------------------------------</option>
			</select>
			</font>
		</TD>
	</TR>
	</TABLE>
<%	} %>


</TD></TR></TABLE>

</form>

<SCRIPT language="JavaScript">
<!--
	if( <%= webquerytool_ui.getReloadMenu() %> )
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '' );
//-->
</script>

</body>

</html>
