<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.SQLGetJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);


	String objectCreator = new String();
	if( webquerytool_ui.getCurrentObject() != null )
		objectCreator = webquerytool_ui.getCurrentObject().getName();


    // -----------------------------------------
    // Header
    String pageName = "SQLGet.jsp";

    String headerTitle = msgMgr.get( "title" );

    boolean headerShowMsg = true;
    boolean headerChangeCon = false;
    boolean headerQuickHelp = true;

    // ---------------------------------------
    // Left Menu
    String[] headerLeft =
    	{
    		msgMgr.get( "retrieveButton" ), "javascript:go('"+ request.getParameterValues("type")[0]+ "');",
    		msgMgr.get( "backButton" ), "javascript:go('refresh');"
    	};

    // ---------------------------------------
    // Right Menu
    String headerRightTitle = "";

    String[] headerRight = new String[0];

    // ---------------------------------------
    // Quick Help
	String headerHelpText = msgMgr.get( "quickHelp" );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title> <%= msgMgr.get( "title" ) %> </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/SQLText">

<input type="hidden" name="op" value="process">
<input type="hidden" name="cmd" value="<%= request.getParameter("type") %>">
<input type="hidden" name="page" value="sqlget">
<input type="hidden" name="creator" value="<%= objectCreator %>">

<% try { %>
<%@ include file="../header.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<table cellspacing=0 cellpadding=0 border=0 width=100%>

<% 	if( request.getParameterValues("type")[0].equals("pds" ) ) { %>
<TR valign=top>
	<TD valign=top align=right>
		<font face=sans-serif size="-1">
		<b> <%= msgMgr.get( "login" ) %>: </b>
		</font>
	</TD>

	<TD>
		<font face=sans-serif>
		<INPUT type=text name=login size=15 value="">
		</font>
	</TD>
</TR>
<TR valign=top>
	<TD valign=top align=right>
		<font face=sans-serif size="-1">
		<b> <%= msgMgr.get( "password" ) %>: </b>
		</font>
	</TD>

	<TD>
		<font face=sans-serif>
		<INPUT type=password name=password size=15 value="">
		</font>
	</TD>
</TR>
<TR valign=top>
	<TD valign=top align=right>
		<font face=sans-serif size="-1">
		<b> <%= msgMgr.get( "pds" ) %>: </b>
		</font>
	</TD>

	<TD>
		<font face=sans-serif>
		<INPUT type=text name=pdsmember size=15 value="">
		</font>
	</TD>
</TR>
<SCRIPT language="JavaScript">
<!--
	document.forms[0].login.focus();
//-->
</SCRIPT>
<%	} %>


<% 	if( request.getParameterValues("type")[0].equals("ftp" ) ) { %>
<TR valign=top>
	<TD valign=top align=right>
		<font face=sans-serif size="-1">
		<b> <%= msgMgr.get( "login" ) %>: </b>
		</font>
	</TD>

	<TD>
		<font face=sans-serif>
		<INPUT type=text name=login size=15 value="">
		</font>
	</TD>
</TR>
<TR valign=top>
	<TD valign=top align=right>
		<font face=sans-serif size="-1">
		<b> <%= msgMgr.get( "password" ) %>: </b>
		</font>
	</TD>

	<TD>
		<font face=sans-serif>
		<INPUT type=password name=password size=15 value="">
		</font>
	</TD>
</TR>
<TR valign=top>
	<TD valign=top align=right>
		<font face=sans-serif size="-1">
		<b> <%= msgMgr.get( "host" ) %>: </b>
		</font>
	</TD>

	<TD>
		<font face=sans-serif>
		<INPUT type=text name=host size=15 value="">
		</font>
	</TD>
</TR>
<TR valign=top>
	<TD valign=top align=right>
		<font face=sans-serif size="-1">
		<b> <%= msgMgr.get( "file" ) %>: </b>
		</font>
	</TD>

	<TD>
		<font face=sans-serif>
		<INPUT type=text name=file size=15 value="">
		</font>
	</TD>
</TR>
<SCRIPT language="JavaScript">
<!--
	document.forms[0].login.focus();
//-->
</SCRIPT>
<%	} %>


<% 	if( request.getParameterValues("type")[0].equals("http" ) )
	{ %>
<TR valign=top>
	<TD valign=top align=right>
		<font face=sans-serif size="-1">
		<b> <%= msgMgr.get( "url" ) %>: </b>
		</font>
	</TD>

	<TD>
		<font face=sans-serif>
		<INPUT type=text name=url size=50 value="http://">
		</font>
	</TD>
</TR>
<SCRIPT language="JavaScript">
<!--
	document.forms[0].url.focus();
//-->
</SCRIPT>
<%	} %>

</table>
</form>

</body>

</html>
