<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.Properties" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspSQLStatusPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="cwqQuery" class="com.rocketsoftware.util.sql.Query" scope="session"/>
<jsp:useBean id="cwqQueryStatus" class="com.ibm.db2.cwq.sql.SQLStatus" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.SQLStatusPageJSP",
		request.getLocale()
	);

    JspSQLStatusPage jspInfo = new JspSQLStatusPage();
    jspInfo.setLoc( request.getLocale() );
%>

<%	// get the current result set
	Properties rs = null;
	if( webquerytool_ui.getResultNum() != -1 )
	{
		rs = (Properties) webquerytool_ui.getResultsSets().elementAt(
			webquerytool_ui.getResultNum()
		);
	}
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<HEAD>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<TITLE>Query Data Viewer</TITLE>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT language="javascript">
	<!--
		function openLOB( url )
		{
			// ====================================
			// determine size
			if( document.layers )
			{
				// netscape
				x = parent.window.screenX + 10;
				y = parent.window.screenY + 10;
			}
			else
			{
				// ie
				x = parent.window.screenLeft + 10;
				y = parent.window.screenTop + 10;
			}

			// ====================================
			// open the help window
			var mw = window.open(
				url,
				"lobViewer",
				"dependent,resizable,scrollbars"
					+",width=250,height=250"
					+",screenY="+y+",screenX="+x
					+",top="+y+",left="+x
			);
			mw.focus();
		}
	//-->
	</SCRIPT>
	<STYLE TYPE = "text/css">
		BODY
		{
			FONT-FAMILY: sans-serif;
			COLOR: black;
			SIZE: -1
		}
	</STYLE>
</HEAD>


<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">


<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/SQLText">
	<input type=hidden name=page value=sqlstatus>
	<input type=hidden name=cmd value=view>

</form>


<% 	if( rs != null ) { %>
	<TABLE bgcolor="#C0C0C0" border=1 cellspacing=1 cellpadding=1 width=100% align=center>
	<%= rs.get("data") %>
	</TABLE>
<%	} %>


<script language="JavaScript">
<!--
	if( <%= webquerytool_ui.getReloadMenu() %> )
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</BODY>
</HTML>
