<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspSQLTextPage" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="cwqQuery" class="com.rocketsoftware.util.sql.Query" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.SQLTextPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	String objectCreator = new String();
	if( webquerytool_ui.getCurrentObject() != null )
		objectCreator = webquerytool_ui.getCurrentObject().getName();

	JspSQLTextPage jspInfo = new JspSQLTextPage();
	jspInfo.setHost( System.getProperty("os.arch").equals("OS/390") );
	//jspInfo.setCatalogPresent( uc.isWqCatalogPresent() );
	jspInfo.setCatalogPresent( true );
	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">

	<title><%= jspInfo.getTitle() %></title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<SCRIPT language="JavaScript">
<!--
	var winW = -80;
	var winH = -120;

	if( document.all )
	{
		winW += document.body.offsetWidth;
		winH += document.body.offsetHeight;
	}
	else if( document.layers || document.getElementById )
	{
		//alert('ns');
		winW += window.innerWidth;
		winH += window.innerHeight;
	}

	var rows = Math.round( winH/22 );
	var cols = Math.round( winW/9 );

	var editTag = "<textarea wrap name=Text rows="+rows+" cols="+cols+">";
//-->
</SCRIPT>

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/SQLText">

<input type="hidden" name="op" value="process">
<input type="hidden" name="cmd" value="">
<input type="hidden" name="page" value="sqltext">
<input type="hidden" name="creator" value="<%= objectCreator %>">

<% try { %>
<%@ include file="../pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

<table cellspacing=0 cellpadding=0 border=0 align=center width=100%>
<TR valign=top>
	<TD align=left>
		<font face=sans-serif size=-1>
		<b><%= jspInfo.getSQLHeader() %></b>
		</font>
	</TD>
</TR>
<TR valign=top>
	<TD align=left>
		<font face=courier>
<SCRIPT language="javascript">
<!--
	window.document.write( editTag );
//-->
</SCRIPT><%= cwqQuery.getQuery() %></textarea>
		</font>
	</TD>
</TR>
</TABLE>

</TD></TR></TABLE>

</form>

<SCRIPT language="JavaScript">
<!--
	document.forms[0].Text.focus();

	if( <%= webquerytool_ui.getReloadMenu() %> )
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '' );
//-->
</script>

</body>

</html>
