<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>

<jsp:useBean id="SoapReqid" scope="session" class="com.ibm.db2.cwq.publicaccess.SoapReqProxy" />

<%
	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.Soap",
		request.getLocale()
	);
%>

<HTML>

<HEAD>
	<TITLE> <%= msgMgr.get( "soapClientTitle" ) %> </TITLE>
</HEAD>

<BODY><pre>
<%!	
	public static String markup(String text) {
	    if (text == null) {
	        return null;
	    }
	
	    StringBuffer buffer = new StringBuffer();
	    for (int i = 0; i < text.length(); i++) {
	        char c = text.charAt(i);
	        switch (c) {
	            case '<':
	                buffer.append("&lt;");
	                break;
	            case '&':
	                buffer.append("&amp;");
	                break;
	            case '>':
	                buffer.append("&gt;");
	                break;
	            case '"':
	                buffer.append("&quot;");
	                break;
	            default:
	                buffer.append(c);
	                break;
	        }
	    }
	    return buffer.toString();
	}
%><%!
	public static String domWriter(org.w3c.dom.Node node,StringBuffer buffer)
	{
	    if ( node == null ) {
	        return "";
	    }
	    int type = node.getNodeType();
	    switch ( type ) {
	        case org.w3c.dom.Node.DOCUMENT_NODE: {
	            buffer.append(markup("<?xml version=\"1.0\" encoding=\"UTF-8\"?>") + "<br>");
	            domWriter(((org.w3c.dom.Document)node).getDocumentElement(),buffer);
	            break;
	        }
	        case org.w3c.dom.Node.ELEMENT_NODE: {
	             buffer.append(markup("<" + node.getNodeName()));
	            org.w3c.dom.Attr attrs[] = sortAttributes(node.getAttributes());
	            for ( int i = 0; i < attrs.length; i++ ) {
	                org.w3c.dom.Attr attr = attrs[i];
	                buffer.append(" " + attr.getNodeName() + "=\"" + markup(attr.getNodeValue()) + "\"");
	            }
	             buffer.append(markup(">"));
	            org.w3c.dom.NodeList children = node.getChildNodes();
	            if ( children != null ) {
	                int len = children.getLength();
	                for ( int i = 0; i < len; i++ ) {
	                if(((org.w3c.dom.Node)children.item(i)).getNodeType() == org.w3c.dom.Node.ELEMENT_NODE)
	                buffer.append("<br>");
	                domWriter(children.item(i),buffer);
	                }
	            }
	            buffer.append(markup("</" + node.getNodeName() + ">"));
	            break;
	        }
	        case org.w3c.dom.Node.ENTITY_REFERENCE_NODE: {
	            org.w3c.dom.NodeList children = node.getChildNodes();
	            if ( children != null ) {
	                int len = children.getLength();
	                for ( int i = 0; i < len; i++ )
	                {
	                buffer.append(children.item(i));
	                }
	            }
	            break;
	        }
	        case org.w3c.dom.Node.CDATA_SECTION_NODE: {
	            buffer.append(markup(node.getNodeValue()));
	            break;
	        }
	        case org.w3c.dom.Node.TEXT_NODE:{
	            buffer.append(markup(node.getNodeValue()));
	            break;
	        }
	        case org.w3c.dom.Node.PROCESSING_INSTRUCTION_NODE:{
	            buffer.append(markup("<?"));
	            buffer.append(node.getNodeName());
	            String data = node.getNodeValue();
	            if ( data != null && data.length() > 0 ){
	                buffer.append(" ");
	                buffer.append(data);
	            }
	            buffer.append(markup("?>"));
	            break;
	        }
	        }
	    return buffer.toString();
	}
%><%!
	public static org.w3c.dom.Attr[] sortAttributes(org.w3c.dom.NamedNodeMap attrs)
	{
	    int len = (attrs != null) ? attrs.getLength() : 0;
	    org.w3c.dom.Attr array[] = new org.w3c.dom.Attr[len];
	    for ( int i = 0; i < len; i++ ){
	        array[i] = (org.w3c.dom.Attr)attrs.item(i);
	    }
	    for ( int i = 0; i < len - 1; i++ ) {
	        String name  = array[i].getNodeName();
	        int    index = i;
	        for ( int j = i + 1; j < len; j++ ) {
	            String curName = array[j].getNodeName();
	            if ( curName.compareTo(name) < 0 ) {
	                name  = curName;
	                index = j;
	            }
	        }
	        if ( index != i ) {
	            org.w3c.dom.Attr temp    = array[i];
	            array[i]     = array[index];
	            array[index] = temp;
	        }
	    }
	    return (array);
	}
%><%
	String method = request.getParameter("method");
	if (method == null) 
		method = "";
	
	boolean gotMethod = false;
	
	try 
	{
		if( method.equals("setEndPoint") )
		{
	        gotMethod = true;
	        String url0id=  markup(request.getParameter("url5"));
	        java.net.URL url0idTemp  = new java.net.URL(url0id);
	        SoapReqid.setEndPoint(url0idTemp);
		}
		
		else if( method.equals("getEndPoint") )
		{
	        gotMethod = true;
	        java.net.URL mtemp = SoapReqid.getEndPoint();
	        String tempResultresult8 = markup(mtemp.toString());
			%><%= tempResultresult8 %><%
		}
		
		else if( method.equals("query") )
		{
	        gotMethod = true;

	        String catalog1id=  markup(request.getParameter("catalog13"));
	        String catalog1idTemp  = catalog1id;
	        
	        String objCreator2id=  markup(request.getParameter("objCreator15"));
	        String objCreator2idTemp  = objCreator2id;
	        
	        String objName3id=  markup(request.getParameter("objName17"));
	        String objName3idTemp  = objName3id;
	        
	        String targetFormat4id=  markup(request.getParameter("targetFormat19"));
	        String targetFormat4idTemp  = targetFormat4id;
	        
	        String mtemp = SoapReqid.query(
	        	catalog1idTemp, objCreator2idTemp, objName3idTemp, targetFormat4idTemp
	        );

	        String tempResultresult11 = markup(String.valueOf(mtemp));
	        %><%= tempResultresult11 %><%
		}

		else if( method.equals("queryAuth") )
		{
	        gotMethod = true;
	        
	        String catalog1id=  markup(request.getParameter("catalog13"));
	        String catalog1idTemp  = catalog1id;
	        
	        String objCreator2id=  markup(request.getParameter("objCreator15"));
	        String objCreator2idTemp  = objCreator2id;
	        
	        String objName3id=  markup(request.getParameter("objName17"));
	        String objName3idTemp  = objName3id;
	        
	        String targetFormat4id=  markup(request.getParameter("targetFormat19"));
	        String targetFormat4idTemp  = targetFormat4id;

	        String userid5id =  markup(request.getParameter("userid"));
	        String userid5idTemp  = userid5id;

	        String userpass6id=  markup(request.getParameter("userpass"));
	        String userpass6Temp  = userpass6id;

	        String mtemp = SoapReqid.query(
	        	catalog1idTemp, 
	        	objCreator2idTemp, 
	        	objName3idTemp, 
	        	targetFormat4idTemp,
	        	userid5idTemp,
	        	userpass6Temp
	        );
	        String tempResultresult11 = markup(String.valueOf(mtemp));
	        %><%= tempResultresult11 %><%
		}
		
		else if( method.equals("transform") ) 
		{
	        gotMethod = true;
	        
	        String catalog1id=  markup(request.getParameter("catalog13"));
	        String catalog1idTemp  = catalog1id;
	        
	        String objCreator2id=  markup(request.getParameter("objCreator15"));
	        String objCreator2idTemp  = objCreator2id;
	        
	        String objName3id=  markup(request.getParameter("objName17"));
	        String objName3idTemp  = objName3id;
	        
	        String targetFormat4id=  markup(request.getParameter("targetFormat19"));
	        String targetFormat4idTemp  = targetFormat4id;
	        
	        String mtemp = SoapReqid.transform(
	        	catalog1idTemp, objCreator2idTemp, objName3idTemp, targetFormat4idTemp
	        );
	        String tempResultresult11 = markup(String.valueOf(mtemp));
	        %><%= tempResultresult11 %><%
		}
		
		else if( method.equals("retrieve") ) 
		{
	        gotMethod = true;

	        String catalog5id=  markup(request.getParameter("catalog24"));
	        String catalog5idTemp  = catalog5id;
	        
	        String objCreator6id=  markup(request.getParameter("objCreator26"));
	        String objCreator6idTemp  = objCreator6id;
	        
	        String objName7id=  markup(request.getParameter("objName28"));
	        String objName7idTemp  = objName7id;
	        
	        String targetFormat4id=  markup(request.getParameter("targetFormat19"));
	        String targetFormat4idTemp  = targetFormat4id;

	        String mtemp = SoapReqid.retrieve(catalog5idTemp,objCreator6idTemp,objName7idTemp,targetFormat4idTemp);
	        String tempResultresult22 = markup(String.valueOf(mtemp));
	        %><%= tempResultresult22 %><%
		}

		else if( method.equals("test") ) 
		{
	        gotMethod = true;
	        
	        String mtemp = SoapReqid.test();
	        String tempResultresult31 = markup(String.valueOf(mtemp));
	        %><%= tempResultresult31 %><%
		}
	}
	catch (Exception e) 
	{ 
%>
<%= msgMgr.get( "exception" ) %>: 
<%= e %>
<%	} %>
</pre>
</BODY>
</HTML>