<%@ page language="java" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.WapJSP",
		request.getLocale()
	);

    response.setContentType( "text/vnd.wap.wml" );

    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN"
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>
	<head>
		<meta name="COPYRIGHT" 
			content="IBM Corporation (c) 1999-2001, All Rights Reserved"/>
		<meta name="GENERATOR" 
			content="IBM Web Query Tool (c) 1999-2001, All Rights Reserved"/>
	</head>

<%	// ===============================================================
	// About
	// =============================================================== %>
    
<card id="AboutCard">
	<p align="center">
	    <img alt="<%= msgMgr.get( "db2webquery" ) %>" 
	    	src="<%= webquerytool_cfg.getWebRoot(request)%>logo.bmp"/>
	</p>

	<p align="left" mode="nowrap">
--- <%= msgMgr.get( "licenses" ) %> -- <br/>
<%	Enumeration en = webquerytool_cfg.getLicenses().keys();
	String key = null;
	Properties aLic = null;
	int li = 1;

	while( en.hasMoreElements() )
	{
		key = (String) en.nextElement();
		aLic = (Properties) webquerytool_cfg.getLicenses().get( key );
%>
<%= li %> (<%= aLic.get("ProductID") %>) <%= aLic.get("ProductName") %> 
 - Version <%= aLic.get("ProductVersion") %> 
<br/>
<%		li++;
	} %>

--- <%= msgMgr.get( "copyright" ) %> - <br/>

<%= msgMgr.get( "ibmcopyright" ) %>
<br/>
<%= msgMgr.get( "ibmcopyright1" ) %>
<br/>

<br/>

<%= msgMgr.get( "rocketcopyright" ) %>
<br/>
<%= msgMgr.get( "rocketcopyright1" ) %>
	</p>
</card>

</wml>
