<%@ page language="java" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="webquerytool_co" class="com.ibm.db2.cwq.catalog.CatObject" scope="session"/>
<jsp:useBean id="webquerytool_category" class="java.util.Vector" scope="session"/>
<jsp:useBean id="webquerytool_aliases" class="java.util.Vector" scope="session"/>

<% 
	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.WapJSP",
		request.getLocale()
	);

    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);
%>


<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>
    <head>
		<meta name="COPYRIGHT" content="IBM Corporation (c) 1999-2000, All Rights Reserved"/>
		<meta name="GENERATOR" content="IBM Web Query Tool (c) 1999-2000, All Rights Reserved"/>
		<meta forua="true" http-equiv="Cache-Control" content="no-cache"/>
		<meta forua="true" http-equiv="Cache-Control" content="must-revalidate"/>
    </head>
    
<card id="main1">
	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b><br/>

	    <i><%= msgMgr.get( "properties" ) %></b><br/>
	</p>

	<p align="left" mode="nowrap">
	    <a href="#group" title="Group"><%= msgMgr.get( "group" ) %>: $(newcreator)</a><br/>
	    <a href="#name" title="Name"><%= msgMgr.get( "name" ) %>: $(newname)</a><br/>
	    <a href="#category" title="Category"><%= msgMgr.get( "category" ) %></a><br/>
	    <a href="#description" title="Description"><%= msgMgr.get( "description" ) %></a><br/>
	    <a href="<%= webquerytool_cfg.getWebRoot(request) %>/CatalogPropPerm.jsp" title="Permission"><%= msgMgr.get( "permission" ) %></a>
	    
	    <do type="options" label="<%= msgMgr.get( "options" ) %>">
		<go href="<%= webquerytool_cfg.getWebRoot(request) %>/CatalogPropOptions.jsp"/>
	    </do>
	</p>   
	<p align="center">
	    ---------------
	    <%= msgMgr.get( "createdby" ) %> <b><%= webquerytool_co.getCreatedBy() %></b>
	</p>
    </card>
    
    <card id="group">
	<p>
	    <do type="accept" label="<%= msgMgr.get( "ok" ) %>">
		<go href="#main1"/>
	    </do>
	    
	    <b><%= msgMgr.get( "group" ) %></b>:
	    <select name="newcreator" value="$(newcreator)">
		<option onpick="#addgroup">Add new group</option>
<%					
		for (int i=0; i<webquerytool_aliases.size(); i++) {
%>
		    <option value="<%= webquerytool_aliases.elementAt(i) %>"><%= webquerytool_aliases.elementAt(i) %></option>
<%
		}
%>
	    </select>	    

	    <do type="options" label="Back">
		<go href="#main1"/>
	    </do>
	</p>
    </card>
    
    <card id="addgroup">
	<p>
	    <do type="accept" label="Add">
		<go href="#main1"/>
	    </do>
	    
	    <%= msgMgr.get( "newgroup" ) %>: <input type="text" name="newcreator"/>
	</p>
    </card>

    <card id="name">
	<p>
	    <do type="accept" label="<%= msgMgr.get( "ok" ) %>">
		<go href="#main1"/>
	    </do>
	    
	    <b><%= msgMgr.get( "name" ) %></b>: <input type="text" name="newname"/>
	</p>
    </card>

    <card id="category">
	<p>
	    <do type="accept" label="<%= msgMgr.get( "ok" ) %>">
		<go href="#main1"/>
	    </do>
		
	    <select name="category" value="$(category)">
		<option onpick="#addcat"><%= msgMgr.get( "addnewcategory" ) %></option>
		<option value=""> <%= msgMgr.get( "nocategory" ) %> </option>
<%	
	    for( int i=0; i<webquerytool_category.size(); i++ ) {
%>
		<option value="<%= webquerytool_category.elementAt(i) %>"><%= webquerytool_category.elementAt(i) %></option>
<%
	    }
%>
	    </select>
	</p>
    </card>

    <card id="addcat">
	<p>
	    <do type="accept" label="<%= msgMgr.get( "add" ) %>">
		<go href="#main1"/>
	    </do>
	    
	    New Category: <input type="text" name="category"/>
	</p>
    </card>

    <card id="description">
	<p>
	    <do type="accept" label="<%= msgMgr.get( "add" ) %>">
		<go href="#main1"/>
	    </do>
	    
	    <%= msgMgr.get( "description" ) %>: <input type="text" name="description" value="$(description)"/>
	</p>
    </card>
</wml>
