<%@ page language="java" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.WapJSP",
		request.getLocale()
	);

    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);
    
	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>
    <head>
	<meta name="COPYRIGHT" content="IBM Corporation (c) 1999-2000, All Rights Reserved"/>
	<meta name="GENERATOR" content="IBM Web Query Tool (c) 1999-2000, All Rights Reserved"/>
	<meta forua="true" http-equiv="Cache-Control" content="no-cache"/>
	<meta forua="true" http-equiv="Cache-Control" content="must-revalidate"/>
    </head>
    
    <card id="main">
	<p align="center">
	    <b><%= msgMgr.get( "currentsqlid" ) %></b><br/>
	    ---------------
	</p>
	<p mode="nowrap">
	    <do type="accept" label="<%= msgMgr.get( "change" ) %>">
		<go href="#change"/>
	    </do>
	    
	    <b><%= msgMgr.get( "database" ) %></b>: <%= uc.getDbName() %><br/>
	    <b><%= msgMgr.get( "user" ) %></b>: <%= uc.getId() %><br/>
	    <b><%= msgMgr.get( "sqlid" ) %></b>: <%= uc.getSqlId() %>

	    <do type="options" label="<%= msgMgr.get( "back" ) %>">
		<go href="<%=webquerytool_cfg.getAppRoot()%>/Menu"/>
	    </do>
	</p>
	
    </card>
    
    <card id="change">
	<p>
	    <do type="accept" label="<%= msgMgr.get( "change" ) %>">
		<go href="<%=webquerytool_cfg.getAppRoot()%>/Menu?op=process&amp;cmd=gochange&amp;newid=$(newid)"/>
	    </do>
	    
	    <select name="newid" value="<%= uc.getSqlId() %>">
		<option onpick="#addid">New ID</option>
<%		for( int i=0; i<uc.getAliasList().size(); i++ ) { %>
		    <option value="<%= uc.getAliasList().elementAt(i) %>"><%= uc.getAliasList().elementAt(i) %></option>
<%		} %>
	    </select>
	</p>
    </card>
    
    <card id="addid" newcontext="true">
	<p>
	    <do type="accept" label="<%= msgMgr.get( "change" ) %>">
		<go href="<%=webquerytool_cfg.getAppRoot()%>/Menu?op=process&amp;cmd=gochange&amp;newid=$(newid)"/>
	    </do>
	
	    <%= msgMgr.get( "newid" ) %>: <input name="newid"/>
	</p>
    </card>
</wml>
