<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.lang.String" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspFilterPage" %>
<%@ page import="com.rocketsoftware.util.MsgMgr" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="webquerytool_schemas" class="java.util.Vector" scope="session"/>

<% 
	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.WapJSP",
		request.getLocale()
	);

    response.setContentType( "text/vnd.wap.wml" );

    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.FilterPageJSP",
		request.getLocale()
	);

    String[] f = null;
    String o = "%";
    String n = "%";
    

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

    if( uc.getFilters().size() > 0 )
    	f = (String[]) uc.getFilters().elementAt( 0 );
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

<head>
	<meta name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2001, All Rights Reserved"/>
	<meta name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2001, All Rights Reserved"/>

	<meta forua="true" 
		http-equiv="Cache-Control" content="no-cache"/>
</head>

<card id="filterCard">
	<onevent type="onenterforward">
		<refresh>
			<setvar name="owner" value="<%= o %>"/>
			<setvar name="name" value="<%= n %>"/>
		</refresh>
	</onevent>

	<p align="center" mode="nowrap">
		<b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

	    <i><%= msgMgr.get( "filter" ) %></i>
	</p>
	    
	<p align="left" mode="nowrap">
		<b> <%= msgMgr.get( "changeowner" ) %> ($(owner)): </b>

		<select name="owner">
			<option value="%">
				<onevent type="onpick">
					<go href="#filterNameCard"/>
				</onevent>
				[<%= msgMgr.get( "all" ) %>]
			</option>

			<option>
				<onevent type="onpick">
					<go href="#filterOwnerCard"/>
				</onevent>
				[<%= msgMgr.get( "enter" ) %>]
			</option>

<% 	for( int i=0; i<uc.getAliasList().size(); i++ ) { %>
			<option value="<%= uc.getAliasList().elementAt(i) %>">
				<onevent type="onpick">
					<go href="#filterNameCard"/>
				</onevent>
				<%= uc.getAliasList().elementAt(i) %>
			</option>
<% 	} %>
		</select>
	</p>
</card>


<%	// =====================================================
	// owner card
	// ===================================================== %>

<card id="filterOwnerCard">
	<do type="accept" label="<%= msgMgr.get( "ok" ) %>">
		<go href="#filterNameCard">
		</go>
	</do>

	<p align="center" mode="nowrap">
		<b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

		<i><%= msgMgr.get( "filter" ) %></i>
	</p>

	<p align="left" mode="nowrap">
		<b> <%= msgMgr.get( "setowner" ) %>: </b>

		<input type="text" name="owner" value="$(owner)"/>
	</p>
</card>


<%	// =====================================================
	// name card
	// ===================================================== %>

<card id="filterNameCard">
	<do type="accept" label="<%= msgMgr.get( "ok" ) %>">
		<go href="#filterConfirmCard">
		</go>
	</do>

	<p align="center" mode="nowrap">
		<b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

		<i><%= msgMgr.get( "filter" ) %></i>
	</p>

	<p align="left" mode="nowrap">
		<b> <%= msgMgr.get( "setname" ) %>: </b>

		<input type="text" name="name" value="$(name)"/>
	</p>
</card>



<%	// =====================================================
	// confirm filter card
	// ===================================================== %>

<card id="filterConfirmCard">
	<p align="center" mode="nowrap">
		<b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

		<i><%= msgMgr.get( "filter" ) %></i>
	</p>

	<p align="left" mode="nowrap">
		<b> <%= msgMgr.get( "applyfilter" ) %> <br/> ($(owner).$(name)) </b>

		<select>
			<option title="<%= msgMgr.get( "yes" ) %>">
				<onevent type="onpick">
					<go method="post" 
						href="<%= webquerytool_cfg.getAppRoot() %>/FilterPage">
						<postfield name="op" value="process"/>
						<postfield name="page" value="filterpage"/>
						<postfield name="cmd" value="update"/>
						<postfield name="creatorList" value="$(owner)"/>
						<postfield name="nameList" value="$(name)"/>
						<postfield name="changeControl" value=""/>
					</go>
				</onevent>
				<%= msgMgr.get( "yes" ) %>db2webquery=Yes
			</option>

			<option title="<%= msgMgr.get( "no" ) %>" 
				onpick="<%= webquerytool_cfg.getAppRoot() %>/Menu">
				<%= msgMgr.get( "no" ) %>
			</option>
		</select>
	</p>
</card>

</wml>
