<%@ page language="java" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>

<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.WapJSP",
		request.getLocale()
	);

    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

    UserConnection uc = null;
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN"
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>
    <head>
	<meta name="COPYRIGHT" content="IBM Corporation (c) 1999-2003, All Rights Reserved"/>
	<meta name="GENERATOR" content="IBM Web Query Tool (c) 1999-2003, All Rights Reserved"/>
    </head>
    
    <card>
		<p align="center">
			<do type="accept" label="<%= msgMgr.get( "continue" ) %>">
				<go href="<%=webquerytool_cfg.getBaseURL(request)%>/Menu"/>
			</do>
	    
			<img alt="<%= msgMgr.get( "db2webquery" ) %>" 
				src="<%= webquerytool_cfg.getWebRoot(request)%>logo.bmp"/>
		</p>

		<p align="left" mode="wrap">
	    <%= msgMgr.get( "connectto" ) %>:
	    <br/>
<%
	Enumeration e = webquerytool_user.getConPool().keys();
	while( e.hasMoreElements() )
	{
	    uc = webquerytool_user.getConnection( 
	    	(String) e.nextElement() 
	    );
	
%>
			<%= uc.getDbType().get("name") %> <%= uc.getDbName() %>
			<%= msgMgr.get( "user" ) %>=<b><%= uc.getId() %></b> 
			<%= msgMgr.get( "sqlid" ) %>=<b><%= uc.getSqlId() %></b>
<%
	}
%>
		</p>
    </card>
</wml>
