<%@ page language="java" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.WapJSP",
		request.getLocale()
	);

    response.setContentType( "text/vnd.wap.wml" );

    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

<head>
	<meta name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2001, All Rights Reserved"/>
	<meta name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2001, All Rights Reserved"/>
</head>
    

<%	// ==========================================================
	// Options Card
	// ========================================================== %>

<card id="optionsCard">
	<p align="center" mode="nowrap">
	    <b> <%= msgMgr.get( "db2webquery" ) %></b> <br/>

		<i><%= msgMgr.get( "options" ) %></i>
	</p>

	<p align="left" mode="nowrap">
		<select name="cmd">
			<option title="<%= msgMgr.get( "main" ) %>" 
	    		onpick="<%=webquerytool_cfg.getAppRoot()%>/Menu">
				<%= msgMgr.get( "menu" ) %>
			</option>

	    	<option title="<%= msgMgr.get( "change" ) %>"
	    		onpick="<%=webquerytool_cfg.getAppRoot()%>/FilterPage?op=process">
				<%= msgMgr.get( "filter" ) %>
			</option>

	    	<option title="<%= msgMgr.get( "change" ) %>"
	    		onpick="<%=webquerytool_cfg.getAppRoot()%>/Menu?op=process&amp;cmd=changeid">
				<%= msgMgr.get( "sqlid" ) %>
			</option>

			<option title="<%= msgMgr.get( "display" ) %>">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getAppRoot() %>/Menu">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="refresh"/>
					</go>
				</onevent>
				<%= msgMgr.get( "refresh" ) %>
			</option>

			<option title="<%= msgMgr.get( "logout" ) %>"
				onpick="<%=webquerytool_cfg.getAppRoot()%>/Exit">
				<%= msgMgr.get( "logout" ) %>
			</option>

			<option title="<%= msgMgr.get( "about" ) %>"
				onpick="AboutPage.jsp">
				<%= msgMgr.get( "about" ) %>
			</option>
		</select>
	</p>
</card>

</wml>
