<%@ page language="java" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<%@ page import="com.ibm.db2.cwq.catalog.ListItem" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.WapJSP",
		request.getLocale()
	);

    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

    int limit = 0;
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>
    <head>
	<meta name="COPYRIGHT" content="IBM Corporation (c) 1999-2000, All Rights Reserved"/>
	<meta name="GENERATOR" content="IBM Web Query Tool (c) 1999-2000, All Rights Reserved"/>
	<meta forua="true" http-equiv="Cache-Control" content="no-cache"/>
	<meta forua="true" http-equiv="Cache-Control" content="must-revalidate"/>
    </head>

    <card id="recent">
	<p align="center">
	    <b><%= msgMgr.get( "recent" ) %></b><br/>
	    ---------------
	</p>
	
	<p>
	    <do type="accept" label="<%= msgMgr.get( "next" ) %>">
		<go href="#recentmenu"/>
	    </do>

	    <select name="tempresults">
<%	
	ListItem li = new ListItem();
	String item = new String();
	int pos = 0;

	for( int i=0; i<webquerytool_ui.getTree().size(); i++ )
	{ 
	    li = (ListItem) webquerytool_ui.getTree().elementAt(i);
	    if( li.getPath().indexOf("/Results/Recent/") != -1 )
	    {
		item = li.getPath().substring(16+li.getPath().indexOf("/Results/Recent/"),li.getPath().length());
%>
		<option value="<%= li.getId() %>"><%= item %></option>
<%			
		limit ++;
		if( limit>8 ) 
		{
%>		    
		    <option onpick="#toomuch">More...</option>
<%		    
		    break;
		}
	    }
	}
	
	if( limit == 0 )
	{
%>
	    <option>No recent result available.</option>
<%
	}
%>		
	    </select>	    
	    
	    <do type="options" label="<%= msgMgr.get( "back" ) %>">
		<go href="<%=webquerytool_cfg.getBaseURL(request)%>/ResultsPage"/>
	    </do>
	</p>
    </card>
    
    <card id="recentmenu">
	<p>
	    <a href="<%= webquerytool_cfg.getBaseURL(request) %>/ResultsPage?op=process&amp;cmd=openrecent&amp;objId=$(tempresults)" title="<%= msgMgr.get( "open" ) %>"> <%= msgMgr.get( "open" ) %></a><br/>
<%	
    if (webquerytool_ui.isCatalogExists())
    { 
%>
	    <a href="<%= webquerytool_cfg.getBaseURL(request) %>/ResultsPage?op=process&amp;cmd=save&amp;objId=$(tempresults)" title="<%= msgMgr.get( "save" ) %>"> <%= msgMgr.get( "save" ) %></a><br/>
<%
    }
%>
	    <a href="<%= webquerytool_cfg.getBaseURL(request) %>/ResultsPage?op=process&amp;cmd=deleterecent&amp;objId=$(tempresults)" title="<%= msgMgr.get( "delete" ) %>"> <%= msgMgr.get( "delete" ) %></a><br/>
	    <a href="<%= webquerytool_cfg.getBaseURL(request) %>/Menu">- <%= msgMgr.get( "mainmenu" ) %> -</a>
	    
	    <do type="options" label="<%= msgMgr.get( "back" ) %>">
		<go href="#recent"/>
	    </do>
	</p>
    </card>
    
<%
    if( limit>8  ) {
%>
    <card id="toomuch">
	<p>
	    <do type="accept" label="<%= msgMgr.get( "filter" ) %>">
		<go href="<%=webquerytool_cfg.getBaseURL(request)%>/FilterPage?op=process"/>
	    </do>
	    
	    <%= msgMgr.get( "toomanyresults" ) %>
	    
	    <do type="options" label="<%= msgMgr.get( "back" ) %>">
		<go href="#recent"/>
	    </do>
	</p>
    </card>
<%
    }
%>
</wml>
