<%@ page language="java" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.WapJSP",
		request.getLocale()
	);

    response.setContentType( "text/vnd.wap.wml" );

	//java.text.SimpleDateFormat sd = new java.text.SimpleDateFormat("dd, MMM yyyy hh:mm:ss 'GMT'");

    //response.setHeader("Expires","Mon, 26 Jul 1997 05:00:00 GMT");
    //response.setHeader("Last-Modified", sd.format(new java.util.Date()));
    //response.setHeader("Cache-Control", "no-cache, must-revalidate");
    //response.setHeader("Pragma", "no-cache");

 	Properties rs = null;
 	if( webquerytool_ui.getResultsSets().size() > 0 ) 
 		rs = (Properties) webquerytool_ui.getResultsSets().elementAt(0);
%>


<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

	<head>
		<meta name="COPYRIGHT" 
			content="IBM Corporation (c) 1999-2001, All Rights Reserved"/>
		<meta name="GENERATOR" 
			content="IBM Web Query Tool (c) 1999-2001, All Rights Reserved"/>
	</head>



<card id="selectOutputCard">
	<onevent type="onenterforward">
		<refresh>
			<setvar name="resultname" value="<%= rs.get("name") %>"/>
			<setvar name="resultnum" value="<%= webquerytool_ui.getResultNum() + 1 %>"/>
			<setvar name="format" value="<%= webquerytool_ui.getReportFormat() %>"/>
			<setvar name="email" value="<%= webquerytool_ui.getMail() %>"/>
		</refresh>
	</onevent>

	<p align="center" mode="nowrap">
		<b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

		<i><%= msgMgr.get( "selectoutput" ) %></i>
	</p>

<%	if( rs == null ) { %>
	<do type="accept" label="<%= msgMgr.get( "options" ) %>">
		<go href="<%= webquerytool_cfg.getWebRoot(request) %>/OptionsPage.jsp"/>
	</do>

	<p align="left" mode="nowrap">
		<%= msgMgr.get( "noresultsmsg" ) %>

		<select name="cmd">
			<option title="<%= msgMgr.get( "back" ) %>">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="wapcontrol"/>
					</go>
				</onevent>
				<%= msgMgr.get( "back" ) %>
			</option>

			<option title="<%= msgMgr.get( "options" ) %>" 
				onpick="<%= webquerytool_cfg.getWebRoot(request) %>/OptionsPage.jsp">
				<%= msgMgr.get( "options" ) %>
			</option>
		</select>
	</p>

<%	} else { %>

	<p align="left" mode="nowrap">
	<select name="cmd">
		<option title="<%= msgMgr.get( "pick" ) %>" onpick="#resultsCard">
			<%= msgMgr.get( "result" ) %>: $(resultname)
		</option>

		<option title="<%= msgMgr.get( "pick" ) %>" onpick="#formatCard">
			<%= msgMgr.get( "format" ) %>: $(format)
		</option>

		<option title="<%= msgMgr.get( "set" ) %>" onpick="#emailCard">
			<%= msgMgr.get( "email" ) %>: $(email)
		</option>

		<option title="<%= msgMgr.get( "email" ) %>">
			<onevent type="onpick">
				<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SelectOutput">
					<postfield name="op" value="process"/>
					<postfield name="page" value="selectoutput"/>
					<postfield name="cmd" value="next"/>
					<postfield name="ResultsType" value="$(format)"/>
					<postfield name="Mail" value="$(email)"/>
					<postfield name="todo" value="email"/>
					<postfield name="resultsets" value="$(resultnum)"/>
					<postfield name="interface" value="wap"/>
				</go>
			</onevent>
			<%= msgMgr.get( "send" ) %>
		</option>

		<option title="<%= msgMgr.get( "options" ) %>" 
				onpick="<%= webquerytool_cfg.getWebRoot(request) %>/OptionsPage.jsp">
			<%= msgMgr.get( "options" ) %>
		</option>
	</select>
<%	} %>

	</p>
</card>
    



<%	if( rs != null ) { %>

<card id="resultsCard">
	<p align="center" mode="nowrap">
		<b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

		<i><%= msgMgr.get( "results" ) %></i>
	</p>

	<p align="left" mode="nowrap">
		<select name="resultname" iname="resultnum">
<%	for( int i=0; i<webquerytool_ui.getResultsSets().size(); i++ ) { %>
			<option value="<%= ((Properties) webquerytool_ui.getResultsSets().elementAt(i)).get("name") %>">
				<%= ((Properties) webquerytool_ui.getResultsSets().elementAt(i)).get("name") %>
			</option>
<%	} %>
		</select>
	</p>
</card>




<card id="formatCard">
	<p align="center" mode="nowrap">
		<b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

		<i><%= msgMgr.get( "selectformat" ) %></i>
	</p>

	<p align="left" mode="nowrap">
		<select name="format">
			<option value="xml"><%= msgMgr.get( "xml" ) %></option>
			<option value="html"><%= msgMgr.get( "html" ) %></option>
			<option value="text"><%= msgMgr.get( "text" ) %></option>
			<option value="delimited"><%= msgMgr.get( "delimited" ) %></option>
		</select>
	</p>
</card>

<%	} %>


<card id="emailCard">
	<p align="center" mode="nowrap">
		<b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

		<i><%= msgMgr.get( "emailaddress" ) %></i>
	</p>

	<p align="left" mode="nowrap">
		<input type="text" name="email" value="$(email)"/>
	</p>
</card>

</wml>
