<%@ page language="java" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="com.ibm.db2.cwq.util.WML" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean 
	id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" 
	scope="session"/>

<jsp:useBean id="webquerytool_qstatus" class="java.lang.String" scope="session" />
<jsp:useBean id="webquerytool_qtotalrow" class="java.lang.String" scope="session" />
<jsp:useBean id="webquerytool_qrpp" class="java.lang.String" scope="session" />
<jsp:useBean id="webquerytool_qlog" class="java.util.Vector" scope="session" />

<%@ page import="com.ibm.db2.cwq.util.*, java.lang.*"  %>

<% 
	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.WapJSP",
		request.getLocale()
	);

    response.setContentType( "text/vnd.wap.wml" );

	SimpleDateFormat sd = new SimpleDateFormat("dd, MMM yyyy hh:mm:ss 'GMT'");

    response.setHeader("Expires","Mon, 26 Jul 1997 05:00:00 GMT");
    response.setHeader("Last-Modified", sd.format(new java.util.Date()));
    response.setHeader("Cache-Control", "no-cache, must-revalidate");
    response.setHeader("Pragma", "no-cache");

	// get the current result set
	Properties rs = null;
	if( webquerytool_ui.getResultNum() != -1 )
	{
		rs = (Properties) webquerytool_ui.getResultsSets().elementAt(
			webquerytool_ui.getResultNum()
		);
	}

	String status = "";
	int row = 0;
	String rows = "0";
	int resultCount = 0;
	String resultName = "";
	int resultNum = 0;
	boolean isRunning = false;

	if( webquerytool_qstatus.equals("1") ) 
	{ 
		isRunning = true;
		if( rs == null ) 
			status = "Initializing"; 
		else 
		{
			row = ((Integer)rs.get("rows")).intValue();
			rows = webquerytool_qtotalrow;
			resultCount = webquerytool_ui.getResultsSets().size();
			resultName = (String) rs.get("name");
			resultNum = webquerytool_ui.getResultNum();
			status = "Running";
		}
	}
	else
	{
		if( rs == null ) 
			status = "No Result Sets";
		else
		{
			row = ((Integer)rs.get("rows")).intValue();
			rows = webquerytool_qtotalrow;
			resultCount = webquerytool_ui.getResultsSets().size();
			resultName = (String) rs.get("name");
			resultNum = webquerytool_ui.getResultNum();
			status = "Finished";
		}
	}
%>


<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

<head>
	<meta name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2001, All Rights Reserved"/>
	<meta name="GENERATOR" 
		content="IBM Web Query (c) 1999-2001, All Rights Reserved"/>
	<meta forua="true" http-equiv="Cache-Control" content="max-age=-1"/>
</head>

<card id="sqlStatusCard">
	<onevent type="onenterforward">
		<refresh>
			<setvar name="resultname" value="<%= resultName %>"/>
			<setvar name="resultnum" value="<%= resultNum %>"/>
		</refresh>
	</onevent>

	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

	    <i><%= msgMgr.get( "querystatus" ) %></i>
	</p>

	<p align="left" mode="wrap">
<%= status %>:  
<%= resultCount %> <%= msgMgr.get( "results" ) %>. 
<%= row %> <%= msgMgr.get( "rows" ) %> (<%= rows %> <%= msgMgr.get( "total" ) %>)
	<br/>
	---------------
	</p>

	<p align="left" mode="nowrap">
		<select name="cmd">
			<option title="<%= msgMgr.get( "refresh" ) %>">
				<onevent type="onpick">
					<go method="post" 
						href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="wapcontrol"/>
					</go>
				</onevent>
				<%= msgMgr.get( "refresh" ) %>
			</option>

<%	if( rs != null ) { %>
			<option title="<%= msgMgr.get( "select" ) %>" onpick="#resultsCard">
				<%= msgMgr.get( "result" ) %>: $(resultname)
			</option>
<%	} %>

			<option title="<%= msgMgr.get( "display" ) %>">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="wapdisplay"/>
						<postfield name="qresult" value="$(resultnum)"/>
					</go>
				</onevent>
				<%= msgMgr.get( "display" ) %>
			</option>

<%	if( isRunning ) { %>
			<option title="<%= msgMgr.get( "cancel" ) %>">
				<onevent type="onpick">
					<go method="post" 
						href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="cancel"/>
					</go>
				</onevent>
				<%= msgMgr.get( "cancel" ) %>
			</option>
<%	} else { %>
			<option title="<%= msgMgr.get( "output" ) %>">
				<onevent type="onpick">
					<go method="post" 
						href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="next"/>
						<postfield name="qresult" value="$(resultnum)"/>
					</go>
				</onevent>
				<%= msgMgr.get( "convert" ) %>
			</option>

			<option title="<%= msgMgr.get( "view" ) %>" onpick="#logCard">
				<%= msgMgr.get( "log" ) %>
			</option>
<%	} %>

<%	if( webquerytool_user.getMsg().size() > 0 ) { %>
			<option title="<%= msgMgr.get( "messages" ) %>"
				onpick="<%=webquerytool_cfg.getWebRoot(request)%>/msg.jsp">
				<%= msgMgr.get( "messages" ) %>
			</option>
<%	} %>

			<option title="<%= msgMgr.get( "options" ) %>">
				<onevent type="onpick">
					<go href="<%=webquerytool_cfg.getWebRoot(request)%>/OptionsPage.jsp"/>
				</onevent>
				<%= msgMgr.get( "options" ) %>
			</option>
		</select>
	</p>
</card>


<% 	if( rs != null ) { %>

<card id="resultsCard">
	<do type="accept" label="<%= msgMgr.get( "next" ) %>">
		<go href="#type"/>
	</do>

	<p align="center" mode="nowrap">
		<b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

		<i><%= msgMgr.get( "selectresult" ) %></i>
	</p>

	<p align="left" mode="nowrap">
		<select name="resultname" iname="resultnum">
<%		for( int i=0; i<webquerytool_ui.getResultsSets().size(); i++ ) { %>
			<option value="<%= ((Properties) webquerytool_ui.getResultsSets().elementAt(i)).get("name") %>">
				<%= ((Properties) webquerytool_ui.getResultsSets().elementAt(i)).get("name") %>
			</option>
<%		} %>
		</select>
	</p>
</card>

<%	} %>


<card id="logCard">
	<p align="center" mode="nowrap">
		<b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

		<i><%= msgMgr.get( "querylog" ) %></i>
	</p>

	<p align="left" mode="nowrap">
<%		for( int i=0; i<webquerytool_qlog.size(); i++ )
		{
			Properties rl = (Properties) webquerytool_qlog.elementAt(i);
			Enumeration e = rl.keys();
			while( e.hasMoreElements() )
			{
				String k = (String) e.nextElement(); %>
[<%= WML.fixError(k) %>]
<%= WML.fixError( (String) rl.get(k) ) %> <br/>
<%			} %>
<%		} %> 

	</p>
</card>

</wml>
