<%@ page language="java" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="com.ibm.db2.cwq.nls.msgs." %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.WapJSP",
		request.getLocale()
	);

    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	// get the current result set
	Properties rs = null;
	if( webquerytool_ui.getResultNum() != -1 )
	{
		rs = (Properties) webquerytool_ui.getResultsSets().elementAt(
			webquerytool_ui.getResultNum()
		);
	}
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

<head>
	<meta name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2001, All Rights Reserved"/>
	<meta name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2001, All Rights Reserved"/>

	<meta forua="true" 
		http-equiv="Cache-Control" content="no-cache"/>
	<meta forua="true" 
		http-equiv="Cache-Control" content="must-revalidate"/>
</head>

<card id="wapNavCard">
	<onevent type="onenterforward">
		<refresh>
			<setvar name="wapdatarow" value="<%= webquerytool_ui.getWapDataRow()+1 %>"/>
		</refresh>
	</onevent>
    
	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b><br/>

	    <i><%= msgMgr.get( "datanav" ) %></i>
	</p>
		
	<p align="left" mode="nowrap">
	    <select name="cmd">
		    <option title="<%= msgMgr.get( "next" ) %>">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="wapdisplay"/>
						<postfield name="waprow" value="n"/>
					</go>
				</onevent>
		    	<%= msgMgr.get( "next" ) %>
		    </option>

		    <option title="<%= msgMgr.get( "prev" ) %>">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="wapdisplay"/>
						<postfield name="waprow" value="p"/>
					</go>
				</onevent>
		    	<%= msgMgr.get( "prev" ) %>
		    </option>

			<option title="<%= msgMgr.get( "first" ) %>">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="wapdisplay"/>
						<postfield name="waprow" value="f"/>
					</go>
				</onevent>
				<%= msgMgr.get( "first" ) %>
			</option>

			<option title="<%= msgMgr.get( "last" ) %>">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="wapdisplay"/>
						<postfield name="waprow" value="l"/>
					</go>
				</onevent>
				<%= msgMgr.get( "last" ) %> ( <%= rs.get("rows") %> )
			</option>

			<option title="<%= msgMgr.get( "db2webquery" ) %>db2webquery=Jump" onpick="#rowNumberCard">
				<%= msgMgr.get( "row" ) %>
			</option>

			<option title="<%= msgMgr.get( "back" ) %>">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="wapcontrol"/>
					</go>
				</onevent>
				<%= msgMgr.get( "query" ) %>
			</option>

			<option title="<%= msgMgr.get( "options" ) %>">
				<onevent type="onpick">
					<go href="<%= webquerytool_cfg.getWebRoot(request) %>/OptionsPage.jsp"/>
				</onevent>
				<%= msgMgr.get( "options" ) %>
	    	</option>
	    </select>
	</p>
</card>
	




<card id="rowNumberCard">
	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b><br/>

	    <i><%= msgMgr.get( "enterdatarow" ) %></i> <br/>
	</p>

	<p align="left" mode="nowrap">
	    <do type="accept" label="<%= msgMgr.get( "jump" ) %>">
			<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
				<postfield name="op" value="process"/>
				<postfield name="page" value="sqlstatus"/>
				<postfield name="cmd" value="wapdisplay"/>
				<postfield name="waprow" value="$(wapdatarow)"/>
			</go>
	    </do>
		
	    <b><%= msgMgr.get( "rownumber" ) %>: </b>

	    <input type="text" format="*n"
	    	name="wapdatarow" value="$(wapdatarow)"/>
	</p>
</card>



</wml>
