#!/bin/sh

# // =========================================================
# // IBM DB2 Web Query Stop
# // Version 1.3x
# //
# // Licensed Materials-Property of IBM.
# //
# // 5724-B34 DB2 Web Query for MultiPlatform (Unix)
# //
# // (C) Copyright IBM Corp. 1999, 2001
# // (C) Copyright Rocket Software, Inc. 1999, 2001
# //
# // US Government Users Restricted Rights-
# // Use, duplication or disclosure restricted
# // by GSA ADP schedule Contract with IBM Corp.
# //
# // DESCRIPTION:
# //      Script file used to stop Web Query
# //
# // CONFIGURATION:
# //      Edit the first section of this script and set
# //      each of the parameters.
# // =========================================================

echo =========================================================
echo IBM DB2 Web Query Stop

echo Reading settings ...
. ./wqenvset.sh

# =========================================================
# Start WAS
# =========================================================

echo Stopping DB2 Web Query
cd $wqt_wasRoot/bin

./XMLConfig.sh -adminNodeName $wqt_nodeName -import $wqt_installRoot/conf/multiplatform/unix/was4x/was40_util.xml -substitute "nodeName=$wqt_nodeName;cmd=stop"

cd $wqt_installRoot/conf/multiplatform/unix/was4x


# =========================================================
# Clear settings
# =========================================================

echo Clearing settings ...

. ./wqenvclear.sh

echo End
