@echo off

REM // =========================================================
REM // IBM DB2 Web Query Install
REM // Version 1.3x
REM // 
REM // Licensed Materials-Property of IBM.
REM //
REM // 5724-B34 DB2 Web Query for MultiPlatform (NT/2000)
REM //
REM // (C) Copyright IBM Corp. 1999, 2001
REM // (C) Copyright Rocket Software, Inc. 1999, 2001
REM //
REM // US Government Users Restricted Rights-
REM // Use, duplication or disclosure restricted
REM // by GSA ADP schedule Contract with IBM Corp.
REM //
REM // DESCRIPTION:
REM //      Script file used to configure Web Query.
REM //
REM // CONFIGURATION:
REM //      Read the documentation to become familar with the
REM //      parameters used to Configure Web Query.
REM //      
REM //      Edit this file to set each of the parameters.
REM // =========================================================

REM // =========================================================
REM // wqt_wasRoot
REM // This is the directory where WebSphere Application server
REM // has been installed.
REM // =========================================================
SET wqt_wasRoot=c:\WebSphere\AppServer

REM // =========================================================
REM // wqt_installRoot
REM // This is the directory where Web Query is installed.
REM // =========================================================
SET wqt_installRoot=C:\ibm\CWQ

REM // =========================================================
REM // wqt_nodeName
REM // The name of the WebSphere node to configure. 
REM // (Case sensitive)
REM // =========================================================
SET wqt_nodeName=WASNODENAME

REM // =========================================================
REM // wqt_rootURI
REM // This is the prefix of the URL to use to access DB2 Web
REM // Query.
REM // =========================================================
SET wqt_rootURI=/DB2Tools
