<!-- 
   Simple error page for reporting application errors.
   This error page is called when a servlet throws an Exception, or by calling
   response.sendError().  Error pages can use the request-scoped bean named
   "ErrorReport" to get more information about the error.
--->

<jsp:useBean id="ErrorReport" scope="request" class="com.ibm.websphere.servlet.error.ServletErrorReport"/>

<html>
<head>
	<title>Error <%=ErrorReport.getErrorCode()%></title>
</head>

<body>
<font face=sans-serif>

<font size=+1>
Error <%= ErrorReport.getErrorCode() %>:
</font>

<% 	if( ErrorReport.getErrorCode() >= 500 
		&& ErrorReport.getErrorCode() != response.SC_SERVICE_UNAVAILABLE )
	{ 
%>
	<b>DB2 Web Query - Error Report</b>
	<br>
	
	<font size=-1>
	<%= HttpUtils.getRequestURL(request) %> <br>
		
	<B>Message=</B><%= ErrorReport.getMessage() %> <br>

	<B>StackTrace: </B> <br>
</font>

<font size=-2>
<%= ErrorReport.getStackTrace() %> 
</font>

<%	} else if( ErrorReport.getErrorCode() == response.SC_NOT_FOUND ) { %>
	Document Not Found
	<br>
	<font size=-1>
	<%= HttpUtils.getRequestURL(request) %> <br>
	</font>
<%	} %>
</font>

</html>
