<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspAboutPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.AboutPageJSP",
		request.getLocale()
	);

	MsgMgr comMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.Message",
		request.getLocale()
	);

	UserConnection uc = null;

    JspAboutPage jspInfo = new JspAboutPage();
    jspInfo.setLoc( request.getLocale() );


	// calculate click times for info page
	long lc = 0;
	int cnt = 0;
	if( request.getParameter("lc") != null )
	{
		lc = new Long( request.getParameter("lc") ).longValue();
		cnt = new Integer( request.getParameter("cnt") ).intValue();
	}
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<title> <%= msgMgr.get( "title" ) %> </title>

	<META name="COPYRIGHT"
		content="IBM Corporation &#169; 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query &#169; 1999-2002, All Rights Reserved">
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#000000" alink="#000000" vlink="#000000"
	onMouseOver="hidePopupMenus();">

<TABLE border=0 align=center width=100% cellpadding=5 cellspacing=0>
<TR valign=bottom bgcolor="#003366">
	<TD align=right>
		<FONT size=+1 face=sans-serif color="#FFFFFF">

		<A href="<%=webquerytool_cfg.getAppRoot()%>/Info?cnt=<%= cnt %>&lc=<%= lc %>"><IMG
			alt="<%= msgMgr.get( "ibmLogoAltTag" ) %>"
			src="ibmlogow.gif" hspace=0 vspace=0 border=0></A>
		&nbsp;
		&nbsp;
		</FONT>
	</TD>
</TR>

<TR valign=bottom bgcolor="#336699">
	<TD align=left>
		<FONT size=+1 face=sans-serif color="#FFFFFF">
		&nbsp;
		&nbsp;
		<%= msgMgr.get( "productTitle" ) %>
		</FONT>
	</TD>
</TR>

<TR valign=bottom bgcolor="#FFFFFF">
	<TD align=left>
		<FONT size=+1 face=sans-serif color="#FFFFFF">
		&nbsp;
		</FONT>
	</TD>
</TR>
</TABLE>

<TABLE width=80% align=center><TR><TD>

	<TABLE cellspacing=0 cellpadding=4>
	<TR valign=top>
		<TD align=center>
			<IMG src="db2nd.gif" hspace=0 vspace=0 border=0>
		</TD>

		<TD valign=top>
			<TABLE width=100% align=left cellspacing=1 cellpadding=4 border=0>
			<TR bgcolor="#003366">
				<TD align=left>
					<font color="#FFFFFF" face=sans-serif size="-1">
					<B>
					<%= msgMgr.get( "connectionType" ) %>
					</B>
					</font>
				</TD>
				<TD align=left>
					<FONT color="#FFFFFF" face=sans-serif size="-1">
					<B>
					<%= msgMgr.get( "connectionName" ) %>
					</B>
					</FONT>
				</TD>
				<TD align=left>
					<font color="#FFFFFF" face=sans-serif size="-1">
					<B>
					<%= msgMgr.get( "connectionUser" ) %>
					</B>
					</font>
				</TD>
				<TD align=left>
					<font color="#FFFFFF" face=sans-serif size="-1">
					<B>
					<%= msgMgr.get( "connectionSqlid" ) %>
					</B>
					</font>
				</TD>
			</TR>

		<%	Enumeration e = webquerytool_user.getConPool().keys();
			while( e.hasMoreElements() )
			{
				uc = webquerytool_user.getConnection(
					(String) e.nextElement()
				);
				String t = uc.getProduct() +" " +uc.getProductVer();
				if( t.length() > 25 )
					t = t.substring( 0, 20 ) +"...";
		%>
			<TR valign=top <%= uc.getName().toUpperCase().equals(webquerytool_user.getCurrentCon())?"bgcolor=#C0C0C0":"" %> >
				<TD align=left>
					<font face=sans-serif size="-2">
					<%= t %>
					</font>
				</TD>
				<TD align=left>
					<font face=sans-serif size="-2">
					<nobr>
					<%= uc.getDbType().get("name") %>:<%= uc.getDbName() %>
					</nobr>
					</font>
				</TD>
				<TD align=left>
					<font face=sans-serif size="-2">
					<%= uc.getId() %>
					</font>
				</TD>
				<TD align=left>
					<font face=sans-serif size="-2">
					<%= uc.getSqlId() %>
					</font>
				</TD>
			</TR>
		<%	} %>
		</TABLE>
		</TD>
	</TR>

	<TR valign=top>
		<TD>
			<font size="-2" face="sans-serif">

	<%	Enumeration en = webquerytool_cfg.getLicenses().keys();
		String key = null;
		Properties aLic = null;

		while( en.hasMoreElements() )
		{
			key = (String) en.nextElement();
			aLic = (Properties) webquerytool_cfg.getLicenses().get( key );
	%>
(<%= aLic.get("ProductID") %>) <%= aLic.get("ProductName") %>
<%		if( aLic.get("ProductAnnotation") != null ) { %>
<%= aLic.get("ProductAnnotation") %>
	<%	} %>
<br><br>
<%	} %>

			<%= comMsgMgr.get( "CWQ9807I" ) %>:
			 <b><%= webquerytool_cfg.getMajorVersion() %> </b>
			<%= comMsgMgr.get( "CWQ9808I" ) %> 
			 <b><%= webquerytool_cfg.getFixpak() %> </b> <br>
			</font>
		</TD>

		<TD>
			<font face=sans-serif size="-2">

			<%= comMsgMgr.get( "CWQ9801I" ) %>
			<%= comMsgMgr.get( "CWQ9802I" ) %>

			<br>
			<br>
			<%= comMsgMgr.get( "CWQ9803I" ) %>
			<%= comMsgMgr.get( "CWQ9804I" ) %>

			</font>
		</TD>
	</TR>
	</TABLE>

</TD></TR></TABLE>

</body>

</html>