<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspEditTablePage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	boolean debug = false;

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.EditTablePageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspEditTablePage jspInfo = new JspEditTablePage();
	jspInfo.setNewTable( webquerytool_ui.isTableIsNew() );
	jspInfo.setHasResults( webquerytool_ui.getResultsSets().size() > 0 );
	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title> <%= jspInfo.getTitle() %> </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

<SCRIPT language="JavaScript" src="webquery.js">
</SCRIPT>

<SCRIPT language="JavaScript">
<!--
	function deleteColumn()
	{
		colselected = false;
		var frm = document.forms[0];

		if( frm.colcount.value == 1 )
		{
			if( frm.column.checked )
				colselected = true;
		}
		else
		{
			for( i=0; i<frm.colcount.value; i++ )
			{
				if( frm.column[i].checked )
					colselected = true;
			}
		}

		if( colselected )
		{
			if( confirm( "<%= msgMgr.get( "deleteColumn" ) %>" ) )
				go('del');
		}
		else
		{
			alert( "<%= msgMgr.get( "selectToRemove" ) %>");
		}		
	}

	function moveColumn( moveUp )
	{
		colselected = false;
		for( i=0; i<document.forms[0].colcount.value; i++ )
		{
			if( document.forms[0].column[i].checked )
				colselected = true;
		}

		if( colselected )
		{
			if( moveUp )
				go('up');
			else
				go('down');
		}
		else
			alert( "<%= msgMgr.get( "selectToMove" ) %>");
	}

	function viewSampleData()
	{
		var sd = window.open( "sampleData.jsp", "sampleData",
			"resizable,scrollbars,"+
				"width=550,height=300,"+
				"screenY="+(window.screenY+50)+","+
				"screenX="+(window.screenX+50)
		);

		sd.focus();
	}
//-->
</SCRIPT>

</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/EditTable">

<input type=hidden name=op value=process>
<input type="hidden" name="cmd" value="">
<input type="hidden" name="page" value="edittable">

<% try { %>
<%@ include file="pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

<%	// =======================================================
	// Options
	// ======================================================= %>
<table align=center border=0 cellspacing=1 cellpadding=2 width=100%>
<tr bgcolor="#6699CC" valign=top>
	<TD>
		<font color="#FFFFFF" face=sans-serif size=-1>
<%	if( webquerytool_ui.isTableIsNew() ) { %>
		<b><%= msgMgr.get( "creator" ) %>:</b>
<%	} else { %>
		<b><%= msgMgr.get( "name" ) %>:</b>
<%	} %>
		</font>
	</TD>

	<TD>
		<font color="#FFFFFF" face=sans-serif size=-1>
<%	if( webquerytool_ui.getResultsSets().size() > 0 ) { %>
		<b><%= msgMgr.get( "commitScope" ) %>:</b>
<%	} else { %>
		&nbsp;
<%	} %>
		</font>
	</TD>

	<TD>
		<font color="#FFFFFF" face=sans-serif size=-1>
<%	if( webquerytool_ui.getResultsSets().size() > 0
		&& !webquerytool_ui.isTableIsNew() ) { %>
		<b><%= msgMgr.get( "action" ) %>:</b>
<%	} else { %>
		&nbsp;
<%	} %>
		</font>
	</TD>
</tr>

<tr bgcolor="#C0C0C0" valign=top>
	<TD>
		<font face=sans-serif size=-1>
<%	if( webquerytool_ui.isTableIsNew() ) { %>
		<INPUT type=text name=tablecreator value="<%= webquerytool_ui.getTableCreator() %>">
<%	} else { %>
		<%= webquerytool_ui.getTableCreator() %>.<%= webquerytool_ui.getTableName() %>
<%	} %>
		</font>
	</TD>

	<TD>
		<font face=sans-serif size=-1>
<%	if( webquerytool_ui.getResultsSets().size() > 0 ) { %>
		<INPUT type=text size=5 name=commitrange
			value="<%= webquerytool_ui.getCommitRange() %>">
<%	} else { %>
		&nbsp;
<%	} %>
		</font>
	</td>

	<td>
		<font face=sans-serif size=-1>
<%	if( webquerytool_ui.getResultsSets().size() > 0
		&& !webquerytool_ui.isTableIsNew() ) { %>
		<INPUT type=radio name=importaction
			style="background : #C0C0C0; color : black"
			value="<%= webquerytool_ui.IMPORT_ACTION_APPEND %>" <%= webquerytool_ui.getImportAction()==webquerytool_ui.IMPORT_ACTION_APPEND?"checked":"" %>>
			<%= msgMgr.get( "importAppend" ) %>
		<br>
		<INPUT type=radio name=importaction
			style="background : #C0C0C0; color : black"
			value="<%= webquerytool_ui.IMPORT_ACTION_REPLACE %>" <%= webquerytool_ui.getImportAction()==webquerytool_ui.IMPORT_ACTION_REPLACE?"checked":"" %>>
			<%= msgMgr.get( "importReplace" ) %>
		<br>
		<INPUT type=radio name=importaction
			style="background : #C0C0C0; color : black"
			value="<%= webquerytool_ui.IMPORT_ACTION_UPDATE %>" <%= webquerytool_ui.getImportAction()==webquerytool_ui.IMPORT_ACTION_UPDATE?"checked":"" %>>
			<%= msgMgr.get( "importUpdate" ) %>
<%	} else { %>
		&nbsp;
<%	} %>
		</font>
	</td>
</tr>

<%	if( webquerytool_ui.isTableIsNew() ) { %>
<TR bgcolor="#6699CC" valign=top>
	<TD>
		<font color="#FFFFFF" face=sans-serif size=-1>
		<b><%= msgMgr.get( "name" ) %>:</b>
		</font>
	</td>

	<TD colspan=2>
		<font color="#FFFFFF" face=sans-serif size=-1>
		<b><%= msgMgr.get( "createTableIn" ) %>:</b>
		</font>
	</TD>
</TR>

<TR bgcolor="#C0C0C0" valign=top>
	<TD>
		<font face=sans-serif size=-1>
		<INPUT type=text name=tablename
			value="<%= webquerytool_ui.getTableName() %>">
		</font>
	</td>

	<TD colspan=2>
		<font face=sans-serif size=-1>
		<INPUT type=text name=inclause
			value="<%= webquerytool_ui.getTableInClause() %>">
		</font>
	</TD>
</TR>

<TR bgcolor="#6699CC" valign=top>
	<TD colspan=3>
		<font color="#FFFFFF" face=sans-serif size=-1>
		<b><%= msgMgr.get( "comment" ) %>:</b>
		</font>
	</TD>
</TR>

<TR bgcolor="#C0C0C0" valign=top>
	<TD colspan=3>
		<font face=sans-serif size=-1>
		<INPUT type=text name=comment value="<%= webquerytool_ui.getTableComment() %>" size=60>
		</font>
	</TD>
</TR>
<%	} %>

<%	if( webquerytool_ui.getResultsSets().size() > 0 )
	{ %>
<TR bgcolor="#6699CC" valign=top>
	<TD>
		<font color="#FFFFFF" face=sans-serif size=-1>
		<b><%= msgMgr.get( "options" ) %>:</b>
		</font>
	</TD>

	<TD colspan=2>
		<font color="#FFFFFF" face=sans-serif size=-1>
		<b><%= msgMgr.get( "onError" ) %>:</b>
		</font>
	</TD>
</TR>

<TR bgcolor="#C0C0C0" valign=top>
	<TD>
		<font face=sans-serif size=-1>
<%	if( webquerytool_ui.isTableIsNew() )
	{
		if( !uc.getProduct().equals("DB2 UDB for AS/400")
			&& !uc.getProduct().equals("DB2/400")
			&& !uc.getProduct().equals("AS") )
		{
%>
		<INPUT type=checkbox name=datacapture>
		<%= msgMgr.get( "dataCapture" ) %>
<%		}
	} else { %>
		<INPUT type=checkbox name=assumetime
			<%= webquerytool_ui.isAssumeTime()?"checked":"" %>
		> <%= msgMgr.get( "assumeDateTime" ) %>
<%	} %>
		</font>
	</TD>

	<TD colspan=2>
		<font face=sans-serif size=-1>
		<INPUT type=radio name=stoponerror value=skip
			<%= !webquerytool_ui.isStopOnError()?"checked":"" %>
		> <%= msgMgr.get( "skip" ) %>
		<br>
		<INPUT type=radio name=stoponerror value=stop
			<%= webquerytool_ui.isStopOnError()?"checked":"" %>
		> <%= msgMgr.get( "stop" ) %>

		</font>
	</TD>
</TR>
<% 	} %>
</table>


<br>


<%	// ==============================================
	// TABLE definition
	// Header
	// ============================================== %>

<INPUT type=hidden name="colcount"
	value="<%= webquerytool_ui.getTableColDef().size() %>">

<table align=center border=0 cellspacing=1 cellpadding=1 width=100%>
<tr bgcolor="#99CCFF">
	<td colspan=<%= webquerytool_ui.isTableIsNew()?"8":"7" %> align=left>
		<font size=-3 face=arial,sans-serif color=#FFFFFF>
<%	if( webquerytool_ui.isTableIsNew() ) { %>
		<a href="javascript:go('add');"><img src="add.gif" alt="<%= msgMgr.get( "addColumn" ) %>" border=0 hspace=0 vspace=0></a>

		<a href="javascript:deleteColumn();"><img src="remove.gif" alt="<%= msgMgr.get( "removeColumn" ) %>" border=0 hspace=0 vspace=0></a>

		<a href="javascript:moveColumn(true);"><img src="move_up.gif" alt="<%= msgMgr.get( "moveUp" ) %>" border=0 hspace=0 vspace=0></a>

		<a href="javascript:moveColumn(false);"><img src="move_down.gif" alt="<%= msgMgr.get( "moveDown" ) %>" border=0 hspace=0 vspace=0></a>
<%	} else { %>
			&nbsp;
<%	} %>
		</font>
	</td>
</tr>


<%
	// ---------------------------------------------
	// table defination
%>

<tr bgcolor="#6699CC">
<%	if( webquerytool_ui.isTableIsNew() )
	{ %>
	<td align=left>
		<font color="#FFFFFF" face=sans-serif size=-1><b>
		<%= msgMgr.get( "colSelect" ) %>
		</b></font>
	</td>

	<td align=left>
		<font color="#FFFFFF" face=sans-serif size=-1><b>
		<%= msgMgr.get( "colKey" ) %>
		</b></font>
	</td>
<%	} %>

	<td align=left>
		<font color="#FFFFFF" face=sans-serif size=-1><b>
		<%= msgMgr.get( "colName" ) %>
		</b></font>
	</td>

	<td align=left>
		<font color="#FFFFFF" face=sans-serif size=-1><b>
		<%= msgMgr.get( "colType" ) %>
		</b></font>
	</td>

	<td align=left>
		<font color="#FFFFFF" face=sans-serif size=-1><b>
		<%= msgMgr.get( "colLengthPrecision" ) %>
		</b></font>
	</td>

	<td align=left>
		<font color="#FFFFFF" face=sans-serif size=-1><b>
		<%= msgMgr.get( "colBitData" ) %>
		</b></font>
	</td>

	<td align=left>
		<font color="#FFFFFF" face=sans-serif size=-1><b>
		<%= msgMgr.get( "colNullable" ) %>
		</b></font>
	</td>

<%	if( webquerytool_ui.getResultsSets().size() > 0 )
	{ %>
	<td align=left>
		<font color="#FFFFFF" face=sans-serif size=-1><b>
		<%= msgMgr.get( "colFrom" ) %>
		</b></font>
	</td>
<%	} %>
</tr>


<%	// ==============================================
	// Columns
	// ============================================== %>

<%	Properties p = new Properties();
	Properties dt = new Properties();

	String sel = new String();
	String val = new String();

	for( int i=0; i<webquerytool_ui.getTableColDef().size(); i++ )
	{
		p = (Properties) webquerytool_ui.getTableColDef().elementAt(i);
		dt = (Properties) uc.getDataType().get((String)p.get("type"));
%>

<tr align=center bgcolor="#C0C0C0">
<%		 	// ==============================================
			// Select
			// ==============================================
			if( webquerytool_ui.isTableIsNew() )
			{ %>
	<td align=center>
		<font face=sans-serif size=-1>
		<INPUT
			style="background:#C0C0C0; color:black"
			accessKey="<%= i+1 %>"
			type=radio name="column" value="<%= i %>">
		</font>
	</td>


<%		 	// ==============================================
			// Primary Key
			// ==============================================
			sel = "";
			if( p.get("primarykey") != null
				&& ((String)p.get("primarykey")).equals("YES") )
				sel = "CHECKED";
%>
	<td align=center>
		<font face=sans-serif size=-1>
		<INPUT type=checkbox
			name="primarykey<%= p.get("order")%>" <%= sel %>
			onClick="document.forms[0].nullable<%= p.get("order") %>.checked = false;">
		</font>
	</td>
<% 			}  %>


<%		 	// ==============================================
			// Column Name
			// ==============================================
%>
	<td align=center>
		<font face=sans-serif size=-1>
<%			if( webquerytool_ui.isTableIsNew() )
			{ %>
			<INPUT type=text size=18 name="name<%= p.get("order")%>"
				value="<%= p.get("name") %>">
<% 			} else { %>
				<%= p.get("name") %>
<%			} %>
		</font>
	</td>


<%		 	// ==============================================
			// Data Type
			// ==============================================
			Vector dtlist = uc.getDataTypeList();
%>
	<td align=center>
		<font face=sans-serif size=-1>
<%	if( debug ) { %>
	<%= p.get("type") %>
<%	} %>
<%			if( webquerytool_ui.isTableIsNew() )
			{
				String dtk = null;
				String curval = (String) p.get("type");
				int dti = 0;
				boolean found = false;
%>
			<SELECT size=1 name="type<%= p.get("order")%>" onChange="document.forms[0].submit()">
<%				for( dti=0; dti<dtlist.size(); dti++ )
				{
					val = (String) dtlist.elementAt(dti);
					if( !found &&
						( val.equals(curval) || val.startsWith(curval) ) )
					{
						found = true;
						sel = " selected";
					}
					else
						sel = "";
%>
				<OPTION value="<%= val %>" <%= sel %>> <%= val %> </OPTION>
<% 				} %>
			</SELECT>
<% 			} else { %>
			<%= p.get("type") %>
<%			} %>
<%	if( debug ) { %>
	<br> <%= dt %>
<%	} %>
		</font>
	</td>


<%	 		// ==============================================
			// Length, Precision
			// ==============================================
%>
	<td align=center>
		<font face=sans-serif size=-1>
<%	if( debug ) { %>
ds=<%= p.get("displaysize") %> p=<%= p.get("precision") %> s=<%= p.get("scale") %>
<%	} %>
<%	 		String lp = new String();
			if( dt == null || dt.get("CREATE_PARAMS") == null )
			{
%>
				&nbsp;
<%			}
			else
			{
				String dtcp = (String) dt.get("CREATE_PARAMS");
				if( dtcp.indexOf(",") == -1 )
				{
					// just precision no scale
					lp = ((Integer)p.get("precision")).toString();

					if( lp.equals("0") && ((Integer)p.get("displaysize")).intValue() > 0 )
						lp = ((Integer)p.get("displaysize")).toString();
				}
				else
				{
					// precision and scale
					if( p.get("precision") != null )
						lp = ((Integer)p.get("precision")).toString();
					else
						lp = "10";

					lp += ",";

					if( p.get("scale") != null )
						lp += ((Integer)p.get("scale")).toString();
					else
						lp += "2";
				}

				if( webquerytool_ui.isTableIsNew() )
				{
%>
			<INPUT type=text size=5
				name="precision<%= p.get("order")%>" value="<%= lp %>">
<% 				} else { %>
			<%= lp %>
<%				} %>
<%			} %>
		</font>
	</td>


<%			// ==============================================
			// FOR BIT DATA
			// ============================================== %>
	<td align=center>
		<font face=sans-serif size=-1>
<%			String forbitdata = new String();
			if( webquerytool_ui.isTableIsNew() )
			{
				if( dt != null && dt.get("FOR_BIT_DATA") != null )
				//if( ((Properties)(uc.getDataType().get( (String) p.get("type") ))).get("FOR_BIT_DATA") != null )
				{
					sel = "";
					if( p.get("FOR_BIT_DATA") != null )
						sel = "CHECKED";
%>
			<INPUT type=checkbox
				name="forbitdata<%= p.get("order")%>" <%= sel %> >
<% 				}
				else
				{ %>
				&nbsp;
<% 				}	%>
<% 			}
			else
			{
				if( p.get("FOR_BIT_DATA") != null )
					forbitdata = "Y";
				else
					forbitdata = "N";
%>
		<%= forbitdata %>
<% 			} %>
		</font>
	</td>



<%			// ==============================================
			// NULLABLE
			// ==============================================
%>
	<td align=center>
		<font face=sans-serif size=-1>
<%			if( webquerytool_ui.isTableIsNew() )
			{
				if( ((String)p.get("type")).startsWith("ROWID") )
				{
%>
			N
<%				}
				else
				{
					if( p.get("nullable") != null || webquerytool_ui.getResultsSets().size() > 0 )
						sel = "CHECKED";
%>
			<INPUT type=checkbox size=10
				name="nullable<%= p.get("order")%>"
				onClick="document.forms[0].primarykey<%= p.get("order") %>.checked = false;"
				<%= sel %>>
<% 				}
			} else {
				if( p.get("nullable") != null && !((String)p.get("type")).startsWith("ROWID") )
					val = "Y";
				else
					val = "N";
%>
			<%= val %>
<% 			} %>
				</font>
			</td>


<%		 	// ==============================================
			// Match to import data
			// ==============================================
			if( webquerytool_ui.getResultsSets().size() > 0 )
			{
%>
	<td align=left>
		<font face=sans-serif size=-1>
			<SELECT name="colmatch<%= p.get("order") %>">
				<OPTION value=0>
					<%= msgMgr.get( "omit" ) %>
				</OPTION>
<% 				Properties importColDef = new Properties();
				for( int j=0; j<webquerytool_ui.getResultColDef().size(); j++ )
				{
					importColDef = (Properties) webquerytool_ui.getResultColDef().elementAt(j);
					sel = "";
					if( ((String)importColDef.get("name")).equals((String)p.get("colmatch")) )
						sel = " selected";
					else
					{
						if( (j+1) == ((Integer)p.get("order")).intValue() )
							sel = " selected";
					}
%>
				<OPTION value="<%= importColDef.get("name") %>" <%= sel %>>
					<%= importColDef.get("name") %>
				</OPTION>
<% 				} %>
			</SELECT>
		</font>
	</td>
<%			} %>
</tr>

<!-- 	--------------------------
		END OF COLUMN <%= i %>
		-------------------------- -->

<% 	} %>
</table>

</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if( <%= webquerytool_ui.getReloadMenu() %> )
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body>
</html>
