<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspFilterPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
	response.setHeader("Pragma", "No-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.FilterPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspFilterPage jspInfo = new JspFilterPage();
	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->
<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<title> <%= msgMgr.get( "CWQJspFilterPage_Title" ) %> </title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

<script language="JavaScript">
<!--
	function go()
	{
		window.document.mainform.submit();
	}

	function addAuthId()
	{
		// send the filter for processing.
		window.document.mainform.cmd.value = 'addAuthId';

		go();
	}

	function removeAuthId()
	{
		// send the filter for processing.
		window.document.mainform.cmd.value = 'removeAuthId';

		go();
	}

	function updateFilter()
	{
		list = window.document.mainform.schemaList;

		s = list[list.selectedIndex].value;

		window.document.mainform.newSchema.value = s;
		window.document.mainform.newName.value = "%";

		window.document.mainform.newName.focus();
		window.document.mainform.newName.select();
	}

	function refreshFilter()
	{
		list = window.document.mainform.filterList;

		f = list[list.selectedIndex].value;

		s = f.substring(0, f.indexOf(".") );
		n = f.substring(f.indexOf(".")+1, f.length );

		window.document.mainform.newSchema.value = s;
		window.document.mainform.newName.value = n;

		window.document.mainform.newName.focus();
		window.document.mainform.newName.select();
	}


	function deleteFilter()
	{
		if( window.document.mainform.filterList.selectedIndex == -1 )
			return;

		// send the filter for processing.
		window.document.mainform.cmd.value = 'removeFilter';

		go();
	}

	function addFilter()
	{
		if (window.document.mainform.newSchema.value.length < 1 ||
			window.document.mainform.newName.value.length < 1)
		{
			alert( "<%= msgMgr.get( "validFilter" ) %>" );
			return;
		}

		filterName = 
			window.document.mainform.newSchema.value
			+"."
			+window.document.mainform.newName.value;

		list = window.document.mainform.filterList;
		for( i=0; i<list.length; i++ )
		{
			if( list[i].value == filterName )
			{
				alert( "<%= msgMgr.get( "filterInList" ) %>" );
				return;
			}
		}

		// send the filter for processing.
		window.document.mainform.cmd.value = 'addFilter';

		go();
	}
//-->
</script>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" atext="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus()">

<form method=post name="mainform" action="<%=webquerytool_cfg.getAppRoot()%>/FilterPage">
<input type=hidden name=op value="process">
<input type=hidden name=cmd value="update">
<input type=hidden name=creatorList>
<input type=hidden name=nameList>
<input type=hidden name=changeControl>

<% try { %>
<%@ include file="pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

<table cellspacing=1 cellpadding=2 border=0 align=center>
<tr>
	<td valign=top align=left bgcolor="#6699CC">
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b><%= msgMgr.get( "authIds" ) %> (<%= uc.getAuthIds().size() %>) </b>
		</font>
	</td>

	<td valign=top align=left bgcolor="#6699CC">
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b><%= msgMgr.get( "creators" ) %> (<%= uc.getAliasList().size() %>) </b>
		</font>
	</td>

	<td valign=top align=left bgcolor="#6699CC">
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b><%= msgMgr.get( "filter" ) %> (<%= uc.getFilters().size() %>) </b>
		</font>
	</td>
</tr>

<tr>
	<td valign=top align=center bgcolor="#C0C0C0">
	<%	//	---------------------------
		// 	AuthID List
		// 	--------------------------- %>
		<TABLE width=100%>
		<TR valign=top>
			<TD>
				<font face=sans-serif size=-1 color=#000000>
				<%= msgMgr.get( "authIds" ) %> <br>

				<input type="text" name="newAuthId" size=10> <br>

				<input type=button value="<%= msgMgr.get( "CWQJspFilterPage_AddButton" ) %>"
						style="font-color:000000" style="background:C0C0C0" style="font-size:12"
						onClick="javascript:addAuthId()">

				<input type=button value="<%= msgMgr.get( "CWQJspFilterPage_RemoveButton" ) %>"
						style="font-color:000000" style="background:C0C0C0" style="font-size:12"
						onClick="javascript:removeAuthId()">

				<br>

				<SELECT name="authIdList" size=6 onChange="">

	<% 	for( int i=0; i < uc.getAuthIds().size(); i++) 
		{ 
			String id = (String) uc.getAuthIds().elementAt( i );
	%>
					<OPTION value="<%= id %>"> <%= id %> </OPTION>
	<% 	} %>
				</SELECT>
		    	</font>
			</td>
		</TR>
		</TABLE>
	</td>

	<td valign=top align=center bgcolor="#C0C0C0">
	<%	//	---------------------------
		// 	Schema List
		// 	--------------------------- %>
		<TABLE>
		<TR valign=top>
			<TD>
				<font face=sans-serif size=-1 color=#000000>
				<SELECT name="schemaList" size=11 onChange="updateFilter()">
				
					<OPTION value="%"> [<%= msgMgr.get( "all" ) %>] </OPTION>

					<OPTION value="<%= uc.getSqlId() %>"> [<%= msgMgr.get( "default" ) %>] </OPTION>

	<% 	for( int i=0; i < uc.getAliasList().size(); i++) 
		{ 
			String id = (String) uc.getAliasList().elementAt( i );
	%>
					<OPTION value="<%= id %>"> <%= id %> </OPTION>
	<% 	} %>
				</SELECT>
				</font>
			</TD>			
		</TR>
		</TABLE>
	</td>

	<td valign=top align=center bgcolor="#C0C0C0">
	<%	//	---------------------------
		// 	Filter List
		// 	--------------------------- %>
		<TABLE>
		<TR valign=top>
			<TD>
				<font face=sans-serif size=-1 color=#000000>
				<%= msgMgr.get( "CWQJspFilterPage_CreatorEdit" ) %><br>
				<input type="text" name="newSchema" size=10>
				<br>

				<%= msgMgr.get( "CWQJspFilterPage_NameEdit" ) %><br>
				<input type="text" name="newName" size=10>
				<br>
				
				<input type=button value="<%= msgMgr.get( "CWQJspFilterPage_AddButton" ) %>"
					style="font-color:000000" style="background:C0C0C0" style="font-size:12"
					onClick="javascript:addFilter()">		

				<input type=button value="<%= msgMgr.get( "CWQJspFilterPage_RemoveButton" ) %>"
					style="font-color:000000" style="background:C0C0C0" style="font-size:12"
					onClick="javascript:deleteFilter()">
			</TD>
			<TD>
				<font size=-1 face=sans-serif>
				<SELECT name="filterList" size=10 onChange="refreshFilter()" multiple=true>
	<% 	for (int i=0; i < uc.getFilters().size(); i++)
		{
			String[] filter = (String[]) uc.getFilters().elementAt( i );
	%>
					<OPTION value="<%= filter[0] %>.<%= filter[1] %>">
						<%= filter[0] %>.<%= filter[1] %>
					</OPTION>
	<% 	} %>
				</SELECT>
				</font>
			</TD>
		</TR>
		</TABLE>
	</td>
</tr>
</table>

</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if( <%= webquerytool_ui.getReloadMenu() %> )
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');

	window.document.mainform.newSchema.focus();
//-->
</script>

</body>

</html>
