<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.catalog.CatObject" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspPublicAccessPage" %>

<jsp:useBean id="webquerytool_cfg"
	class="com.ibm.db2.cwq.util.Config"
	scope="session"/>

<jsp:useBean id="webquerytool_user"
	class="com.ibm.db2.cwq.util.User"
	scope="session"/>

<jsp:useBean id="webquerytool_ui"
	class="com.ibm.db2.cwq.util.UI"
	scope="session"/>

<jsp:useBean id="cwqPublicUrl"
	class="java.lang.String"
	scope="session"/>

<jsp:useBean id="cwqPublicList"
	class="java.util.Vector"
	scope="session"/>

<jsp:useBean id="cwqPublicCon"
	class="java.util.Vector"
	scope="session"/>

<jsp:useBean id="cwqPublicOFilter"
	class="java.lang.String"
	scope="session"/>

<jsp:useBean id="cwqPublicNFilter"
	class="java.lang.String"
	scope="session"/>

<jsp:useBean id="cwqPublicTFilter"
	class="java.lang.Integer"
	scope="session"/>
<%
	response.setHeader("Pragma", "No-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.PublicAccessJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = new UserConnection( request.getLocale() );
	//UserConnection uc = webquerytool_user.getConnection(
		//webquerytool_user.getCurrentCon()
	//);

	JspPublicAccessPage jspInfo = new JspPublicAccessPage();
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->
<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>"></base>

	<title> <%= jspInfo.getTitle() %></title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#0000FF" atext="#FFFF00" vlink="#0000FF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/Public">
<input type=hidden name=op value="process">
<input type=hidden name=cmd value="update">

<% try { %>
<%@ include file="pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

<table cellspacing=0 cellpadding=4 border=0 align=center width=100%>
<tr bgcolor=#6699CC valign=top align=left>
	<td>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b>Switch Connection:</b>
		</font>
	</td>
	<td align=right>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<font face=sans-serif size=2>
			<input type=button
				accesskey="s"
				style="font-color:000000" style="background:C0C0C0" style="font-size:12"
				onClick="go('switch');"
				value="Switch"
			></font>
		</font>
	</td>
</tr>
<tr bgcolor=#C0C0C0 valign=top align=left>
	<td align=left>
		<font size=2 face=sans-serif size=2>
		<b>Type:</b>
		<SELECT name=newCon>
<%	for( int i=0; i<webquerytool_cfg.getJdbcInfo().size(); i++ )
	{
		Properties p = (Properties) webquerytool_cfg.getJdbcInfo().elementAt(i);
		String sel = "";
		if( ((String)p.get("name")).equals( ((String)uc.getDbType().get("name")) ) )
			sel = "selected";
%>
		<OPTION value="<%= p.get("name") %>"
			<%= sel %> >
			<%= p.get("name") %>
		</OPTION>
<% 	} %>
		</SELECT>
		</FONT>
	</td>

	<td align=left>
		<font size=2 face=sans-serif size=2>
			<b>Location: </b>
			<input type="text" name="newLoc" vlaue="">
		</FONT>
	</td>
</tr>
</table>


<br>


<table cellspacing=2 cellpadding=4 border=0 align=center width=100%>
<tr bgcolor=#6699CC valign=top align=left>
	<td>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b>Database:</b>
		</font>
	</td>
	<td>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b>Types:</b>
		</font>
	</td>
	<td>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b>Owner:</b>
		</font>
	</td>
	<td>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b>Name:</b>
		</font>
	</td>
</tr>

<tr bgcolor=#C0C0C0 valign=top align=left>

	<td>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<SELECT name="url" size=1 onChange="go('refresh')">
<%	for( int i=0; i<cwqPublicCon.size(); i++ )
	{
		String sel = "";
		Properties a = (Properties) cwqPublicCon.elementAt(i);
		if( ((String)a.get("url")).equals(cwqPublicUrl) )
			sel = "selected";
%>
				<OPTION value="<%= a.get("url") %>" <%= sel %>>
					<%= a.get("name") %>
				</OPTION>
<%	} %>
			</SELECT>
		</font>
	</td>
	<td>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<SELECT name="tFilter" size=1 onChange="go('refresh')">
				<OPTION <%= cwqPublicTFilter.intValue() == -1 ? "selected" : "" %>
					value="-1"> ALL
				</OPTION>
				<OPTION <%= cwqPublicTFilter.intValue() == CatObject.TYPE_SQLTEXT ? "selected" : "" %>
					value="<%= CatObject.TYPE_SQLTEXT %>"> Query
				</OPTION>
				<OPTION <%= cwqPublicTFilter.intValue() == CatObject.TYPE_HTML ? "selected" : "" %>
					value="<%= CatObject.TYPE_HTML %>"> HTML
				</OPTION>
				<OPTION <%= cwqPublicTFilter.intValue() == CatObject.TYPE_CSV ? "selected" : "" %>
					value="<%= CatObject.TYPE_CSV %>"> CSV
				</OPTION>
				<OPTION <%= cwqPublicTFilter.intValue() == CatObject.TYPE_TXT ? "selected" : "" %>
					value="<%= CatObject.TYPE_TXT %>"> Text
				</OPTION>
				<OPTION <%= cwqPublicTFilter.intValue() == CatObject.TYPE_XML ? "selected" : "" %>
					value="<%= CatObject.TYPE_XML %>"> XML
				</OPTION>
				<OPTION <%= cwqPublicTFilter.intValue() == CatObject.TYPE_XSL ? "selected" : "" %>
					value="<%= CatObject.TYPE_XSL %>"> XSL
				</OPTION>
			</SELECT>
		</font>
	</td>
	<td>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<input type=text name=oFilter value="<%= cwqPublicOFilter %>">
		</font>
	</td>
	<td>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<input type=text name=nFilter value="<%= cwqPublicNFilter %>">
		</font>
	</td>
</tr>
</table>


<br>


<table cellspacing=2 cellpadding=4 border=0 align=center width=100%>
<tr bgcolor=#6699CC valign=top align=left>
	<td>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b>Object Listing:</b>
		</font>
	</td>
</tr>

<tr bgcolor=#C0C0C0 valign=top align=left>
	<td>
		<table border=0 cellspacing=2 cellpadding=0 width=100%>
<%	int t = -1;
	for( int i=0; i<cwqPublicList.size(); i++ )
	{
		CatObject co = (CatObject) cwqPublicList.elementAt(i);

		if( co.getType() != t )
		{
			t = co.getType();
%>
		<tr valign=top colspan=3 bgcolor=#99CCFF>
			<td colspan=3>
				<font color="#000000" face=sans-serif size=-1>
					<b>
					<%= co.getTypeName() %>
					</b>
				</font>
			</td>
		</tr>
<%		} %>

		<tr valign=top>
			<td rowspan=2 align=center width=25>
				<font color="#000000" face=sans-serif size=-1>
				&nbsp;
				</font>
			</td>
			<td rowspan=2 align=center width=25>
				<font color="#000000" face=sans-serif size=-1>
					<b><%= i+1 %></b>
				</font>
			</td>
			<td>
				<font color="#000000" face=sans-serif size=-1>
					<a href="<%= request.getScheme() %>://<%= request.getServerName() %>:<%= request.getServerPort() %><%=webquerytool_cfg.getAppRoot() %>/Public?cmd=get&url=<%= cwqPublicUrl %>&type=<%= co.getType() %>&owner=<%= co.getCreator() %>&name=<%= co.getName() %>">
						<%= co.getCreator() %>.<%= co.getName() %>
					</a>
				</font>
			</td>
		</tr>
		<tr valign=top>
			<td>
				<font color="#000000" face=sans-serif size=-1>
					<%= co.getDescription().length() > 0 ? co.getDescription()+"<br><br>" : "<br>" %>
				</font>
			</td>
		</tr>
<%	} %>
<%	if( cwqPublicList.size() == 0 ) { %>
		<tr valign=top colspan=3 bgcolor=#99CCFF>
			<td colspan=3>
				<font color="#000000" face=sans-serif size=-1>
					<b>
					No Available Objects
					</b>
				</font>
			</td>
		</tr>
<%	} %>
		</table>
	</td>
</tr>
</table>

</TD></TR></TABLE>

</form>

</body>

</html>
