<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.catalog.CatObject" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspPublicAccessOutputPage" %>

<jsp:useBean id="webquerytool_cfg"
	class="com.ibm.db2.cwq.util.Config"
	scope="session"/>

<jsp:useBean id="webquerytool_user"
	class="com.ibm.db2.cwq.util.User"
	scope="session"/>

<jsp:useBean id="webquerytool_ui"
	class="com.ibm.db2.cwq.util.UI"
	scope="session"/>

<jsp:useBean id="cwqPublicUrl"
	class="java.lang.String"
	scope="session"/>

<jsp:useBean id="cwqPublicList"
	class="java.util.Vector"
	scope="session"/>

<jsp:useBean id="cwqPublicCon"
	class="java.util.Vector"
	scope="session"/>

<jsp:useBean id="cwqPublicOFilter"
	class="java.lang.String"
	scope="session"/>

<jsp:useBean id="cwqPublicNFilter"
	class="java.lang.String"
	scope="session"/>

<jsp:useBean id="cwqPublicTFilter"
	class="java.lang.Integer"
	scope="session"/>
<%
	response.setHeader("Pragma", "No-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.PublicAccessOutputJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = new UserConnection( request.getLocale() );
	//UserConnection uc = webquerytool_user.getConnection(
		//webquerytool_user.getCurrentCon()
	//);

	CatObject co = webquerytool_ui.getCurrentObject();

	JspPublicAccessOutputPage jspInfo = new JspPublicAccessOutputPage();
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->
<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>"></base>

	<title> <%= jspInfo.getTitle() %></title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#0000FF" atext="#FFFF00" vlink="#0000FF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/Public">
<INPUT type=hidden name=page value="publicaccessoutput">
<INPUT type=hidden name=cmd value="output">
<INPUT type=hidden name=url value="<%= cwqPublicUrl %>">
<INPUT type=hidden name=owner value="<%= co.getCreator() %>">
<INPUT type=hidden name=name value="<%= co.getName() %>">
<INPUT type=hidden name=type value="<%= co.getType() %>">

<% try { %>
<%@ include file="pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<table cellspacing=2 cellpadding=4 border=0 align=center width=100%>
<tr bgcolor=#6699CC valign=top align=left>
	<td>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b>
			Results
			</b>
		</font>
	</td>
	<td>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b>
			Options
			</b>
		</font>
	</td>
</tr>

<tr bgcolor=#C0C0C0 valign=top align=left>
	<td align=center valign=center>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<SELECT name=resultsets size=10>
<%	String sel = "";
	int seli = webquerytool_ui.getResultNum();
	for( int i=0; i<webquerytool_ui.getResultsSets().size(); i++ )
	{
		Properties r = (Properties)
			webquerytool_ui.getResultsSets().elementAt(i);

		if( i == seli )
			sel = "selected ";
		else
			sel = "";
%>
				<OPTION <%= sel %> value="<%= i %>">
					<%= r.get("name") %>
				</OPTION>
<%	} %>
			</SELECT>
		</font>
	</td>
	<td>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<table width=100% border=0>
			<TR valign=top>
				<TD>
					<font face=sans-serif size="-1">
					<input style="background:#C0C0C0; color:black"
						type=radio name=ResultsType value="xml"
						accesskey="x"
						<%= webquerytool_ui.getReportFormat().equals("xml")?"checked":"" %>>
					<%= jspInfo.get("Xml") %>

					<br>
					<input type=radio name=ResultsType value="xsl"
						accesskey="s"
						<%= webquerytool_ui.getReportFormat().equals("xsl")?"checked":"" %>>
					<%= jspInfo.get("Xsl") %>

					<br>
					<input type=radio name=ResultsType value="html"
						accesskey="h"
						<%= webquerytool_ui.getReportFormat().equals("html")?"checked":"" %>>
					<%= jspInfo.get("Html") %>
					</font>
				</TD>
				<TD>
					<font face=sans-serif size="-1">
					<input type=radio name=ResultsType value="text"
						accesskey="f"
						<%= webquerytool_ui.getReportFormat().equals("text")?"checked":"" %>>
					<%= jspInfo.get("Formatted") %>

					<br>
					<input type=radio name=ResultsType value="delimited"
						accesskey="m"
						<%= webquerytool_ui.getReportFormat().equals("delimited")?"checked":"" %>>
					<%= jspInfo.get("Delimited") %>
					</font>
				</TD>
			</TR>
			<TR>
				<TD colspan=2>
					<font face=sans-serif size="-1">
					<hr>
					</font>
				</TD>
			</TR>
			</table>

			<table width=100% border=0>
			<TR>
				<TD colspan=2>
					<font face=sans-serif size="-1">
					<INPUT type=radio name=todo value=view
						accessKey="1"
						<%= webquerytool_ui.getExportAction()==webquerytool_ui.EXPORT_ACTION_VIEW || webquerytool_ui.getExportAction()==webquerytool_ui.EXPORT_ACTION_NONE?"checked":"" %>>
					1: <%= jspInfo.get("Display") %>
					<br>

					<INPUT type=radio name=todo value=download
						accessKey="2"
						<%= webquerytool_ui.getExportAction()==webquerytool_ui.EXPORT_ACTION_DOWNLOAD?"checked":"" %>>
					2: <%= jspInfo.get("Download") %>
					<br>

					<INPUT type=radio name=todo value=email
						accessKey="3"
						onClick="document.forms[0].Mail.focus();"
						<%= webquerytool_ui.getExportAction()==webquerytool_ui.EXPORT_ACTION_EMAIL?"checked":"" %>>
					3: <%= jspInfo.get("Email") %>
					<input type=text name=Mail
						onFocus="document.forms[0].todo[2].checked=true;"
						value="<%=webquerytool_ui.getMail()%>">

					</font>
				</TD>
			</TR>
			</TABLE>

			<br>

			<table width=100% border=0>
			<TR>
				<TD bgcolor="#6699CC">
					<font face=sans-serif size=-1 color="#FFFFFF">
					<b>
					<%= jspInfo.get("CopyLabel") %>
					</b>
					</font>
				</TD>
			</TR>
			<TR>
				<TD>
					<font face=sans-serif size="-1">
					<input type=radio name=ResultsType value="excel"
						accesskey="e"
						<%= webquerytool_ui.getReportFormat().equals("excel")?"checked":"" %>>
					<%= jspInfo.get("Excel") %>
					</font>
				</TD>
			</TR>
			</TABLE>
		</font>
	</td>
</tr>
</table>

</TD></TR></TABLE>

</form>

</body>

</html>
