<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.catalog.CatObject" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspPublicAccessVarsPage" %>

<jsp:useBean id="webquerytool_cfg"
	class="com.ibm.db2.cwq.util.Config"
	scope="session"/>

<jsp:useBean id="webquerytool_user"
	class="com.ibm.db2.cwq.util.User"
	scope="session"/>

<jsp:useBean id="webquerytool_ui"
	class="com.ibm.db2.cwq.util.UI"
	scope="session"/>

<jsp:useBean id="cwqPublicUrl"
	class="java.lang.String"
	scope="session"/>

<jsp:useBean id="cwqPublicList"
	class="java.util.Vector"
	scope="session"/>

<jsp:useBean id="cwqPublicCon"
	class="java.util.Vector"
	scope="session"/>

<jsp:useBean id="cwqPublicOFilter"
	class="java.lang.String"
	scope="session"/>

<jsp:useBean id="cwqPublicNFilter"
	class="java.lang.String"
	scope="session"/>

<jsp:useBean id="cwqPublicTFilter"
	class="java.lang.Integer"
	scope="session"/>
<%
	response.setHeader("Pragma", "No-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.PublicAccessVarsJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = new UserConnection( request.getLocale() );
	//UserConnection uc = webquerytool_user.getConnection(
		//webquerytool_user.getCurrentCon()
	//);

	CatObject co = webquerytool_ui.getCurrentObject();

	JspPublicAccessVarsPage jspInfo = new JspPublicAccessVarsPage();
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->
<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>"></base>

	<title> <%= jspInfo.getTitle() %></title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#0000FF" atext="#FFFF00" vlink="#0000FF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/Public">
<INPUT type=hidden name=page value="publicaccessvars">
<INPUT type=hidden name=cmd value="get">
<INPUT type=hidden name=url value="<%= cwqPublicUrl %>">
<INPUT type=hidden name=owner value="<%= co.getCreator() %>">
<INPUT type=hidden name=name value="<%= co.getName() %>">
<INPUT type=hidden name=type value="<%= co.getType() %>">

<% try { %>
<%@ include file="pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<table cellspacing=2 cellpadding=4 border=0 align=center width=100%>
<tr bgcolor=#6699CC valign=top align=left>
	<td>
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b>
			<%= jspInfo.get("VarHeader") %>
			</b>
		</font>
	</td>
</tr>

<tr bgcolor=#C0C0C0 valign=top align=left>
	<td>
		<font color="#000000" face=sans-serif size=-1>
		The following query contains <%= webquerytool_ui.getSQLParam().size() %> variables which need to have values set before running.
		<br>
		<pre>
<%= co.getObj() %>
		</pre>
		</font>
	</td>
</tr>

<tr bgcolor=#C0C0C0 valign=top align=left>
	<td>
		<table border=0 cellspacing=2 align=left cellpadding=0>
		<tr valign=top colspan=3 bgcolor=#99CCFF>
			<td align=right>
				<font color="#000000" face=sans-serif size=-1>
					<b>
					<%= jspInfo.get("Var") %>
					</b>
				</font>
			</td>
			<td align=center>
				<font color="#000000" face=sans-serif size=-1>
				=
				</font>
			</td>
			<td align=left>
				<font color="#000000" face=sans-serif size=-1>
					<b>
					<%= jspInfo.get("VarValue") %>
					</b>
				</font>
			</td>
		</tr>

<%	// ---------------------------------------------------------------
	// Var form elements
	// ---------------------------------------------------------------

	Properties vParam = new Properties();
	for( int i=0; i<webquerytool_ui.getSQLParam().size(); i++ )
	{
		vParam = (Properties) webquerytool_ui.getSQLParam().elementAt(i);

		if( vParam.get("select") != null )
		{
			String selText = new String();
			Properties selProp = new Properties();
			// lookup
%>
		<tr valign=top bgcolor=#C0C0C0>
			<td align=right>
				<font color="#000000" face=sans-serif size=-1>
					<b> <%= vParam.get("name") %> </b>
					<br>
<%			if( vParam.get("multiple")==null ) { %>
					<%= jspInfo.get("VarSingle") %>
<% 			} else { %>
					<%= jspInfo.get("VarMulti") %>
<% 			} %>
				</font>
			</td>
			<td align=center>
				<font color="#000000" face=sans-serif size=-1>
				=
				</font>
			</td>
			<td align=left>
				<font color="#000000" face=sans-serif size=-1>
				<SELECT name=mvar<%= i %> size=7
					<%= vParam.get("multiple")==null?"":" MULTIPLE" %>>
<%			for( int j=0; j<((Vector)vParam.get("select")).size(); j++ )
			{
				selProp = (Properties)
					((Vector)vParam.get("select")).elementAt(j);

				selText = "";
				if( ((Vector)vParam.get("selectvalue")).contains( ((String)selProp.get("value")) ) )
					selText = "SELECTED";
%>
					<OPTION value="<%= selProp.get("value") %>"
						<%= selText %>>
						<%= selProp.get("display") %>
					</OPTION>
<%			} %>
				</SELECT>
				</font>
			</td>
		</tr>
<% 		}
		else
		{
			// single value
%>
		<tr valign=top bgcolor=#C0C0C0>
			<td align=right>
				<font color="#000000" face=sans-serif size=-1>
					<b> <%= vParam.get("name") %> </b>
					<br>
					<%= vParam.get("multiple")==null?"single value":"multiple values" %>
				</font>
			</td>
			<td align=center>
				<font color="#000000" face=sans-serif size=-1>
				=
				</font>
			</td>
			<td align=left>
				<font color="#000000" face=sans-serif size=-1>
				<INPUT type=text name=var<%= i %> value='<%= vParam.get("value") %>'> <br>
				</font>
			</td>
		</tr>
<%		} %>
<% 	} %>
		</table>
	</td>
</tr>
</table>

</TD></TR></TABLE>

</form>

</body>

</html>
