<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspSelectOutputPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="cwqXslTemplateType" class="java.lang.String" scope="session"/>
<jsp:useBean id="cwqXslTemplateList" class="java.lang.String" scope="session"/>
<jsp:useBean id="cwqXslDefaultList" class="java.util.Vector" scope="session"/>
<jsp:useBean id="cwqXslRecentList" class="java.util.Vector" scope="session"/>
<jsp:useBean id="cwqXslSavedList" class="java.util.Vector" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.SelectOutputPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);


	JspSelectOutputPage jspInfo = new JspSelectOutputPage();
	jspInfo.setLoc( request.getLocale() );	

	// prepare list of xsl templates
	Vector xslList = new Vector();

	if( cwqXslTemplateType.equals("saved") )
		xslList = cwqXslSavedList;
	else if( cwqXslTemplateType.equals("recent") )
		xslList = cwqXslRecentList;
	else
		xslList = cwqXslDefaultList;
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title><%= jspInfo.getTitle() %></title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT language="JavaScript">
	<!--
		function chartWorkbench()
		{
			goInWin( 'chartwb' );
		}

		function xslWorkbench()
		{
			goInWin( 'xslwb' );
		}

		function goInWin( cmd )
		{
			document.forms[0].target = "";
			document.forms[0].cmd.value = cmd;
			document.forms[0].submit();
		}
	//-->
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post
	action="<%=webquerytool_cfg.getAppRoot()%>/SelectOutput"
	target="outWin"
>

<input type=hidden name="op" value="process">
<input type=hidden name="cmd" value="">
<input type=hidden name="page" value="selectoutput">

<% try { %>
<%@ include file="pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

<%	if( webquerytool_ui.getResultsSets().size() != 0 ) { %>
<TABLE cellpadding=2 cellspacing=1 border=0 align=center width=100%>
<TR bgcolor=#FFFFFF>
	<TD colspan=4>
		<font size=-1 face=arial,sans-serif>
		<%	if( webquerytool_ui.getResultsSets().size() == 0 ) { %>
			<%= jspInfo.get("HasNoResults") %>
		<%	} else { %>
			<%= jspInfo.get("HasResutls") %>
		<%	} %>
		<br>
		<br>
		</font>
	</TD>
</TR>

<TR bgcolor="#6699CC">
	<TD>
		<font face=sans-serif size=-1 color="#FFFFFF">
		<b>
		<%= jspInfo.get("ResultSets") %>
		</b>
		</font>
	</TD>

	<TD bgcolor=#FFFFFF>
		<font face=sans-serif size=-1 color="#FFFFFF">
		&nbsp;
		</font>
	</TD>

	<TD>
		<font face=sans-serif size=-1 color="#FFFFFF">
		<b>
		<%= msgMgr.get( "transform" ) %>
		</b>
		</font>
	</TD>
</TR>

<TR>
	<TD rowspan=4 align=center bgcolor="#C0C0C0">
		<SELECT name=resultsets size=10>
		<%	String sel = "";
			int seli = webquerytool_ui.getResultNum();
			for( int i=0; i<webquerytool_ui.getResultsSets().size(); i++ )
			{
				Properties r = (Properties) webquerytool_ui.getResultsSets().elementAt(i);

				if( i == seli )
					sel = "selected ";
				else
					sel = "";
		%>
			<OPTION <%= sel %> value="<%= i %>">
				<%= r.get("name") %>
			</OPTION>
		<%	} %>
		</SELECT>
	</TD>

	<TD bgcolor=#FFFFFF rowspan=4>
		<font face=sans-serif size=-1 color="#FFFFFF">
		&nbsp;
		</font>
	</TD>


	<TD bgcolor="#C0C0C0">
		<table width=100% border=0>
		<TR valign=top align=left>
			<TD>
				<font face=sans-serif size="-1">
				<input type=radio style="background:#C0C0C0; color:black"
					name=opType value="transform" checked>
				</font>
			</TD>

			<TD>
				<font face=sans-serif size="-1">
				<SELECT name="templateType" onChange="goInWin('refresh')">
					<OPTION value="default" <%= cwqXslTemplateType.equals("default") ? "selected" : "" %>>
						<%= msgMgr.get( "default" ) %>
					</OPTION>
					<OPTION value="saved" <%= cwqXslTemplateType.equals("saved") ? "selected" : "" %>>
						<%= msgMgr.get( "saved" ) %>
					</OPTION>
				</SELECT>
				<%= msgMgr.get( "transform" ) %>:

				<br>

				<SELECT name="templateList" size=7>
				<%	for( int i=0; i<xslList.size(); i++ )
					{
						Properties p = (Properties) xslList.elementAt(i);
				%>
					<OPTION value="<%= i %>" <%= cwqXslTemplateList.equals(""+i) ? "selected" : "" %>>
						<%= p.get("name") %>
					</OPTION>
				<%	} %>
				</SELECT>
				</font>
			</TD>

			<TD valign="top">
				<font face=sans-serif size="-1">
			<%	if( cwqXslTemplateType.equals("default") ) { %>
				<input style="background:#C0C0C0; color:black"
					type="button" value="<%= msgMgr.get( "options" ) %>" onClick="goInWin('options');">
			<%	} %>

				<br>
				<br>

				<INPUT type=radio style="background:#C0C0C0; color:black"
					name=todo value=view
					<%= webquerytool_ui.getExportAction()==webquerytool_ui.EXPORT_ACTION_VIEW || webquerytool_ui.getExportAction()==webquerytool_ui.EXPORT_ACTION_NONE?"checked":"" %>>
				<%= jspInfo.get("Display") %>
				<br>

				<INPUT type=radio style="background:#C0C0C0; color:black"
					name=todo value=download
					<%= webquerytool_ui.getExportAction()==webquerytool_ui.EXPORT_ACTION_DOWNLOAD?"checked":"" %>>
				<%= jspInfo.get("Download") %>
				<br>

				<INPUT type=radio style="background:#C0C0C0; color:black"
					name=todo value=email
					onClick="document.forms[0].Mail.focus();"
					<%= webquerytool_ui.getExportAction()==webquerytool_ui.EXPORT_ACTION_EMAIL?"checked":"" %>>
				<%= jspInfo.get("Email") %>
				<br>
				&nbsp; &nbsp;
				<input type=text name=Mail
					onFocus="document.forms[0].todo[2].checked=true;"
					value="<%=webquerytool_ui.getMail()%>">

				</font>
			</TD>
		</TR>

		<TR>
			<TD>
				&nbsp;
			</TD>
			<TD colspan=3>
				<hr>
			</TD>
		</TR>

		<TR>
			<TD>
				<font face=sans-serif size="-1">
				<input type=radio style="background:#C0C0C0; color:black"
					name=opType value="excel">
				</font>
			</TD>
			<TD colspan="2">
				<font face=sans-serif size="-1">
				<%= jspInfo.get("Excel") %>
				</font>
			</TD>
		</TR>

		<TR>
			<TD>
				<font face=sans-serif size="-1">
				<input type=radio  style="background:#C0C0C0; color:black"
					name=opType value="db2Table">
				</font>
			</TD>
			<TD colspan="2">
				<font face=sans-serif size="-1">
				<%= msgMgr.get( "CWQJspSelectOutputPage_DB2Table" ) %>
				</font>
			</TD>
		</TR>

		</TABLE>
	</TD>
</TR>

<%		} %>
</TABLE>


</TD></TR></TABLE>

</form>

<SCRIPT language="JavaScript">
<!--
	if( document.forms[0].resultsets )
	{
		if( document.forms[0].resultsets.selectedIndex == -1 )
			document.forms[0].resultsets.selectedIndex = 0;
	}

	if( <%= webquerytool_ui.getReloadMenu() %> )
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '' );
//-->
</script>

</body>

</html>
