<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspTableRenamePage" %>
<%@ page import="com.ibm.db2.cwq.catalog.ListItem" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="webquerytool_li" class="com.ibm.db2.cwq.catalog.ListItem" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspTableRenamePage jspInfo = new JspTableRenamePage();
	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->
<HTML>

<head>
	<title> Rename Tables Page </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/TablesPage">

<input type=hidden name=op value=process>
<input type="hidden" name="cmd" value="rename">
<input type="hidden" name="page" value="tablespage">

<% try { %>
<%@ include file="pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

<table border=0 cellpadding=4 cellspacing=2 align=center>
<tr bgcolor="#6699CC" align=center valign=middle>
	<td width=50%>
		<font size=-1 face="sans-serif" color="#FFFFFF">
		<b><%= jspInfo.getFromHeader() %></b>
		</font>
	</td>

	<td width=50%>
		<font size=-1 face="sans-serif" color="#FFFFFF">
		<b><%= jspInfo.getToHeader() %></b>
		</font>
	</td>
</tr>

<tr align=center valign=middle bgcolor="#C0C0C0">
	<td>
		<font size="-1" face="sans-serif">
		<%= webquerytool_li.getParent() %>.<%= webquerytool_li.getName() %>
		<br>
		<br>
		</font>
	</td>

	<td>
		<font size="-1" face="sans-serif">
		<br>
		<%= webquerytool_li.getParent() %>.<INPUT type=text name=renameto size=15>
		<br>
		<br>
		</font>
	</td>
</tr>
</table>

</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if( <%= webquerytool_ui.getReloadMenu() %> )
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '' );
//-->
</script>

</body>

</html>
