<%@	page language="java"  %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@	page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.*" %>
<%@ page import="com.ibm.db2.cwq.compare.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.compare.Pair" %>
<%@ page import="com.ibm.db2.cwq.compare.SourceObj" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="compare_ui" class="com.ibm.db2.cwq.compare.Settings" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.CompareObjectSelectionPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);


	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);


    // -----------------------------------------
    // Header
    String pageName = "compare/ObjectSelection.jsp";

    String headerTitle = msgMgr.get( "title" );

    boolean headerShowMsg = true;
    boolean headerChangeCon = true;
    boolean headerQuickHelp = true;

    // ---------------------------------------
    // Left Menu
    String[] headerLeft =
    	{
			msgMgr.get( "leftButtonSetup" ), "javascript:go('session');",
			msgMgr.get( "leftButtonProperties" ), "javascript:go('properties');",
			msgMgr.get( "leftButtonOptions" ), "javascript:go('options');",
			msgMgr.get( "leftButtonReport" ), "javascript:go('report')"
    	};

    // ---------------------------------------
    // Right Menu
    String headerRightTitle = "";

    String[] headerRight = new String[0];

    // ---------------------------------------
    // Quick Help
	String headerHelpText = msgMgr.get( "headerHelpText" );

%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<title> <%= msgMgr.get( "title" ) %> </title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

<SCRIPT language="JavaScript">
<!--

	function selectSessionList()
	{
		for( i=0; i< document.forms[0].sessionList.length; i++ )
			document.forms[0].sessionList[i].selected = true;
	}


	function placeFocus()
	{
		if (document.forms.length > 0)
		{
			var field = document.forms[0];
			for (i = 0; i < field.length; i++)
			{
				if ((field.elements[i].type == "text")
					|| (field.elements[i].type == "textarea")
					|| (field.elements[i].type.toString().charAt(0) == "s") )
				{
					document.forms[0].elements[i].focus();
					break;
				}
			}
		}
	}

	function structWindow()
	{
		window.open('Properties.jsp','structure','width=300,height=400,resizable=yes');
	}

//-->
</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form name=lists method=post action="<%=webquerytool_cfg.getAppRoot()%>/Compare">

<input type=hidden name="op" value="process">
<input type=hidden name="page" value="session">
<input type=hidden name="cmd" value="">

<% try { %>
<%@ include file="../header.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<% 	// GENERAL OPTIONS %>


<TABLE width=90% align=center><TR><TD>


<TABLE border=0 cellspacing=0 cellpadding=3 width=100% align=center>
<TR align=top>
	<TD bgcolor="#6699CC">
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b> <%= msgMgr.get( "sourceObjects" ) %> </b>
		</font>
	</TD>
	<TD bgcolor="#6699CC" valign=middle align=right>
		<font face="arial,sans-serif" size=-2 color="#FFFFFF">
		<input type=button
			style="font-color:000000" style="background:C0C0C0" style="font-size:12"
			onClick="go('add');"
			value="<%= msgMgr.get( "addButton" ) %>">

		<input type=button
			style="font-color:000000" style="background:C0C0C0" style="font-size:12"
			onClick="go('resetsource');"
			value="<%= msgMgr.get( "clearButton" ) %>">
		</font>
	</td>

</tr>

<tr valign=top bgcolor="#C0C0C0">
	<td align=left colspan=2>
		<font face="arial,sans-serif" size=-1>
		<SELECT size=10 name=sourceList multiple>
<%	SourceObj src = new SourceObj();
	for( int srci=0; srci<compare_ui.getSources().size(); srci++ )
	{
		src = (SourceObj)
			compare_ui.getSources().elementAt(srci);

		if( !compare_ui.isRemovePaired()
			|| src.getPaired() == 0
			|| (src.getPaired() > 0 && !compare_ui.isRemovePaired()) )
		{ %>
			<OPTION value=<%= srci %>>
				(<%= src.getTypeName() %>) <%= src.getConName() %>.<%= src.getName() %>
			</OPTION>
<%		}
	} %>
			<OPTION value=-1>----------------------------------------</OPTION>
		</SELECT>

		<br>

		<font face="arial,sans-serif" size=-1>
		<INPUT type=checkbox name=removePair
			<%= compare_ui.isRemovePaired()?"checked":"" %> onClick="go('removepaired')">
		<%= msgMgr.get( "showUnpaired" ) %>

		</font>
	</td>
</tr>

<tr valign=top bgcolor="#FFFFFF">
	<td>
		<font face="arial,sans-serif" size=-1>
		&nbsp;
		</font>
	<td>
</tr>

<tr>
	<TD bgcolor="#6699CC">
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b><%= msgMgr.get( "objectsToCompare" ) %>:</b>
		</font>
	</TD>
	<TD bgcolor="#6699CC" align=right>
		<font face="arial,sans-serif" size=-2 color="#FFFFFF">
		<input type=button
			style="font-color:000000" style="background:C0C0C0" style="font-size:12"			onClick="go('remove');"
			value="<%= msgMgr.get( "removeButton" ) %>">

		<input type=button
			style="font-color:000000" style="background:C0C0C0" style="font-size:12"
			onClick="selectSessionList(); go('resetsession');"
			value="<%= msgMgr.get( "clearButton" ) %>">
		</font>
	</TD>
</tr>

<tr valign=top bgcolor="#C0C0C0">
	<td align=left colspan=2>
		<font face="arial,sans-serif" size=-1>
		<SELECT size=10 name=sessionList multiple>
<%	Pair sesPair = new Pair();
	for( int sesi=0; sesi<compare_ui.getPairs().size(); sesi++ )
	{
		sesPair = (Pair) compare_ui.getPairs().elementAt(sesi); %>
			<OPTION value=<%= sesi %>
				<%= compare_ui.getSelectedPair() == sesi ? "selected":"" %> >
				(<%= sesPair.getSource().getTypeName() %>)
				<%= sesPair.getSource().getConName() %>.<%= sesPair.getSource().getName() %>
				::
				(<%= sesPair.getTarget().getTypeName() %>)
				<%= sesPair.getTarget().getConName() %>.<%= sesPair.getTarget().getName() %>
			</OPTION>
<%	} %>
			<OPTION value=-1>----------------------------------------</OPTION>
		</SELECT>
		</font>
	</TD>
</tr>
</TABLE>


</TD></TR></TABLE>


</form>

<script language="JavaScript">
<!--
if (<%= webquerytool_ui.getReloadMenu() %>)
	window.top.HeaderFrame.menuRe( 'Menu', '', '');
//-->
</script>

</BODY>

</HTML>
