<%@ page language="java" %>

<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspExportOptionsPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	
	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);


	JspExportOptionsPage jspInfo = new JspExportOptionsPage();
	jspInfo.setFormatOption( webquerytool_ui.getReportFormat() );
%>

<!DOCTYPE HTML PUBLIC "-//W3C//Dtd HTML 4//EN">
<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->                       
                    
<HTML>

<head>
	<title> Export Options Page </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000" 
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="top.window.frames[0].hideAllMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/ExportOptions"> 

<input type=hidden name="op" value="process">
<input type=hidden name="page" value="exportoptions">
<input type=hidden name="cmd" value="">

<%@ include file="../pageheader.inc" %>

<TABLE width=90% align=center><TR><TD>

<%		
	// -------------------------------------------
	// XSL Options
	// -------------------------------------------
%>

<table border=0 cellpadding=0 cellspacing=2 align=center width=100%>
<tr valign=top>
	<td colspan=2>
		<%@ include file="EOXslView.inc" %>
	</td>
</tr>

<tr valign=top>
	<td colspan=2>
		<%@ include file="EOXslOption.inc" %>
		<br><br>
	</td>
</tr>

<tr valign=top>
	<td>
		<%@ include file="EORow.inc" %>
	</td>
	<td>
		<%@ include file="EOCol.inc" %>
	</td>
</tr>

<tr valign=top>
	<td>
		<%@ include file="EOHtmlTitle.inc" %>
	</td>
	<td>
		<%@ include file="EOHtmlBgcolor.inc" %>
	</td>
</tr>

<tr valign=top>
	<td>
		<%@ include file="EOHtmlTxtcolor.inc" %>
	</td>
	<td>
		<%@ include file="EOHtmlRowpcolor.inc" %>
	</td>
</tr>

<tr valign=top>
	<td>
		<%@ include file="EOHtmlFontface.inc" %>
	</td>
	<td>
		<%@ include file="EOHtmlFontsize.inc" %>
	</td>
</tr>

<tr valign=top>
	<td>
		<%@ include file="EOHtmlFontcolor.inc" %>
	</td>
	<td>
		&nbsp;
	</td>
</tr>

<tr valign=top>
	<td>
		<%@ include file="EOFormat.inc" %>
	</td>
	<td>
		&nbsp;
	</td>
</tr>
</table>

</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body> 

</html> 
