<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspXSLWorkbenchPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="cwqXslCreator" class="java.lang.String" scope="session"/>
<jsp:useBean id="cwqXslName" class="java.lang.String" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.XSLWorkbenchPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspXSLWorkbenchPage jspInfo = new JspXSLWorkbenchPage();
	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title> XSL Workbench </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT language="JavaScript">
	<!--
		function switchPage( page )
		{
			document.forms[0].nextpage.value = page;
			document.forms[0].cmd.value = "switchpage";
			document.forms[0].submit();
		}
	//-->
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/XSLWorkbench">

<input type=hidden name="op" value="process">
<input type=hidden name="page" value="XSLWorkbench">
<input type=hidden name="cmd" value="">
<input type=hidden name="nextpage" value="">

<% try { %>
<%@ include file="../pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

<%
	// -------------------------------------------
	// XSL Options
	// -------------------------------------------
%>

	<table width=100% cellspacing=1 cellpadding=2 border=0>
	<tr valign=top bgcolor=#6699CC>
		<td>
			<font size=-1 face=sans-serif color=#FFFFFF>
			<b> <%= msgMgr.get( "creator" ) %> </b>
			</font>
		</td>
		<td>
			<font size=-1 face=sans-serif color=#FFFFFF>
			<b> <%= msgMgr.get( "name" ) %> </b>
			</font>
		</td>
		<td>
			<font size=-1 face=sans-serif color=#FFFFFF>
			<b> <%= msgMgr.get( "type" ) %> </b>
			</font>
		</td>
	</tr>
	
	<tr valign=top bgcolor=#C0C0C0>
		<td>
			<font size=-1 face=sans-serif>
			<SELECT name="objcreator" size=1>
	<% 	for( int i=0; i<uc.getAliasList().size(); i++)
		{
			String sel = new String();
			String cur = (String) uc.getAliasList().elementAt(i);
			if( !cwqXslCreator.equals("") && cwqXslCreator.equals(cur) )
				sel = "selected";
	%>
				<OPTION <%= sel %> value="<%= cur %>">
					<%= cur %>
				</OPTION>
	<% 	} %>
			</SELECT>
			</font>
		</td>
	
		<td>
			<font size=-1 face=sans-serif>
			<input type=text name=objname value="<%= cwqXslName %>">
			</font>
		</td>
	
		<td>
			<font size=-1 face=sans-serif>
			<select name=xsltype size=1>
				<option value=<%= webquerytool_ui.XSL_TABLE %>
					<%= webquerytool_ui.getXslType()==webquerytool_ui.XSL_TABLE?"selected":"" %>>
					<%= msgMgr.get( "typeTable" ) %> 
				</option>
	
				<option value=<%= webquerytool_ui.XSL_LIST %>
					<%= webquerytool_ui.getXslType()==webquerytool_ui.XSL_LIST?"selected":"" %>>
					<%= msgMgr.get( "typeList" ) %> 
				</option>
			</select>
			</font>
		</td>
	</tr>
	</table>
	
	<br>
		
	<table width=100% cellspacing=1 cellpadding=2 border=0>
	<tr bgcolor=#6699CC>
		<td>
			<font face=sans-serif size=-1 color=#FFFFFF>
			<b><%= msgMgr.get( "optionsHeader" ) %>:</b>
			</font>
		</td>
	</tr>
	<tr bgcolor=#C0C0C0>
		<td>
			<table width=100% cellspacing=1 cellpadding=2 border="0" bgcolor=#FFFFFF>
			<tr valign=top bgcolor=#C0C0C0>
				<td>
					<font face=sans-serif size=-1>
					<b><%= msgMgr.get( "layoutCol" ) %> </b>
					</font>
				</td>
				<td>
					<font face=sans-serif size=-1>
					<b><%= msgMgr.get( "layoutInc" ) %></b>
					</font>
				</td>
				<td>
					<font face=sans-serif size=-1>
					<b><%= msgMgr.get( "layoutOrd" ) %></b>
					</font>
				</td>
				<td>
					<font face=sans-serif size=-1>
					<b><%= msgMgr.get( "layoutSort" ) %></b>
					</font>
				</td>
				<td>
					<font face=sans-serif size=-1>
					<b><%= msgMgr.get( "layoutGroup" ) %></b>
					</font>
				</td>
				<td>
					<font face=sans-serif size=-1>
					<b><%= msgMgr.get( "layoutFilter" ) %></b>
					</font>
				</td>
			</tr>
	<%	
		Vector xsldef = (Vector) webquerytool_ui.getTableColDef().elementAt( 
			webquerytool_ui.getResultNum() 
		);
	
		boolean hasGroup = false;
		for( int i=0; i<xsldef.size(); i++ ) 
		{
			Properties cd = (Properties) xsldef.elementAt(i);
	%>
			<tr valign=top bgcolor=#C0C0C0>
				<td>
					<font face=sans-serif size=-1>
					<input type=hidden name=xslcol<%= i+1 %> value="<%= cd.get("name") %>">
					<%= cd.get("name") %>
					</font>
				</td>
				<td align=center>
					<font face=sans-serif size=-1>
					<input type=checkbox 
						name="xslcol<%= i+1 %>inc" 
						<%= cd.get("include")!=null?"checked":"" %>>
					</font>
				</td>
				<td>
					<font face=sans-serif size=-1>
					<input type=text size=2 
						name="xslcol<%= i+1 %>order"
						value="<%= cd.get("order") %>">
					</font>
				</td>
				<td>
					<font face=sans-serif size=-1>
					<select name="xslcol<%= i+1 %>sort" size=1>
						<option value=n 
							<%= ((String)cd.get("sort")).equals("n")?"selected":"" %>>
							<%= msgMgr.get( "layoutGroupNone" ) %>
						</option>
						<option value=a 
							<%= ((String)cd.get("sort")).equals("a")?"selected":"" %>>
							<%= msgMgr.get( "layoutSortAsc" ) %>
						</option>
						<option value=d 
							<%= ((String)cd.get("sort")).equals("d")?"selected":"" %>>
							<%= msgMgr.get( "layoutSortDes" ) %>
						</option>
					</select>
					</font>
				</td>
				<td align=center>
					<font face=sans-serif size=-1>
					<input type=radio 
						name=xslcolgroup value="<%= i+1 %>"
	<% 	if( cd.get("group") != null ) {
			hasGroup = true; %>
							checked
	<%	} %>>
					</font>
				</td>
				<td>
					<font face=sans-serif size=-1>
					<input type=text 
						name="xslcol<%= i+1 %>filter"
						value="<%= cd.get("filter") %>">
					</font>
				</td>
			</tr>
	<%	} %>
			<tr align=center bgcolor=#C0C0C0>
				<td>
					<font face=sans-serif size=-1>
					&nbsp;
					</font>
				</td>
				<td>
					<font face=sans-serif size=-1>
					&nbsp;
					</font>
				</td>
				<td>
					<font face=sans-serif size=-1>
					&nbsp;
					</font>
				</td>
				<td>
					<font face=sans-serif size=-1>
					&nbsp;
					</font>
				</td>
				<td>
					<font face=sans-serif size=-1>
					<input type=radio 
						name=xslcolgroup value=none 
	<% 	if( !hasGroup ) { %>
							checked
	<%	} %>>
					<br>
					<%= msgMgr.get( "layoutGroupNone" ) %>
					</font>
				</td>
				<td>
					<font face=sans-serif size=-1>
					&nbsp;
					</font>
				</td>
			</tr>
			</table>

	</td>
</tr>
</table>

</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body>

</html>