<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspXSLWorkbenchOptionsPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.XSLWorkbenchOptionsJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);
	
	MsgMgr incMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.ExportOptionsIncJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspXSLWorkbenchOptionsPage jspInfo = new JspXSLWorkbenchOptionsPage();
	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title> XSL Workbench </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT language="JavaScript">
	<!--
		function switchPage( page )
		{
			document.forms[0].nextpage.value = page;
			document.forms[0].cmd.value = "switchpage";
			document.forms[0].submit();
		}
	//-->
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/XSLWorkbench">

<input type=hidden name="op" value="process">
<input type=hidden name="page" value="XSLWorkbenchOptions">
<input type=hidden name="cmd" value="">
<input type=hidden name="nextpage" value="">

<% try { %>
<%@ include file="../pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

<%
	// -------------------------------------------
	// XSL Options
	// -------------------------------------------
%>

<table border=0 cellpadding=0 cellspacing=2 align=center width=100%>

<tr valign=top>
	<td>
		<%@ include file="EORow.inc" %>
	</td>
	<td>
		<%@ include file="EOCol.inc" %>
	</td>
</tr>

<tr valign=top>
	<td colspan=2>
		<%@ include file="EOHtmlTitle.inc" %>
	</td>
</tr>

<tr valign=top>
	<td>
		<%@ include file="EOHtmlTxtcolor.inc" %>
	</td>
	<td>
		<%@ include file="EOHtmlRowpcolor.inc" %>
	</td>
</tr>

<tr valign=top>
	<td>
		<%@ include file="EOHtmlFontface.inc" %>
	</td>
	<td>
		<%@ include file="EOHtmlFontsize.inc" %>
	</td>
</tr>

<tr valign=top>
	<td>
		<%@ include file="EOHtmlFontcolor.inc" %>
	</td>
	<td>
		<%@ include file="EOHtmlBgcolor.inc" %>
	</td>
</tr>

<tr valign=top>
	<td>
		<%@ include file="EOFormat.inc" %>
	</td>
	<td>
		&nbsp;
	</td>
</tr>

</table>


</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body>

</html>
