<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.io.File" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspChartWizPage" %>
<%@ page import="com.rocketsoftware.svg.charts.MetaData.MetaData" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="cwqChartMd" class="com.rocketsoftware.svg.charts.MetaData.MetaData" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.ChartWizPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspChartWizPage jspInfo = new JspChartWizPage();
	jspInfo.setPage( "export/chartSetup.jsp" );
	jspInfo.setLoc( request.getLocale() );
	
	Enumeration e = null;
%>


<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title> <%= jspInfo.getTitle() %> </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT language="JavaScript">
	<!--
		function goChart( page )
		{
			document.forms[0].cmd.value = page;

			document.forms[0].target = "_TOP";
			document.forms[0].submit();
		}

		function goCancel( page )
		{
			document.forms[0].cmd.value = page;

			document.forms[0].target = "";
			document.forms[0].submit();
		}

		function goChartPage( page )
		{
			document.forms[0].nextpage.value = page;
			document.forms[0].cmd.value = "switchpage";

			document.forms[0].target = "";
			document.forms[0].submit();
		}

		function goRefreshChart()
		{
			document.forms[0].cmd.value = "refresh";

			document.forms[0].target = "";
			document.forms[0].submit();
		}
	//-->
	</SCRIPT>

</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/ChartWorkbench">

<input type=hidden name="page" value="chartSetup">
<input type=hidden name="nextpage" value="">
<input type=hidden name="op" value="process">
<input type=hidden name="cmd" value="">

<% try { %>
<%@ include file="../pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

	<table border=0 cellpadding=2 cellspacing=1 align=center bgcolor="#FFFFFF" width=100%>
	<tr bgcolor="#6699CC">
		<td>
			<font size=-1 color="#FFFFFF" face="sans-serif"> <b>
			<%= msgMgr.get( "preview" ) %>
			</b> </font>
		</td>
		<td>
			<font size=-1 color="#FFFFFF" face="sans-serif"> <b>
			<%= msgMgr.get( "setup" ) %>
			</b> </font>
		</td>
	</tr>


	<tr valign=top bgcolor="#C0C0C0">
		<td valign=middle align=center>
			<font size=-1 color="#FFFFFF" face="sans-serif">

			<EMBED SRC="<%=webquerytool_cfg.getAppRoot()%>/ChartWorkbench?cmd=genchart" NAME="CWQSVGEmbed"
				WIDTH="160" HEIGHT="120" TYPE="image/svg+xml"
				PLUGINSPAGE="http://www.adobe.com/svg/viewer/install/">
			
			<br><br>
			
			<input type=button
				onClick="goRefreshChart();"
				style="font-size:12" style="font-color:000000" style="background:C0C0C0"
				value="<%= msgMgr.get( "updateButton" ) %>">
			
			<br><br>
				
			<%= msgMgr.get( "previewRequires" ) %>
			</font>
		</td>
		
		<td align="center">
		<%	// -------------------------------------------
			// Create new template
			// ------------------------------------------- %>
			<TABLE bgcolor="#FFFFFF" align="center" cellspacing="0" cellpadding="4" border="0">
			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "type" ) %>:
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<SELECT name="chartType" size="1" onChange="goRefreshChart()">
				<%	e = cwqChartMd.GetChartTypeList();
					while( e.hasMoreElements() )
					{
						String k = (String) e.nextElement();
				%>
						<OPTION value="<%= k %>" <%= k.equals(cwqChartMd.GetType()) ? "selected" : "" %>>
							<%= msgMgr.get( "type" +k ) %>
						</OPTION>
				<%	} %>
					</SELECT>
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "style" ) %>:
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<SELECT name="chartStyle" size="1">
				<%	e = cwqChartMd.GetChartStyleList();
					while( e.hasMoreElements() )
					{
						String k = (String) e.nextElement();
				%>
						<OPTION value="<%= k %>" <%= k.equals(cwqChartMd.GetStyle()) ? "selected" : "" %>>
							<%= msgMgr.get( "style" +k ) %>
						</OPTION>
				<% 	} %>
					</SELECT>
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "orientation" ) %>:
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<SELECT name="chartOrient" size="1">
						<OPTION value="columns" <%= cwqChartMd.GetOrientation().equals("columns") ? "selected" : "" %>>
							<%= msgMgr.get( "orientationColumns" ) %>
						</OPTION>
						<OPTION value="rows" <%= cwqChartMd.GetOrientation().equals("rows") ? "selected" : "" %>>
							<%= msgMgr.get( "orientationRows" ) %>
						</OPTION>
					</SELECT>
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<INPUT type="checkbox" name="chartRowLabels" <%= cwqChartMd.GetRowLabels() ? "checked" : "" %>>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "firstRow" ) %>
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "chartTitle" ) %>:
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<INPUT type="text" name="chartTitle" value="<%= cwqChartMd.GetTitle() %>">
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<%= msgMgr.get( "chartSize" ) %>:
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<INPUT type="text" name="chartSizeX" value="<%= cwqChartMd.GetImageWidth() %>" size="2">
					<%= msgMgr.get( "chartSizeBy" ) %>
					<INPUT type="text" name="chartSizeY" value="<%= cwqChartMd.GetImageHeight() %>" size="2">
					</font>
				</TD>
			</TR>
			</TABLE>

			<br>
		</td>
	</tr>
	</table>

</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body>

</html>
