<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspSetupXPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="setup_email_list" class="com.rocketsoftware.datautil.WQMLData"scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.SetupPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspSetupXPage jspInfo = new JspSetupXPage();
	jspInfo.setPage("Email");
	jspInfo.setLoc( request.getLocale() );

%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<title> <%= msgMgr.get( "emailTitle" ) %> </title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT language="JavaScript">
	<!--
		var elistA = new Array( <%= setup_email_list.getRowCount() %> );
		var elistU = new Array( <%= setup_email_list.getRowCount() %> );
		var elistP = new Array( <%= setup_email_list.getRowCount() %> );

	<% 	for( int i=0; i<setup_email_list.getRowCount(); i++ ) {
			Vector row = setup_email_list.getRow(i);
	%>
			elistA[<%= i %>] = "<%= ((Properties)row.elementAt(0)).get("value") %>";
			elistU[<%= i %>] = "<%= ((Properties)row.elementAt(1)).get("value") %>";
	<%		if( ((Properties)row.elementAt(2)).get("null") != null ) { %>
			elistP[<%= i %>] = "";
	<%		} else { %>
			elistP[<%= i %>] = "";
	<%		} %>
	<%	} %>

	function switchEmail()
	{
		index = document.forms[0].emailList.selectedIndex;
		if( document.forms[0].emailList[index].value != -1 )
		{
			document.forms[0].emailAddress.value = elistA[index];
			document.forms[0].emailUser.value = elistU[index];
			document.forms[0].emailPass.value = elistP[index];
		}
	}

	function confirmAccept()
	{
		if( document.forms[0].emailList.selectedIndex == -1 )
		{
			alert( "<%= msgMgr.get( "emailAcceptMsg" ) %>" );
			return;
		}

		if( document.forms[0].emailList[document.forms[0].emailList.selectedIndex].value == "-1" )
		{
			alert( "<%= msgMgr.get( "emailNoAcceptMsg" ) %>" );
			return;
		}

		var goahead = true;
		if( !window.confirm( "<%= msgMgr.get( "emailAcceptConfirm" ) %>" ) )
			goahead = false;

		if( goahead )
			go('emailauth');
	}

	function confirmDel()
	{
		if( document.forms[0].emailList.selectedIndex == -1 )
		{
			alert( "<%= msgMgr.get( "emailDeleteMsg" ) %>" );
			return;
		}

		if( document.forms[0].emailList[document.forms[0].emailList.selectedIndex].value == "-1" )
		{
			alert( "<%= msgMgr.get( "emailDeleteErr" ) %>" );
			return;
		}

		var goahead = true;
		if( !window.confirm( "<%= msgMgr.get( "emailDeleteConfirm" ) %>" ) )
			goahead = false;

		if( goahead )
			go('emaildelete');
	}

	function confirmReject()
	{
		if( document.forms[0].emailList.selectedIndex == -1 )
		{
			alert( "<%= msgMgr.get( "emailRejectMsg" ) %>" );
			return;
		}

		if( document.forms[0].emailList[document.forms[0].emailList.selectedIndex].value == "-1" )
		{
			alert( "<%= msgMgr.get( "emailRejectErr" ) %>" );
			return;
		}

		var goahead = true;
		if( !window.confirm( "<%= msgMgr.get( "emailRejectConfirm" ) %>" ) )
			goahead = false;

		if( goahead )
			go('emailreject');
	}

	function switchPage( nextPage )
	{
		document.forms[0].page.value = nextPage;
		document.forms[0].submit();
	}

	function refreshEmail()
	{
		go('refresh');
	}
//-->
</SCRIPT>

</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<FORM action="<%=webquerytool_cfg.getAppRoot()%>/Setup" method="post">
<INPUT type=hidden name=op value=process>
<INPUT type=hidden name=cmd value="">
<INPUT type=hidden name=page value="setupemail">

<% try { %>
<%@ include file="../pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE align=center width=90%><TR><TD>

<table border=0 cellpadding=2 cellspacing=1 align=center width=100%>
<TR bgcolor="#6699CC">
	<TD colspan=2>
		<font color="#FFFFFF" face="arial,sans-serif" size=-1>
		<b><%= msgMgr.get( "emailUserHeader" ) %>:</b>
		</font>
	</TD>
</TR>

<TR bgcolor="#99CCFF">
	<TD colspan=2>
		<font color="#000000" face="arial,sans-serif" size=-1>

		<input type=button
			onClick="confirmAccept();"
			value="<%= msgMgr.get( "emailAcceptButton" ) %>"
			style="font-color:000000" style="background:C0C0C0" style="font-size:12">

		<input type=button
			onClick="confirmReject();"
			value="<%= msgMgr.get( "emailRejectButton" ) %>"
			style="font-color:000000" style="background:C0C0C0" style="font-size:12">

		<input type=button
			onClick="confirmDel();"
			value="<%= msgMgr.get( "emailDeleteButton" ) %>"
			style="font-color:000000" style="background:C0C0C0" style="font-size:12">

		<input type=button
			onClick="refreshEmail();"
			value="<%= msgMgr.get( "emailRefreshButton" ) %>"
			style="font-color:000000" style="background:C0C0C0" style="font-size:12">
	</TD>
</TR>

<TR bgcolor="#C0C0C0">
	<TD>
		<font color="#000000" face="arial,sans-serif" size=-1>
		<SELECT name=emailList size=10 onChange="switchEmail();">
<%		if( setup_email_list.getRowCount() == 0 )
{ %>
			<OPTION value="-1">
			<%= msgMgr.get( "emailNoUsers" ) %>
			</OPTION>
<%		}
else
{
	Vector row = new Vector();
	for( int i=0; i<setup_email_list.getRowCount(); i++ )
	{
		row = setup_email_list.getRow(i); %>
			<OPTION value="<%= ((Properties) row.elementAt(0)).get("value") %>">
			<%= ((Properties) row.elementAt(0)).get("value") %>
			<%= ((Properties) row.elementAt(3)).get("null")==null?"":"(" +msgMgr.get( "emailNotAuth" ) +")" %>
			</OPTION>
<%			}
} %>
		</SELECT>
		</font>
	</TD>

	<TD align=left>
		<font color="#000000" face="arial,sans-serif" size=-1>
		<b><%= msgMgr.get( "emailAddress" ) %>:</b>
		<br>
		<INPUT type=text name=emailAddress value=""
			onKeyPress="return false;">
		<br>

		<b><%= msgMgr.get( "emailUser" ) %>:</b>
		<br>
		<INPUT type=text name=emailUser value="">
		<br>

		<b><%= msgMgr.get( "emailPassword" ) %>:</b>
		<br>
		<INPUT type=password name=emailPass value="">
		<br>
		</font>
	</TD>
</TR>
</table>

</TD></TR></TABLE>

</FORM>

</body>
</html>
