<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspSetupXPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.SetupPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	MsgMgr comMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.Message",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspSetupXPage jspInfo = new JspSetupXPage();
	jspInfo.setPage("License");
	jspInfo.setLoc( request.getLocale() );

%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title> <%= msgMgr.get( "licenseTitle" ) %> </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT language="JavaScript">
	<!--
		function switchPage( nextPage )
		{
			document.forms[0].page.value = nextPage;
			document.forms[0].submit();
		}
	//-->
	</SCRIPT>

</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<FORM action="<%=webquerytool_cfg.getAppRoot()%>/Setup" method="post">
<INPUT type=hidden name=op value=process>
<INPUT type=hidden name=cmd value="">
<INPUT type=hidden name=page value="setuplicense">

<% try { %>
<%@ include file="../pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE align=center width=90%><TR><TD>

<table border=0 cellpadding=2 cellspacing=1 align=center width=100%>
<TR bgcolor="#6699CC">
	<TD>
		<font color="#FFFFFF" face="arial,sans-serif" size=-1>
		<b><%= msgMgr.get( "licenseActive" ) %>:</b>
		</font>
	</TD>
</TR>

<TR bgcolor="#99CCFF">
	<TD>
		<font color="#FFFFFF" face="arial,sans-serif" size=-1>

		<input type=button
			onClick="go('refresh');"
			value="<%= msgMgr.get( "licenseRefreshButton" ) %>"
			style="font-size:12"
			style="font-color:000000"
			style="background:C0C0C0">

		</font>
	</TD>
</TR>

<TR bgcolor="#C0C0C0">
	<TD align=left>
		<font color="#000000" face="arial,sans-serif" size=-1>

		<br>
		<br>

		<ul>

<%
	// -------------------------------------------------------
	// list installed licenses
	if( webquerytool_cfg.getLicenses().size() == 0 ) { %>
	<li> <%= msgMgr.get( "licenseNotInstalled" ) %>
<% 	} else {
		Enumeration le = webquerytool_cfg.getLicenses().keys();
		while( le.hasMoreElements() ) 
		{
			Properties l = (Properties)
				webquerytool_cfg.getLicenses().get( (String)le.nextElement() );
%>
	<li> <%= l.get("ProductID") %> <%= l.get("ProductName") %>
<%
			if( l.get("ProductAnnotation") != null )
			{
%>			<%= l.get("ProductAnnotation") %>
<%
			}
%>
			<%= comMsgMgr.get( "CWQ9807I" ) %> <%= l.get("ProductVersion") %>
<%	 	}
	} %>
		</ul>

		<br>
		<br>

		</font>
	</TD>
</TR>
</table>

</TD></TR></TABLE>

</FORM>

</body>
</html>
