<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspSetupPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.SetupPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspSetupPage jspInfo = new JspSetupPage();
	jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<title> <%= msgMgr.get( "authTitle" ) %> </title>

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<FORM action="<%= webquerytool_cfg.getAppRoot() %>/Setup" method="post">
<INPUT type=hidden name=op value=process>
<INPUT type=hidden name=cmd value="">

<% try { %>
<%@ include file="../pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90%><TR><TD>

<table border=0 cellpadding=0 cellspacing=1 align=center width=100% bgcolor="#FFFFFF">
<TR valign=top bgcolor="#FFFFFF">
	<TD align=center>
		<font color="#000000" face="arial,sans-serif" size=-1>
		<b>
		<%= msgMgr.get( "authConnection" ) %>
		<%= uc.getName() %>
		</b>
		</font>
	</TD>

	<TD align=center>
		<TABLE>
		<TR>
			<TD align=right>
				<font color="#000000" face="arial,sans-serif" size=-1>
					<%= msgMgr.get( "authUser" ) %>:
				</font>
			</TD>
			<TD>
				<font color="#000000" face="arial,sans-serif" size=-1>
					<INPUT type=text name=user size=10>
				</font>
			</TD>
		</TR>
		<TR>
			<TD align=right>
				<font color="#000000" face="arial,sans-serif" size=-1>
					<%= msgMgr.get( "authPassword" ) %>:
				</font>
			</TD>
			<TD>
				<font color="#000000" face="arial,sans-serif" size=-1>
					<INPUT type=password name=passwd size=10>
				</font>
			</TD>
		</TR>
		</TABLE>
	</TD>
</TR>
</table>

</TD></TR></TABLE>

</FORM>


<SCRIPT language="JavaScript">
<!--
	document.forms[0].user.focus();
//-->
</SCRIPT>

</body>
</html>
