<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.Properties" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspSQLStatusPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="cwqQuery" class="com.rocketsoftware.util.sql.Query" scope="session"/>
<jsp:useBean id="cwqQueryStatus" class="com.ibm.db2.cwq.sql.SQLStatus" scope="session"/>

<%
    JspSQLStatusPage jspInfo = new JspSQLStatusPage();
    jspInfo.setLoc( request.getLocale() );
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<TITLE>Query Data Control</TITLE>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

<%	if( cwqQueryStatus.isRunning() ) { %>
	<META http-equiv=REFRESH
	CONTENT="4; URL=<%=webquerytool_cfg.getAppRoot()%>/SQLText?page=sqlstatus&cmd=control&re=1"
	>
<%	}
	else
	{
		response.setHeader("Pragma", "No-cache");
		response.setHeader("Cache-Control", "no-cache");
		response.setDateHeader("Expires",0);
	}
%>

<%	// get the current result set
	Properties rs = null;
	if( webquerytool_ui.getResultNum() != -1 && webquerytool_ui.getResultsSets().size() > 0 )
	{
		rs = (Properties) webquerytool_ui.getResultsSets().elementAt(
			webquerytool_ui.getResultNum()
		);
	}
%>

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</HEAD>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/SQLText">

<input type=hidden name=page value=sqlstatus>
<input type=hidden name=cmd value="control">
<input type=hidden name=dir>


<TABLE width=100% cellspacing=1 cellpadding=0>
<TR bgcolor="#6699CC" align=center>
	<TD>
		<font face=sans-serif size=-1 color="#FFFFFF">
		<%= jspInfo.get("Status") %>
		</font>
	</TD>
	<TD>
		<font face=sans-serif size=-1 color="#FFFFFF">
		<%= jspInfo.get("Results") %>
		</font>
	</TD>
	<TD>
		<font face=sans-serif size=-1 color="#FFFFFF">
		<%= jspInfo.get("Fetched") %>
		</font>
	</TD>
	<TD>
		<font face=sans-serif size=-1 color="#FFFFFF">
		<%= jspInfo.get("Page") %>
		</font>
	</TD>
	<TD>
		<font face=sans-serif size=-1 color="#FFFFFF">
		<%= jspInfo.get("RowPage") %>
		</font>
	</TD>
</TR>



<%	if( rs == null ) { %>
	<TR bgcolor="#C0C0C0" align=left>
	<%	if( cwqQueryStatus.isRunning() ) { %>
		<TD align=center>
			<font face=sans-serif size=-1 color="#000000">
			<img src=sql/qprogress.gif hspace=0 vspace=0 border=0>
			</font>
		</TD>
		<TD colspan=4>
		<font face=sans-serif size=-1 color="#000000">
			<%= jspInfo.get("Initializing") %>
		</font>
		</TD>
	<%	} else { %>
		<TD align=center>
			<font face=sans-serif size=-1 color="#000000">
			<%= jspInfo.get( "Stopped" ) %>
			</font>
		</TD>
		<TD colspan=4>
		<font face=sans-serif size=-1 color="#000000">
			<%= jspInfo.get("NoResults") %> - <%= jspInfo.get("CheckLog") %>
		</font>
		</TD>
	<%	} %>
	</TR>

<%	} else { %>

<TR bgcolor="#C0C0C0" align=center>
	<TD>
		<font face=sans-serif size=-1 color="#000000">
	<%	if( cwqQueryStatus.isRunning() ) { %>
		<img src=sql/qprogress.gif hspace=0 vspace=0 border=0 alt="<%= jspInfo.get("Running") %>">
		<br>
		<A href="javascript:document.forms[0].cmd.value='cancel'; document.forms[0].submit();">[<%= jspInfo.get("Cancel") %>]</a>
	<%	} else { %>
		<%= jspInfo.get("Finished") %>
	<%	} %>
		</font>
	</TD>

	<TD>
		<font face=sans-serif size=-1 color="#000000">
	<%	if( webquerytool_ui.getResultsSets().size() == 0 ) { %>
		&nbsp;
	<%	}
		else if( webquerytool_ui.getResultsSets().size() == 1 ) 
		{ %>
		<%= ((Properties)webquerytool_ui.getResultsSets().elementAt(0)).get("name") %>
	<%	} 
		else 
		{  %>
		<SELECT size=1 name=qresult onChange="document.forms[0].submit();">
	<%	String sel = null;

			for( int i=0; i<webquerytool_ui.getResultsSets().size(); i++ )
			{
				Properties r = (Properties) webquerytool_ui.getResultsSets().elementAt(i);
				if( i == webquerytool_ui.getResultNum() )
					sel = "selected";
				else
					sel = "";
	%>
			<OPTION value="<%= i %>" <%= sel %>>
				<%= r.get("name") %>
			</OPTION>
	<%		} %>
		</SELECT>
	<%	} %>
		</font>
	</TD>

	<TD>
		<font face=sans-serif size=-1 color="#000000">
		<%= rs.get("rows") %>
		</font>
	</TD>

	<TD>
		<nobr>

		<font face=sans-serif size=-1 color="#000000">
		<A href="javascript:document.forms[0].dir.value='f'; document.forms[0].submit();"><img 
			src=sql/button_f.gif alt="<%= jspInfo.get("FirstPage") %>" hspace=0 vspace=0 border=0></a>
			
		<A href="javascript:document.forms[0].dir.value='p'; document.forms[0].submit();"><img 
			src=sql/button_p.gif alt="<%= jspInfo.get("PreviousPage") %>" hspace=0 vspace=0 border=0></a>
		</font>

		<font face=sans-serif color="#000000">
		<INPUT type=text size=3 name=qpage
			value="<%= rs.get("page") %>" onChange="document.forms[0].submit();">
		</font>

		<font face=sans-serif size=-1 color="#000000">
		<%= jspInfo.get("Of") %>
		<%= rs.get("pages") %>

		<A href="javascript:document.forms[0].dir.value='n'; document.forms[0].submit();"><img 
			src=sql/button_n.gif alt="<%= jspInfo.get("NextPage") %>" hspace=0 vspace=0 border=0></a>
			
		<A href="javascript:document.forms[0].dir.value='l'; document.forms[0].submit();"><img 
			src=sql/button_l.gif alt="<%= jspInfo.get("LastPage") %>" hspace=0 vspace=0 border=0></a>
		</font>

		</nobr>
	</TD>

	<TD>
		<font face=sans-serif color="#000000">
		<INPUT type="text" size="3" name="rpp"
			value="<%= cwqQueryStatus.getRpp() %>"
			onChange="document.forms[0].submit();">
		</font>
	</TD>
</TR>
<%	} %>
</TABLE>

</form>


<SCRIPT language="JavaScript">
<!--
<%	if( rs == null ) //if( request.getParameter("re") == null )
	{
		if( cwqQueryStatus.isRunning() )
		{
%>
	parent.frames["ViewFrame"].document.location.href =
		"<%=webquerytool_cfg.getAppRoot()%>/SQLText?page=sqlstatus&cmd=view";
<%		} else { %>
	parent.frames["ViewFrame"].document.location.href =
		"<%=webquerytool_cfg.getAppRoot()%>/SQLText?page=sqlstatus&cmd=viewlognoresult";
<%		} %>
<%	} else { %>
	parent.frames["ViewFrame"].document.location.href =
		"<%=webquerytool_cfg.getAppRoot()%>/SQLText?page=sqlstatus&cmd=view";
<%	} %>
//-->
</SCRIPT>


<SCRIPT language="JavaScript">
<!--
	if( <%= webquerytool_ui.getReloadMenu() %> )
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</SCRIPT >

</body>

</html>