<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.io.BufferedReader" %>
<%@ page import="java.io.StringReader" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>

<%@ page import="com.ibm.db2.cwq.msgs.JspSQLVarsPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="cwqQuery" class="com.rocketsoftware.util.sql.Query" scope="session"/>
<jsp:useBean id="cwqSqlPa" class="com.ibm.db2.cwq.sql.SqlPa" scope="session"/>

<%!
	public String getVarControl(
		Properties v,
		Properties usedVars
		)
	{
		boolean inuse = usedVars.get( v.get( "match" ) ) != null;
		
		boolean outputParam = v.get( "ptype" ) != null
			&& v.get( "ptype" ).toString().equals( "O" );

		usedVars.put( v.get( "match" ), "1" );

		// display var name ...
		String replace =
			"<font color=blue><b>"
			+v.get( "match" );

		if( inuse || outputParam )
			return replace +"</b></font>";

		replace += ":";

		Vector sv = (Vector) v.get( "select" );
		if( sv == null )
		{
			// static value text edit control
			replace += "<input type=text size=10";
			replace += " name=\"var" +v.get("name") +"\"";
			replace += " value=\"" +v.get("value") +"\""
				+">";
		}
		else
		{
			// single/multiple select control
			// for list selections
			replace += "<SELECT";
			replace += " name=\"var"+v.get("name") +"\"";
			if( v.get("multiple") == null )
				replace += " size=1>";
			else
				replace += " size=3 multiple>";

			Vector selList = (Vector) v.get("select");
			for( int j=0; j<selList.size(); j++ )
			{
				Properties selProp = (Properties) selList.elementAt(j);

				Vector selectedValues = (Vector) v.get( "selectvalue" );

				replace += "<OPTION value=\"" +selProp.get("value") +"\"";
				if( selectedValues.contains( selProp.get("value").toString() ) )
					replace +=" SELECTED";
				replace += ">";
				replace += selProp.get("display").toString();
				replace += "</OPTION>";
			}

			replace += "</select>";
		}
		replace += "</b></font>";

		return replace;
	};
%>

<% 	// -----------------------------------------
    // Respond
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

    String qString = new String();
	Properties varsInUse = new Properties();
	String line = new String();
	boolean eof = false;

	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.SQLVarsPageJSP",
		request.getLocale()
	);

	MsgMgr headerMsgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.HeaderPageJSP",
		request.getLocale()
	);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspSQLVarsPage jspInfo = new JspSQLVarsPage();
	jspInfo.setSQLPAPresent( uc.isSqlPaPresent() );
	jspInfo.setLoc( request.getLocale() );

 	// -----------------------------------------
    // Parse Query
	BufferedReader br = new BufferedReader(
		new StringReader(
			cwqQuery.getQuery()
		)
	);

	while( !eof )
	{
		if( (line = br.readLine()) == null )
			eof = true;
		else
		{
			int compos = -1;
			if( (compos = line.indexOf("//")) == -1 )
				compos = line.indexOf("--");

			if( compos != -1 )
			{
				line = line.substring( 0,compos )
					+"<font color=green><b>"
					+line.substring( compos, line.length() )
					+"</b></font>";
			}

			int curpos = 0;
			for( int i=0; i<webquerytool_ui.getSQLParam().size(); i++ )
			{
				// unused variable
				Properties v = (Properties)
					webquerytool_ui.getSQLParam().elementAt( i );
					
				String vmatch = (String) v.get( "match" );
				int varpos = line.indexOf( vmatch, curpos );

				if( varpos != -1 && (compos == -1 || varpos < compos) )
				{
					// var found
					// no comment or var before comment

					// use this var
					int vlen = vmatch.length();
					line = 
						line.substring( 0, varpos )
						+getVarControl( v, varsInUse )
						+line.substring( varpos +vlen, line.length() );
				}
			}

			qString += line + "\n";
		}
	}
	br.close();


	// ====================================
	//  SQL/PA init
	boolean cpuwarn = false;
	boolean elapwarn = false;
	boolean iowarn = false;
	boolean qunitwarn = false;
	boolean monwarn = false;

	if( uc.isSqlPaPresent() )
	{
		if( cwqSqlPa.isAnalyzed() )
		{
			if( cwqSqlPa.getWarning().length() >= 1 )
			{
				if( cwqSqlPa.getWarning().charAt(0) == 'Y' )
					cpuwarn = true;
			}

			if( cwqSqlPa.getWarning().length() >= 2 )
			{
				if( cwqSqlPa.getWarning().charAt(1) == 'Y' )
					elapwarn = true;
			}

			if( cwqSqlPa.getWarning().length() >= 3 )
			{
				if( cwqSqlPa.getWarning().charAt(2) == 'Y' )
					iowarn = true;
			}

			if( cwqSqlPa.getWarning().length() >= 4 )
			{
				if( cwqSqlPa.getWarning().charAt(3) == 'Y' )
					qunitwarn = true;
			}

			if( cwqSqlPa.getWarning().length() >= 5 )
			{
				if( cwqSqlPa.getWarning().charAt(4) == 'Y' )
					monwarn = true;
			}
		}
	}
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">

	<title><%= jspInfo.getTitle() %></title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">


	<META name="COPYRIGHT"
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR"
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT language="JavaScript" src="sql/sqlvarsmenu.js">
	</SCRIPT>

<SCRIPT language="JavaScript">
<!--
	var totalMenus = <%= webquerytool_ui.getSQLParam().size() %>;
//-->
</SCRIPT>

</head>

<body bgcolor="FFFFFF" text="#000000"
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/SQLText">

<input type="hidden" name="op" value="process">
<input type="hidden" name="cmd" value="">
<input type="hidden" name="page" value="sqlvars">

<% try { %>
<%@ include file="../pageheader.inc" %>
<% } catch( Exception ex ) { %>
<%= ex %>
<% } %>

<TABLE width=90% align=center><TR><TD>

<table cellspacing=2 cellpadding=2 border=0 align=center width=100%>
<tr>
	<TD bgcolor="#6699CC" align=left colspan=2>
		<font size=-1 face="arial,sans-serif" color="#FFFFFF">
		<b><%= jspInfo.get("SettingsHeader") %></b>
		</font>
	</TD>
</tr>

<tr valign=top bgcolor="#C0C0C0">
	<TD align=left>
		<TABLE>
		<TR>
			<TD align=left colspan=2>
				<font face="arial,sans-serif" size="-1">
				<b><%= jspInfo.get("AutoCommitLabel") %></b>
				</font>
			</TD>
		</TR>
		<TR>
			<TD align=left>
				<font face="arial,sans-serif" size="-1">
				&nbsp;
				</font>
			</TD>
			<TD align=left>
				<font face="arial,sans-serif" size="-1">
				<INPUT style="background:#C0C0C0; color:black"
					type=radio name="commit" value="off"
					<%= cwqQuery.getAutoCommit() == cwqQuery.COMMIT_OFF ? "checked" : "" %>>
					<%= jspInfo.get("AutoCommitOff") %> <br>

				<INPUT style="background:#C0C0C0; color:black"
					type=radio name="commit" value="end"
					<%= cwqQuery.getAutoCommit() == cwqQuery.COMMIT_ATEND ? "checked" : "" %>>
					<%= jspInfo.get("AutoCommitEnd") %> <br>

				<INPUT style="background:#C0C0C0; color:black"
					 type=radio name="commit" value="each"
					<%= cwqQuery.getAutoCommit() == cwqQuery.COMMIT_EVERY ? "checked" : "" %>>
					<%= jspInfo.get("AutoCommitEach") %>
				</font>
			</TD>
		</TR>
		</TABLE>
	</TD>
	<TD>
		<TABLE>
		<TR>
			<TD colspan=3>
				<font face="arial,sans-serif" size="-1">
				<b><%= jspInfo.get("ResultLabel") %></b>
				</font>
			</TD>
		</TR>
		<TR>
			<TD align=left>
				<font face="arial,sans-serif" size="-1">
				&nbsp;
				</font>
			</TD>
			<TD align=left colspan=2>
				<font face="arial,sans-serif" size="-1">
				<%= jspInfo.get("ResultName") %>:
				<br>
				</font>
				<font face="arial,sans-serif">
				<INPUT type=text name=resultname size=15
					value="<%= cwqQuery.getResultName() %>">
				</font>
			</TD>
		</TR>
		<TR>
			<TD align=left>
				<font face="arial,sans-serif" size="-1">
				&nbsp;
				</font>
			</TD>
			<TD align=left>
				<font face="arial,sans-serif" size="-1">
				<%= jspInfo.get("MaxRowsLabel") %>:
				</font>
				<font face="arial,sans-serif">
				<INPUT type=text name=MaxRows size=5
					value="<%= cwqQuery.getQueryRowLimit() %>">
				</font>
			</TD>
			<TD align=left>
				<font face="sans-serif" size="-1">
				<%= jspInfo.get("TimeoutLabel") %>:
				</font>
				<font face="sans-serif">
				<INPUT type=text name=TimeOut size=5
					value="<%= cwqQuery.getQueryTimeOut() %>">
				</font>
			</TD>
		</TR>
		</TABLE>
	</TD>
</TR>


<tr valign=top bgcolor="#C0C0C0">
	<TD>
		<TABLE border=0 border=0 cellpadding=2 cellspacing=0 width=100%>
		<TR valign=top>
			<TD align=left colspan=4>
				<font face="arial,sans-serif" size="-1">
				<b><%= msgMgr.get( "lobTitle" ) %>:</b>
				</font>
			</TD>
		</TR>
		<TR valign=top>
			<TD align=right>
				<font face="arial,sans-serif" size="-1">
				<%= msgMgr.get( "lobAction" ) %>:
				</font>
			</TD>
			<TD size=10 align=right>
				<font face="arial,sans-serif" size="-1">
				&nbsp;
				</font>
			</TD>
			<TD align=left colspan=2>
				<font face="arial,sans-serif" size="-1">
				<SELECT name=lob size=1>
					<OPTION value=<%= cwqQuery.LOB_OMIT %> <%= cwqQuery.getLobOperation() == cwqQuery.LOB_OMIT ? "selected" : "" %>>
						<%= msgMgr.get( "lobActionOmit" ) %>
					</OPTION>
					<OPTION value=<%= cwqQuery.LOB_RETRIEVE %> <%= cwqQuery.getLobOperation() == cwqQuery.LOB_RETRIEVE ? "selected" : "" %>>
						<%= msgMgr.get( "lobActionRet" ) %>
					</OPTION>
					<OPTION value=<%= cwqQuery.LOB_EMBED %> <%= cwqQuery.getLobOperation() == cwqQuery.LOB_EMBED ? "selected" : "" %>>
						<%= msgMgr.get( "lobActionEmb" ) %>
					</OPTION>
				</SELECT>
				</font>
			</TD>
		</TR>
		<TR valign=bottom>
			<TD align=right>
				<font face="arial,sans-serif" size="-1">
				<%= msgMgr.get( "lobLimit" ) %>:
				</font>
			</TD>
			<TD size=10 align=right>
				<font face="arial,sans-serif" size="-1">
				&nbsp;
				</font>
			</TD>
			<TD align=left colspan="2">
				<font face="arial,sans-serif">
				<input type=text name="lobsize" size=5 value="<%= cwqQuery.getLobSizeLimit() %>">
				</font>
				<font face="arial,sans-serif" size="-1">
				<%= msgMgr.get( "lobLimitKB" ) %>
				</font>
			</TD>
		</TR>
		<TR valign=bottom>
			<TD align=right>
				<font face="arial,sans-serif" size="-1">
				<%= msgMgr.get( "lobType" ) %>:
				</font>
			</TD>
			<TD size=10 align=right>
				<font face="arial,sans-serif" size="-1">
				&nbsp;
				</font>
			</TD>
			<TD align=left>
				<font face="arial,sans-serif" size="-1">
				<%= msgMgr.get( "lobOption" ) %>
				</font>
			</TD>
			<TD align=left>
				<font face="arial,sans-serif" size="-1">
				 <%= msgMgr.get( "lobExt" ) %>
				</font>
			</TD>
		</TR>
		<TR valign=bottom>
			<TD align=right>
				<font face="arial,sans-serif" size="-1">
				&nbsp;
				</font>
			</TD>
			<TD size=10 align=right>
				<font face="arial,sans-serif" size="-1">
				&nbsp;
				</font>
			</TD>
			<TD align=left>
				<font face="arial,sans-serif" size="-1">
				<SELECT name=lobmime size=1>
					<OPTION value=<%= cwqQuery.LOB_MIME_NONE %>
						<%= cwqQuery.getLobMimeMapping() == cwqQuery.LOB_MIME_NONE ? "selected" : "" %>>
						<%= msgMgr.get( "lobOptionNone" ) %>
					</OPTION>
					<OPTION value=<%= cwqQuery.LOB_MIME_STATIC %>
						<%= cwqQuery.getLobMimeMapping() == cwqQuery.LOB_MIME_STATIC ? "selected" : "" %>>
						<%= msgMgr.get( "lobOptionStatic" ) %>
					</OPTION>
					<OPTION value=<%= cwqQuery.LOB_MIME_COLUMN %>
						<%= cwqQuery.getLobMimeMapping() == cwqQuery.LOB_MIME_COLUMN ? "selected" : "" %>>
						<%= msgMgr.get( "lobOptionColumn" ) %>
					</OPTION>
				</SELECT>
				</font>
			</TD>
			<TD align=left>
				<font face="arial,sans-serif">
				<input type=text name="lobmimename" size=10 value="<%= cwqQuery.getLobMimeExt() %>">
				</font>
			</TD>
		</TR>
		</TABLE>
	</TD>

	<TD valign=top align=left bgcolor="#C0C0C0" width=50%>
	<%	// ===================================
		// SQL/PA Information
		// =================================== %>

		<font face="arial,sans-serif" size="-1">
		<b><%= jspInfo.get("SQLPATitle") %>:</b>
		</font>

	<%	if( uc.isSqlPaPresent() )
		{
	%>
	<%		if( cwqSqlPa.isAnalyzed() )
			{
	%>
		<TABLE border=0 cellspacing=1 cellpadding=2 align=center bgcolor=#00FF00 width=95%>
		<TR valign=top bgcolor=#C0C0C0>
			<TD align=left>
				<font face="arial,sans-serif" size="-1"
					<%= cpuwarn?"color=#FF0000":"" %>>
				<b><%= jspInfo.get("SQLPACPU") %></b>
				</font>
				<br>
				<font face="arial,sans-serif" size="-1">
				<%= cwqSqlPa.getCpu() %> <%= jspInfo.get("SQLPASecs") %>
				</font>
			</TD>
			<TD align=left>
				<font face="arial,sans-serif" size="-1"
					<%= elapwarn?"color=#FF0000":"" %>>
				<b><%= jspInfo.get("SQLPAElapsed") %></b>
				</font>
				<br>
				<font face="arial,sans-serif" size="-1">
				<%= cwqSqlPa.getElapsed() %> <%= jspInfo.get("SQLPASecs") %>
				</font>
			</TD>
		</TR>
		<TR valign=top bgcolor=#C0C0C0>
			<TD align=left>
				<font face="arial,sans-serif" size="-1"
				<%= iowarn?"color=#FF0000":"" %>>
				<b><%= jspInfo.get("SQLPAIo") %></b>
				</font>
				<br>
				<font face="arial,sans-serif" size="-1">
				<%= cwqSqlPa.getIo() %>
				</font>
			</TD>
			<TD align=left>
				<font face="arial,sans-serif" size="-1"
				<%= qunitwarn?"color=#FF0000":"" %>>
				<b><%= jspInfo.get("SQLPAQUnits") %></b>
				</font>
				<br>
				<font face="arial,sans-serif" size="-1">
				<%= cwqSqlPa.getQunits() %>
				</font>
			</TD>
		</TR>
		<TR valign=top bgcolor=#C0C0C0>
			<TD align=left>
				<font face="arial,sans-serif" size="-1"
					<%= monwarn?"color=#FF0000":"" %>>
				<b><%= jspInfo.get("SQLPAMonetary") %></b>
				</font>
				<br>
				<font face="arial,sans-serif" size="-1">
				<%= cwqSqlPa.getMonetary() %>
				</font>
			</TD>
			<TD align=left>
				<font face="arial,sans-serif" size="-1">
				<b><%= jspInfo.get("SQLPAReturn") %></b>
				</font>
				<br>
				<font face="arial,sans-serif" size="-1">
				SQLCode=<%= cwqSqlPa.getSqlCode() %>
				<br>
				SQLPA RC=<%= cwqSqlPa.getReturnCode() %>
				</font>
			</TD>
		</TR>
		<TR valign=top bgcolor=#C0C0C0>
			<TD align=left colspan=2>
				<font face="arial,sans-serif" size="-1">
				<b><%= jspInfo.get("SQLPAInterface") %>:</b>
				<br>
				<%= uc.getSqlPaCall() %>
				</font>
			</TD>
		</TR>
		</TABLE>
	<%	 	} else { %>
		<TABLE border=0 cellspacing=1 cellpadding=2 align=center bgcolor=#FFFF00 width=95% height=95%>
		<TR valign=top bgcolor=#C0C0C0>
			<TD align=center valign="middle">
				<font face="arial,sans-serif" color="#FFFF00" size="-1">
				<%= jspInfo.get("SQLPANotAnalyzed") %>
				</font>
			</TD>
		</TR>
		<TR valign=top bgcolor=#C0C0C0>
			<TD align=left colspan=2>
				<font face="arial,sans-serif" size="-1">
				<b> <%= jspInfo.get("SQLPAInterface") %>:</b>
				<br>
				<%= uc.getSqlPaCall() %>
				</font>
			</TD>
		</TR>
		</TABLE>
	<% 		} %>
	<%	} else { %>
		<TABLE border=0 cellspacing=1 cellpadding=2 align=center bgcolor=#FF0000 width=95% height=95%>
		<TR valign=top bgcolor=#C0C0C0>
			<TD align=left valign="middle">
				<font face="arial,sans-serif" color="#FF0000" size="-1">
				<%= jspInfo.get("SQLPANotInstalled") %>
				</font>
			</TD>
		</TR>
		</TABLE>
	<%	} %>
		<br>
	</TD>
</TR>
</TABLE>

<br>


<%	// display the query for the user with hyperlinks for variables
	if( true )
	{
		// display parsed query
%>
	<table cellspacing=2 cellpadding=2 border=0 align=center width=100%>
	<tr>
		<TD bgcolor="#6699CC" align=left>
			<font face="arial,sans-serif" color="#FFFFFF" size="-1">
			<b><%= jspInfo.get("ParsedQueryHeader") %></b>

			&nbsp; &nbsp; &nbsp;

			( <%= msgMgr.get( "queryVars", new Integer( varsInUse.size() ) ) %> )
			</font>
		</TD>
	</TR>

	<TR>
		<TD bgcolor="#C0C0C0">
<pre>
<%= qString %>
</pre>
		</td>
	</tr>
	</table>
<%	} %>

</TD></TR></TABLE>

</form>

<%	if( false )
	{
		// display simple query vars
%>
	<table cellspacing=2 cellpadding=2 border=0 align=center width=100%>
	<TR>
		<TD bgcolor="#C0C0C0">
		<pre>
( <%= webquerytool_ui.getSQLParam().size() %> )

<% 	for( int i=0; i<webquerytool_ui.getSQLParam().size(); i++ ) 
	{ %>
- <%= webquerytool_ui.getSQLParam().elementAt( i ) %>
<%	} %>
</pre>
		</td>
	</tr>
	</table>
<%	} %>


</body>

<SCRIPT language="JavaScript">
<!--
	if( typeof(document.forms[0].param0) == 'object' )
	{
		document.forms[0].param0.focus();
	}

	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</SCRIPT>

</html>

