<%@ page language="java" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.util.WML"  %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.WapJSP",
		request.getLocale()
	);

    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);
%>


<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

<head>
	<meta name="COPYRIGHT" content="IBM Corporation (c) 1999-2000, All Rights Reserved"/>
	<meta name="GENERATOR" content="IBM Web Query Tool (c) 1999-2000, All Rights Reserved"/>
	<meta forua="true" http-equiv="Cache-Control" content="no-cache"/>
	<meta forua="true" http-equiv="Cache-Control" content="must-revalidate"/>
</head>
    
<card id="main">
	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

	    <i><%= msgMgr.get( "exportoptions" ) %></i>
	</p>
	
	<p align="left" mode="nowrap">
		<select>
<%	    // Choose field and value delimiters.
	    if( webquerytool_ui.getReportFormat().equals("delimited") ) {
%>
			<option title="<%= msgMgr.get( "db2webquery" ) %>db2webquery=Field" onpick="#field">
				<%= msgMgr.get( "fielddelimiter" ) %>
			</option>

			<option title="<%= msgMgr.get( "value" ) %>" onpick="#value">
				<%= msgMgr.get( "valuedelimiter" ) %>
			</option>
<%      }
	    // Include Column Headings

	    if( webquerytool_ui.getReportFormat().equals("html") 
		    || webquerytool_ui.getReportFormat().equals("text") 
		    || webquerytool_ui.getReportFormat().equals("delimited") ) { %>
			<option title="<%= msgMgr.get( "heading" ) %>" onpick="#colhead">
				<%= msgMgr.get( "columnheading" ) %>
			</option>
<%
	    }
	    
	    // Choose the option for Fixed Width format.
	    
	    if( webquerytool_ui.getReportFormat().equals("text") ) { %>
			<option title="<%= msgMgr.get( "fixed" ) %>" onpick="#fixedwidth">
				<%= msgMgr.get( "fixedwidth" ) %>
			</option>
<% 		}

	    // Display Null Values

	    if( webquerytool_ui.getReportFormat().equals("html")
		    || webquerytool_ui.getReportFormat().equals("text") 
		    || webquerytool_ui.getReportFormat().equals ("xml")
		    || webquerytool_ui.getReportFormat().equals("delimited") ) { %>
			<option title="<%= msgMgr.get( "null" ) %>" onpick="#nullval">
				<%= msgMgr.get( "nullvalues" ) %>
			</option>
<% 		}
	    
	    // Title, Body Parameters 
	    
	    if( webquerytool_ui.getReportFormat().equals("html") ) { %>
			<option title="<%= msgMgr.get( "title" ) %>" onpick="#title">
				<%= msgMgr.get( "title" ) %>
			</option>

			<option title="<%= msgMgr.get( "body" ) %>" onpick="#body">
				<%= msgMgr.get( "body" ) %>
			</option>
<% 		} %>
	    
			<option title="<%= msgMgr.get( "email" ) %>" onpick="#email">
				<%= msgMgr.get( "emailto" ) %>
			</option>

	    	<option title="<%= msgMgr.get( "send" ) %>">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/ExportOptions">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="next"/>
<% 		if( webquerytool_ui.getReportFormat().equals ("html") 
			|| webquerytool_ui.getReportFormat().equals("text") 
			|| webquerytool_ui.getReportFormat().equals("delimited") ) { %>
						<postfield name="IncludeColumnHeadings" value="$(IncludeColumnHeadings)"/>

<% 		} if( webquerytool_ui.getReportFormat().equals("text") ) { %>
						<postfield name="FixedWidth" value="$(FixedWidth)"/>

<% 		} if( webquerytool_ui.getReportFormat().equals("html")
			|| webquerytool_ui.getReportFormat().equals("text") 
			|| webquerytool_ui.getReportFormat().equals ("xml")
			|| webquerytool_ui.getReportFormat().equals("delimited") ) { %>
						<postfield name="DisplayNulls" value="$(DisplayNulls)"/>

<% 		} if( webquerytool_ui.getReportFormat().equals ("html") ) { %>
						<postfield name="Title" value="$(Title)"/>
						<postfield name="BodyParameters" value="$(BodyParameters)"/>

<% 		} if( webquerytool_ui.getReportFormat().equals ("delimited") ) { %>
						<postfield name="FieldDel" value="$(FieldDel)"/>
						<postfield name="FieldDelOther" value="$(FieldDelOther)"/>
						<postfield name="ValueDel" value="$(ValueDel)"/>
						<postfield name="ValueDelOther" value="$(ValueDelOther)"/>
<% 		} %>

						<postfield name="todo" value="email"/>
						<postfield name="Mail" value="$(Mail)"/>
					</go>
				</onevent>
	    		Send
	    	</option>
	    
		</select>
	</p>
</card>
    

<%	 // Choose field and value delimiters.
    if( webquerytool_ui.getReportFormat().equals("delimited") ) { %>
<card id="field">
	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

	    <i><%= msgMgr.get( "fielddelimiter" ) %></i>
	</p>
	
	<p align="left" mode="nowrap">
		<select name="FieldDel" value="c">
			<option value="c"><%= msgMgr.get( "comma" ) %> (,)</option>
			<option value="s"><%= msgMgr.get( "semi" ) %> (;)</option>
			<option value="t"><%= msgMgr.get( "tab" ) %> (\t)</option>
			<option value="p"><%= msgMgr.get( "space" ) %> ( )</option>
			<option onpick="#fieldDefOther"><%= msgMgr.get( "other" ) %></option>
		</select>
	</p>
</card>
    
<card id="fieldDefOther">
	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

	    <i><%= msgMgr.get( "fielddelimiter" ) %></i>
	</p>
	
	<p align="left" mode="nowrap">
		<br/>

		<b><%= msgMgr.get( "other" ) %>: </b>

		<input type="text" 
			name="FieldDelOther"/>
	</p>
</card>
    
<card id="value">
	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

	    <i><%= msgMgr.get( "valuedelimiter" ) %></i>
	</p>
	
	<p align="left" mode="nowrap">
		<select name="ValueDel" value="n">
		    <option value="q"><%= msgMgr.get( "quote" ) %> (&quot;)</option>
		    <option value="t"><%= msgMgr.get( "tick" ) %> (&apos;)</option>
		    <option value="n"><%= msgMgr.get( "none" ) %> </option>
		    <option onpick="#valueDefOther"><%= msgMgr.get( "other" ) %></option>
		</select>
	</p>
</card>
    
<card id="valueDefOther">
	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

	    <i><%= msgMgr.get( "valuedelimiter" ) %></i>
	</p>
	
	<p align="left" mode="nowrap">
		<br/>

		<b><%= msgMgr.get( "other" ) %>: </b>

		<input type="text" 
			name="ValueDelOther"/>
	</p>
</card>



<% 	}
    // Include Column Headings
    if( webquerytool_ui.getReportFormat().equals("html") 
	    || webquerytool_ui.getReportFormat().equals("text") 
	    || webquerytool_ui.getReportFormat().equals("delimited") ) { %>
<card id="colhead">
	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

	    <i><%= msgMgr.get( "columnheadings" ) %></i>
	</p>
	
	<p align="left" mode="nowrap">
		<select name="IncludeColumnHeadings" value="on">
		    <option value="on"> <%= msgMgr.get( "yes" ) %></option>
		    <option value="off"> <%= msgMgr.get( "no" ) %></option>
		</select>
	</p>
</card>



<% 	}
    
    // Choose the option for Fixed Width format.
    if( webquerytool_ui.getReportFormat().equals("text") ) { %>
<card id="fixedwidth">
	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

	    <i><%= msgMgr.get( "fixedwidthformat" ) %></i>
	</p>
	
	<p align="left" mode="nowrap">
		<select name="FixedWidth" value="off">
		    <option value="on"> <%= msgMgr.get( "yes" ) %></option>
		    <option value=""> <%= msgMgr.get( "no" ) %></option>
		</select>
	</p>
</card>



<% 	}

    // Display Null Values
    if( webquerytool_ui.getReportFormat().equals("html")
	    || webquerytool_ui.getReportFormat().equals("text") 
	    || webquerytool_ui.getReportFormat().equals ("xml")
	    || webquerytool_ui.getReportFormat().equals("delimited") ) { %>
<card id="nullval">
	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

	    <i><%= msgMgr.get( "nullvaluedisplay" ) %></i>
	</p>
	
	<p align="left" mode="nowrap">
		<br/>

		<b><%= msgMgr.get( "displaynullas" ) %>: </b>

		<input type="text" name="DisplayNulls" 
			value="<%= webquerytool_ui.getDisplayNulls() %>"/>
	    </p>
	</card>



<% 	}

    // Title
    if( webquerytool_ui.getReportFormat().equals ("html") ) {
%>
<card id="title">
	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

	    <i><%= msgMgr.get( "htmloptions" ) %></i>
	</p>
	
	<p align="left" mode="nowrap">
		<br/>

		<b>&lt;<%= msgMgr.get( "title" ) %></b>

		<input type="text" name="Title" value=""/>
	</p>
</card>



<% 	}

    // Body Parameters
    if( webquerytool_ui.getReportFormat().equals ("html") ) { %>
<card id="body">
	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

	    <i><%= msgMgr.get( "htmloptions" ) %></i>
	</p>
	
	<p align="left" mode="nowrap">
		<br/>

		<b>&lt;<%= msgMgr.get( "body" ) %></b>

		<input type="text" name="BodyParameters" value=""/>
	</p>
</card>



<% 	} %>


<card id="email">
	<p align="center" mode="nowrap">
	    <b><%= msgMgr.get( "db2webquery" ) %></b> <br/>

	    <i><%= msgMgr.get( "email" ) %></i>
	</p>

	
	<p align="left" mode="nowrap">
		<br/>

	    <b><%= msgMgr.get( "address" ) %>:</b>

	    <input type="text" format="*m\@*m\.3m" name="Mail"/>
	</p>
</card>


</wml>
