<%@ page language="java" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>

<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.WapJSP",
		request.getLocale()
	);

    response.setContentType( "text/vnd.wap.wml" );

    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

    UserConnection uc = webquerytool_user.getConnection("TEMP");

    if( uc == null )
    	uc = new UserConnection( request.getLocale() );
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN"
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

<head>
	<meta name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2003, All Rights Reserved"/>
	<meta name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2003, All Rights Reserved"/>
		
	<meta  http-equiv="Cache-Control" content="max-age=0"/>
</head>
    
<card id="mainLogin">
	<onevent type="onenterforward">
		<refresh>
			<setvar name="userid" value="<%= uc.getId() %>"/>
			<setvar name="passset" value="<%= uc.getPassword().length()>0?"Set":"Not Set" %>"/>
			<setvar name="password" value="<%= uc.getPassword() %>"/>
			<setvar name="databasetype" value="<%= uc.getDbType().get("name") %>"/>
			<setvar name="databaselocation" value="<%= uc.getDbName() %>"/>
			<setvar name="savelogin" value="<%= webquerytool_user.isRememberLogin()?"yes":"no" %>"/>
		</refresh>
	</onevent>

	<p align="center">
	    <img alt="<%= msgMgr.get( "db2webquery" ) %>" 
	    	src="<%= webquerytool_cfg.getWebRoot(request)%>logo.bmp"/>
	</p>

	<p align="left" mode="nowrap">
		<select name="cmd">
			<option title="Login" onpick="#confirmCard">
				<%= msgMgr.get( "login" ) %>
			</option>

			<option title="Change" onpick="#rememberLoginCard">
				<%= msgMgr.get( "changelogin" ) %>
			</option>

			<option title="About" onpick="<%= webquerytool_cfg.getWebRoot(request) %>AboutPage.jsp">
				<%= msgMgr.get( "about" ) %>
			</option>

<%	if( webquerytool_user.getMsg().size() > 0 ) { %>
			<option title="Messages"
				onpick="<%=webquerytool_cfg.getWebRoot(request)%>/msg.jsp">
				<%= msgMgr.get( "messages" ) %>
			</option>
<%	} %>
		</select>
	</p>

</card>


    
<%	// ===============================================================
	// REMEMBER LOGIN
	// =============================================================== %>
    
<card id="rememberLoginCard">
	<do type="accept" label="<%= msgMgr.get( "next" ) %>">
		<go href="#id"/>
	</do>
	
	<p align="center">
	    <img alt="<%= msgMgr.get( "db2webquery" ) %>" 
	    	src="<%= webquerytool_cfg.getWebRoot(request)%>logo.bmp"/>
	</p>
	
	<p align="left">
	    <b><%= msgMgr.get( "rememberlogin" ) %>: </b>

	    <select name="savelogin">
	    	<option value="yes"><%= msgMgr.get( "yes" ) %></option>
	    	<option value="no"><%= msgMgr.get( "no" ) %></option>
	    </select>
	</p>
</card>
    


    
<%	// ===============================================================
	// USER ID
	// =============================================================== %>
    
<card id="id">
	<do type="accept" label="<%= msgMgr.get( "next" ) %>">
	<go href="#pass"/>
	</do>
	
	<p align="center">
	    <img alt="<%= msgMgr.get( "db2webquery" ) %>" 
	    	src="<%= webquerytool_cfg.getWebRoot(request)%>logo.bmp"/>
	</p>
	
	<p align="left">
	    <b><%= msgMgr.get( "userid" ) %>: </b>

	    <input type="text" format="*m"
	    	name="userid" value="$(userid)"/>
	</p>
</card>
    


<%	// ===============================================================
	// USER PASSWORD
	// =============================================================== %>

<card id="pass">
	<do type="accept" label="<%= msgMgr.get( "next" ) %>">
		<go href="#type">
			<setvar name="passset" value="Set"/>
			<setvar name="password" value="$(password)"/>
		</go>
	</do>


	<p align="center">
	    <img alt="<%= msgMgr.get( "db2webquery" ) %>" 
	    	src="<%= webquerytool_cfg.getWebRoot(request)%>logo.bmp"/>
	</p>
	
	<p align="left">
	    <b><%= msgMgr.get( "password" ) %>: </b>

	    <input type="password" format="*m"
	    	name="password" value="$(password)"/>
	</p>
</card>

<%	// ===============================================================
	// Database Type
	// =============================================================== %>
    
<card id="type">
	<do type="accept" label="<%= msgMgr.get( "next" ) %>">
		<go href="#location"/>
	</do>

	<p align="center">
	    <img alt="<%= msgMgr.get( "db2webquery" ) %>" 
	    	src="<%= webquerytool_cfg.getWebRoot(request)%>logo.bmp"/>
	</p>
	
	<p align="left">
	    <b><%= msgMgr.get( "databasetype" ) %>:</b>
<% 	if( webquerytool_cfg.getJdbcInfo().size()>0 ) 
	{ %>
	    <select name="databasetype">
<%		for( int i=0; i<webquerytool_cfg.getJdbcInfo().size(); i++ ) 
		{
		    Properties p = 
		    	(Properties) webquerytool_cfg.getJdbcInfo().elementAt(i);
%>
			<option value="<%= p.get("name") %>"> <%= p.get("name") %> </option>
<% 		} %>
	    </select>
<% 	} %>
	</p>
</card>
    
    


<%	// ===============================================================
	// Database Location
	// =============================================================== %>
    
<card id="location">
	<do type="accept" label="<%= msgMgr.get( "next" ) %>">
		<go href="#confirmCard"/>
	</do>

	<p align="center">
	    <img alt="<%= msgMgr.get( "db2webquery" ) %>" 
	    	src="<%= webquerytool_cfg.getWebRoot(request) %>logo.bmp"/>
	</p>
	
	<p align="left">
	    <b><%= msgMgr.get( "databaselocation" ) %>: </b>

	    <input type="text" format="*m"
	    	name="databaselocation" value="$(databaselocation)"/>
	</p>
</card>


<%	// ===============================================================
	// Confirm Login
	// =============================================================== %>
    
<card id="confirmCard">
	<do type="accept" label="<%= msgMgr.get( "login" ) %>">
		<go method="get" href="<%= webquerytool_cfg.getBaseURL(request) %>">
			<postfield name="page" value="loginpage"/>		
			<postfield name="databasetype" value="$(databasetype)"/>
			<postfield name="databaselocation" value="$(databaselocation)"/>
			<postfield name="userid" value="$(userid)"/>
			<postfield name="password" value="$(password)"/>
			<postfield name="savelogin" value="$(savelogin)"/>
		</go>
	</do>

	<p align="center">
	    <img alt="<%= msgMgr.get( "db2webquery" ) %>" 
	    	src="<%= webquerytool_cfg.getWebRoot(request) %>logo.bmp"/>
	</p>
	
	<p align="left">
		<b><%= msgMgr.get( "user" ) %>: </b> $(userid) <br/>
		<b><%= msgMgr.get( "password" ) %>: </b> $(passset) <br/>
		<b><%= msgMgr.get( "databasetype" ) %>: </b> $(databasetype) <br/>
		<b><%= msgMgr.get( "databaselocation" ) %>: </b> $(databaselocation) <br/>
	</p>
</card>


</wml>
