<%@ page language="java" %>

<%@ page import="com.rocketsoftware.util.MsgMgr" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
	MsgMgr msgMgr = new MsgMgr(
		"com.ibm.db2.cwq.nls.WapJSP",
		request.getLocale()
	);

    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>
    <head>
	<meta name="COPYRIGHT" content="IBM Corporation (c) 1999-2000, All Rights Reserved"/>
	<meta name="GENERATOR" content="IBM Web Query Tool (c) 1999-2000, All Rights Reserved"/>
	<meta forua="true" http-equiv="Cache-Control" content="no-cache"/>
	<meta forua="true" http-equiv="Cache-Control" content="must-revalidate"/>
    </head>
    
    <card id="variables">
    	<onevent type="onenterforward">
    	    <refresh>
<%		
		String postfields = "";
		for( int i=0; i<webquerytool_ui.getSQLParam().size(); i++ ) {
		
		    postfields += "&amp;var" + i + "=$(var" + i + ")";
		    
		    String varvalue = (String)((Properties)webquerytool_ui.getSQLParam().elementAt(i)).get("value");
		    String matchvalue = (String)((Properties)webquerytool_ui.getSQLParam().elementAt(i)).get("match");

		    if( !varvalue.equals("") && varvalue != null ) {
			if( varvalue.startsWith("&") ) {
			    String sub = varvalue.substring( 1, varvalue.length() );
%>
			    <setvar name="var<%= i %>" value="&amp;<%= sub %>"/>
<%
			}
			else {
%>
			    <setvar name="var<%= i %>" value="<%= varvalue %>"/>
<%			
			}
		    }
		    else {
			if( matchvalue.startsWith("&") ) {
			    String matchsub = matchvalue.substring( 1, matchvalue.length() );
%>
			    <setvar name="var<%= i %>" value="&amp;<%= matchsub %>"/>
<%
			}
			else {
%>
			    <setvar name="var<%= i %>" value="<%= matchvalue %>"/>
<%
		    	}
		    }
		}
%>
    	    </refresh>
    	</onevent>
    
	<p align="center">
	    <b><%= msgMgr.get( "variables" ) %></b><br/>
	    ---------------
	</p>
	<p mode="nowrap">
<%		
	    if( webquerytool_ui.getSQLParam().size() == 0 ) {
%>
		<%= msgMgr.get( "none" ) %>
<%		
	    }
	    else {
%>
    		<table columns="2" align="left">
		    <tr>
			<td>
			    <%= msgMgr.get( "name" ) %>
			</td>
			<td>
			    <%= msgMgr.get( "value" ) %>
			</td>
		    </tr>
<%		
		for( int i=0; i<webquerytool_ui.getSQLParam().size(); i++ ) {
%>
		    <tr>
			<td> 
<%
			String name = (String)((Properties)webquerytool_ui.getSQLParam().elementAt(i)).get("name");
			if( name.startsWith("&") || name.startsWith(":") ) {
			    String namesub = name.substring( 1, name.length() );
%>
			    <%= namesub %>
<%
			}
			else if( name.startsWith("[") ) {
%>
			    <%= name.substring( 1, name.length()-1) %>
<%
			}
			else {
%>
			    <%= name %>
<%
			}
%>
			</td>
			<td> 
			    <a href="#var<%= i %>" title="var<%= i %>">$(var<%= i %>)</a>
			</td>
		    </tr>
<%			
		}
%>
		</table>
<%
	    }
%>
	
	    <do type="options" label="<%= msgMgr.get( "use" ) %>">
		<go method="post" href="<%=webquerytool_cfg.getBaseURL(request)%>/SQLText?op=process&amp;page=sqlvars<%= postfields %>"/>
	    </do>
	</p>
    </card>

<%		
    for( int i=0; i<webquerytool_ui.getSQLParam().size(); i++ ) {
%>
	<card id="var<%= i %>">
	    <p>
		<do type="accept" label="<%= msgMgr.get( "ok" ) %>">
		    <go href="#main"/>
		</do>
		
		<%= msgMgr.get( "entervalue" ) %> : <b>var<%= i %></b>:
		<input type="text" name="var<%= i %>" value="$(var<%= i %>)"/>
	    </p>
	</card>
<%
    }
%>

    <card id="main">
	<p align="center">
	    <b><%= msgMgr.get( "variables" ) %></b><br/>
	    ---------------
	</p>
	<p mode="nowrap">
<%		
	    if( webquerytool_ui.getSQLParam().size() == 0 ) {
%>
		<%= msgMgr.get( "none" ) %>
<%		
	    }
	    else {
%>
    		<table columns="2" align="left">
		    <tr>
			<td>
			    <%= msgMgr.get( "name" ) %>
			</td>
			<td>
			    <%= msgMgr.get( "variables" ) %>
			</td>
		    </tr>
<%		
		for( int i=0; i<webquerytool_ui.getSQLParam().size(); i++ ) {
%>
		    <tr>
			<td> 
<%
			String name = (String)((Properties)webquerytool_ui.getSQLParam().elementAt(i)).get("name");
			if( name.startsWith("&") || name.startsWith(":") ) {
			    String namesub = name.substring( 1, name.length() );
%>
			    <%= namesub %>
<%
			}
			else if( name.startsWith("[") ) {
%>
			    <%= name.substring( 1, name.length()-1) %>
<%
			}
			else {
%>
			    <%= name %>
<%
			}
%>
			</td>
			<td> 
			    <a href="#var<%= i %>" title="var<%= i %>">$(var<%= i %>)</a>
			</td>
		    </tr>
<%			
		}
%>
		</table>
<%
	    }
%>
	
	    <do type="options" label="<%= msgMgr.get( "use" ) %>">
		<go method="post" href="<%=webquerytool_cfg.getBaseURL(request)%>/SQLText?op=process&amp;page=sqlvars<%= postfields %>"/>
	    </do>
	</p>
    </card>
</wml>
